//*****************************************************************************
//
// file am_memory_map.h
//
// brief Memory map include file.
//
// This file is generated by "generate_link_script.py".
//
//*****************************************************************************

//*****************************************************************************
//
// Copyright (c) 2020, Ambiq Micro
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. Neither the name of the copyright holder nor the names of its
// contributors may be used to endorse or promote products derived from this
// software without specific prior written permission.
//
// Third party software included in this distribution is subject to the
// additional license terms as defined in the /docs/licenses directory.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
// This is part of the AmbiqSuite Development Package.
//
//*****************************************************************************

#ifndef AM_MEMORY_MAP_H
#define AM_MEMORY_MAP_H

#ifdef __cplusplus
extern "C"
{
#endif

//*****************************************************************************
//
// Memory block locations.
//
//*****************************************************************************
#define AM_MEM_MCU_MRAM                     0x00000000
#define AM_MEM_DSP0_MRAM                    0x00000000
#define AM_MEM_DSP1_MRAM                    0x00000000
#define AM_MEM_MCU_TCM                      0x10000000
#define AM_MEM_DSP0_TCM                     0x10008000
#define AM_MEM_DSP1_TCM                     0x10010000
#define AM_MEM_MCU_SRAM                     0x00000000
#define AM_MEM_DSP0_SRAM                    0x10028000
#define AM_MEM_DSP1_SRAM                    0x10030000
#define AM_MEM_SHARED_SRAM                  0x10060000

//*****************************************************************************
//
// Memory block sizes (in bytes)
//
//*****************************************************************************
#define AM_MEM_MCU_MRAM_LENGTH              2097152
#define AM_MEM_DSP0_MRAM_LENGTH             0
#define AM_MEM_DSP1_MRAM_LENGTH             0
#define AM_MEM_MCU_TCM_LENGTH               393216
#define AM_MEM_DSP0_TCM_LENGTH              32768
#define AM_MEM_DSP1_TCM_LENGTH              32768
#define AM_MEM_MCU_SRAM_LENGTH              0
#define AM_MEM_DSP0_SRAM_LENGTH             32768
#define AM_MEM_DSP1_SRAM_LENGTH             32768
#define AM_MEM_SHARED_SRAM_LENGTH           1048576

#ifdef __cplusplus
}
#endif

#endif // AM_MEMORY_MAP_H
