//*****************************************************************************
//
//! @file arial14pt8b.c
//!
//! @brief NemaGFX example.
//!
//
//*****************************************************************************

//*****************************************************************************
//
// Copyright (c) 2020, Ambiq Micro
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. Neither the name of the copyright holder nor the names of its
// contributors may be used to endorse or promote products derived from this
// software without specific prior written permission.
//
// Third party software included in this distribution is subject to the
// additional license terms as defined in the /docs/licenses directory.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
// This is part of revision v2.4.2-1403-gd656d944e of the AmbiqSuite Development Package.
//
//*****************************************************************************

#ifndef ARIAL14PT8B_C
#define ARIAL14PT8B_C

#include "arial14pt8b.h"

#ifndef NEMA_GPU_MEM
#define NEMA_GPU_MEM
#endif // NEMA_GPU_MEM

/* This will be read by the GPU only */
static uint8_t NEMA_GPU_MEM arial14pt8bBitmaps[] =
{
  // 0x20 - 0x7f
  0x5C, 0xFF, 0xB4, 0x5C, 0xFF, 0xB4, 0x5C, 0xFF, 0xB4, 0x57, 0xFF, 0xAF,
  0x48, 0xFF, 0x9F, 0x37, 0xFF, 0x8F, 0x27, 0xFF, 0x7F, 0x16, 0xFF, 0x6F,
  0x05, 0xFF, 0x5F, 0x00, 0xF5, 0x4F, 0x00, 0xE4, 0x3F, 0x00, 0x00, 0x00,
  0x4C, 0xFF, 0xA0, 0x4C, 0xFF, 0xA0, 0x20, 0xFF, 0xC8, 0x0C, 0xFF, 0xDC,
  0x20, 0xFF, 0xC8, 0x0C, 0xFF, 0xDC, 0x15, 0xFF, 0xBE, 0x05, 0xFC, 0xD1,
  0x00, 0xEB, 0x98, 0x00, 0xD9, 0xA8, 0x00, 0xBE, 0x70, 0x00, 0xAE, 0x7D,
  0x00, 0x00, 0x00, 0x4B, 0xFF, 0x19, 0x00, 0x04, 0xF6, 0x6D, 0x00, 0x00,
  0x00, 0x00, 0x7F, 0xE5, 0x00, 0x00, 0x2F, 0xFF, 0x39, 0x00, 0x00, 0x00,
  0x00, 0xB2, 0xB1, 0x00, 0x00, 0x62, 0xFC, 0x09, 0x00, 0xD0, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x54, 0xD0, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x54, 0x00, 0x00, 0x4F, 0xFF, 0x15,
  0x00, 0x06, 0xF8, 0x65, 0x00, 0x00, 0x00, 0x00, 0x84, 0xDF, 0x00, 0x00,
  0x34, 0xFF, 0x31, 0x00, 0x00, 0x00, 0x00, 0xB9, 0xAA, 0x00, 0x00, 0x69,
  0xF8, 0x05, 0x00, 0x00, 0xD0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0x54, 0xD0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0x54, 0x00, 0x57, 0xFE, 0x0F, 0x00, 0x0A, 0xFC, 0x60, 0x00, 0x00,
  0x00, 0x00, 0x8B, 0xD9, 0x00, 0x00, 0x3B, 0xFF, 0x2B, 0x00, 0x00, 0x00,
  0x00, 0xBF, 0xA5, 0x00, 0x00, 0x6F, 0xF4, 0x02, 0x00, 0x00, 0x00, 0x01,
  0xF0, 0x71, 0x00, 0x00, 0xA2, 0xC2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x44, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x49, 0xBD,
  0xF2, 0xFD, 0xD8, 0x81, 0x08, 0x00, 0x00, 0x5B, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xAD, 0x00, 0x00, 0xDD, 0xF8, 0x63, 0x52, 0xB9, 0x28, 0xBE,
  0xFF, 0x2B, 0x02, 0xFE, 0xB3, 0x00, 0x44, 0xB8, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xDD, 0xF2, 0x47, 0x44, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x59,
  0xFE, 0xFF, 0xE7, 0xCF, 0x1A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3B, 0xB5,
  0xFE, 0xFF, 0xFD, 0xAD, 0x1D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0xE5,
  0xE2, 0xFF, 0xDC, 0x09, 0x00, 0x00, 0x00, 0x00, 0x44, 0xB8, 0x04, 0x96,
  0xFF, 0x73, 0x00, 0x00, 0x00, 0x00, 0x44, 0xB8, 0x00, 0x19, 0xFF, 0xA4,
  0x3E, 0xFF, 0x89, 0x00, 0x44, 0xB8, 0x00, 0x3C, 0xFF, 0x99, 0x0A, 0xEE,
  0xF8, 0x66, 0x52, 0xBA, 0x3D, 0xDA, 0xFF, 0x53, 0x00, 0x64, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xB8, 0x02, 0x00, 0x00, 0x4D, 0xBC, 0xF3, 0xFE,
  0xE1, 0x85, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0xB8, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0xB8, 0x00, 0x00, 0x00, 0x00,
  0x02, 0x86, 0xE7, 0xE5, 0x83, 0x03, 0x00, 0x00, 0x00, 0x01, 0xCE, 0x8B,
  0x00, 0x00, 0x00, 0x69, 0xF1, 0x2F, 0x2C, 0xEF, 0x6D, 0x00, 0x00, 0x00,
  0x59, 0xF1, 0x13, 0x00, 0x00, 0x00, 0xC3, 0xAA, 0x00, 0x00, 0xA2, 0xC8,
  0x00, 0x00, 0x04, 0xDB, 0x7D, 0x00, 0x00, 0x00, 0x00, 0xDB, 0x95, 0x00,
  0x00, 0x8E, 0xE2, 0x00, 0x00, 0x69, 0xE9, 0x0C, 0x00, 0x00, 0x00, 0x00,
  0xC0, 0xA8, 0x00, 0x00, 0xA3, 0xC6, 0x00, 0x0A, 0xE6, 0x6E, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x69, 0xF1, 0x2E, 0x2B, 0xEF, 0x68, 0x00, 0x79, 0xE0,
  0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x85, 0xE7, 0xE6, 0x7F, 0x02,
  0x11, 0xEF, 0x5F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x89, 0xD5, 0x02, 0x0D, 0xA6, 0xEF, 0xDB, 0x5E, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xF6, 0x50, 0x00, 0x9D, 0xD4, 0x19,
  0x4E, 0xFE, 0x3A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x99, 0xC8, 0x00, 0x01,
  0xF5, 0x76, 0x00, 0x00, 0xD6, 0x94, 0x00, 0x00, 0x00, 0x00, 0x25, 0xFB,
  0x41, 0x00, 0x0F, 0xFF, 0x61, 0x00, 0x00, 0xC2, 0xAE, 0x00, 0x00, 0x00,
  0x00, 0xA9, 0xBA, 0x00, 0x00, 0x00, 0xF3, 0x74, 0x00, 0x00, 0xD7, 0x93,
  0x00, 0x00, 0x00, 0x31, 0xFD, 0x33, 0x00, 0x00, 0x00, 0x9D, 0xD3, 0x19,
  0x4F, 0xFE, 0x38, 0x00, 0x00, 0x00, 0xB8, 0xAB, 0x00, 0x00, 0x00, 0x00,
  0x10, 0xA3, 0xEF, 0xDB, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x1E, 0xAC, 0xED,
  0xE4, 0x8C, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xDD, 0xFF,
  0xFF, 0xFF, 0xFF, 0x96, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x58, 0xFF,
  0xA7, 0x10, 0x32, 0xEC, 0xF4, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6A,
  0xFF, 0x4C, 0x00, 0x00, 0xAF, 0xF7, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x20, 0xF9, 0xC2, 0x06, 0x2A, 0xF0, 0x9D, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x7A, 0xFF, 0xC9, 0xF6, 0xBC, 0x0B, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x09, 0x81, 0xFF, 0xFF, 0xC2, 0x02, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x18, 0xD1, 0xF9, 0x89, 0xD8, 0xFF, 0x57, 0x00, 0x28, 0x2C,
  0x02, 0x00, 0x00, 0xB6, 0xF9, 0x3D, 0x00, 0x27, 0xF1, 0xF4, 0x2D, 0xAC,
  0xFF, 0x25, 0x00, 0x13, 0xFF, 0xAD, 0x00, 0x00, 0x00, 0x4C, 0xFD, 0xDD,
  0xF9, 0xCC, 0x00, 0x00, 0x1D, 0xFF, 0xD3, 0x02, 0x00, 0x00, 0x00, 0x7C,
  0xFF, 0xFF, 0x4F, 0x00, 0x00, 0x00, 0xDC, 0xFF, 0x9D, 0x1D, 0x0F, 0x3B,
  0xA0, 0xFF, 0xFF, 0xB7, 0x06, 0x00, 0x00, 0x42, 0xFA, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xAC, 0xA7, 0xFF, 0xC7, 0x0D, 0x00, 0x00, 0x39, 0xB9, 0xF2,
  0xF5, 0xC8, 0x5F, 0x01, 0x03, 0x8C, 0x8F, 0x00, 0x2C, 0xFF, 0xBC, 0x2C,
  0xFF, 0xBC, 0x23, 0xFF, 0xB3, 0x03, 0xF8, 0x8B, 0x00, 0xD1, 0x61, 0x00,
  0x00, 0x08, 0xDA, 0x5A, 0x00, 0x00, 0x87, 0xCC, 0x01, 0x00, 0x24, 0xFB,
  0x4A, 0x00, 0x00, 0x95, 0xDF, 0x01, 0x00, 0x10, 0xF5, 0x89, 0x00, 0x00,
  0x54, 0xFF, 0x46, 0x00, 0x00, 0x95, 0xFF, 0x16, 0x00, 0x00, 0xB9, 0xF2,
  0x00, 0x00, 0x00, 0xCE, 0xE3, 0x00, 0x00, 0x00, 0xCC, 0xE5, 0x00, 0x00,
  0x00, 0xB3, 0xF8, 0x00, 0x00, 0x00, 0x93, 0xFF, 0x17, 0x00, 0x00, 0x4D,
  0xFF, 0x52, 0x00, 0x00, 0x09, 0xF6, 0x92, 0x00, 0x00, 0x00, 0x98, 0xEA,
  0x05, 0x00, 0x00, 0x21, 0xFB, 0x54, 0x00, 0x00, 0x00, 0x8E, 0xD1, 0x02,
  0x00, 0x00, 0x09, 0xDB, 0x5E, 0x90, 0xAA, 0x00, 0x00, 0x00, 0x13, 0xF0,
  0x4F, 0x00, 0x00, 0x00, 0x82, 0xE3, 0x06, 0x00, 0x00, 0x22, 0xFF, 0x60,
  0x00, 0x00, 0x00, 0xCD, 0xD0, 0x00, 0x00, 0x00, 0x7D, 0xFF, 0x1F, 0x00,
  0x00, 0x4D, 0xFF, 0x60, 0x00, 0x00, 0x2A, 0xFF, 0x84, 0x00, 0x00, 0x1B,
  0xFF, 0x99, 0x00, 0x00, 0x1F, 0xFF, 0x96, 0x00, 0x00, 0x33, 0xFF, 0x7D,
  0x00, 0x00, 0x51, 0xFF, 0x5D, 0x00, 0x00, 0x8B, 0xFE, 0x18, 0x00, 0x00,
  0xCA, 0xC8, 0x00, 0x00, 0x28, 0xFF, 0x5F, 0x00, 0x00, 0x8C, 0xE0, 0x04,
  0x00, 0x16, 0xF3, 0x56, 0x00, 0x00, 0x93, 0xAC, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x01, 0xFE, 0x4B, 0x00, 0x00, 0x05, 0x3F, 0x00, 0xEF, 0x37, 0x22,
  0x25, 0x43, 0xFF, 0xCB, 0xEF, 0xBC, 0xFE, 0x92, 0x04, 0x35, 0x9D, 0xFF,
  0xCD, 0x46, 0x0F, 0x00, 0x21, 0xEA, 0x7E, 0xF5, 0x5F, 0x00, 0x00, 0x4B,
  0xB1, 0x01, 0x70, 0x92, 0x00, 0x00, 0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x3C, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x98,
  0x50, 0xFF, 0x98, 0x00, 0x6C, 0x8C, 0x0E, 0xCA, 0x59, 0x31, 0xAB, 0x03,
  0x64, 0xFF, 0xFF, 0xFF, 0xFF, 0xBC, 0x64, 0xFF, 0xFF, 0xFF, 0xFF, 0xBC,
  0x48, 0xFF, 0xA0, 0x48, 0xFF, 0xA0, 0x00, 0x00, 0x00, 0x35, 0xFF, 0x23,
  0x00, 0x00, 0x00, 0x7D, 0xDB, 0x00, 0x00, 0x00, 0x00, 0xC5, 0x93, 0x00,
  0x00, 0x00, 0x10, 0xFC, 0x4B, 0x00, 0x00, 0x00, 0x55, 0xF8, 0x0A, 0x00,
  0x00, 0x00, 0x9D, 0xBB, 0x00, 0x00, 0x00, 0x00, 0xE3, 0x73, 0x00, 0x00,
  0x00, 0x2D, 0xFF, 0x2B, 0x00, 0x00, 0x00, 0x75, 0xE3, 0x00, 0x00, 0x00,
  0x00, 0xBD, 0x9B, 0x00, 0x00, 0x00, 0x0B, 0xF9, 0x53, 0x00, 0x00, 0x00,
  0x4D, 0xFB, 0x0F, 0x00, 0x00, 0x00, 0x95, 0xC3, 0x00, 0x00, 0x00, 0x00,
  0xDC, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0x98, 0xE4, 0xF6,
  0xC7, 0x4A, 0x00, 0x00, 0x00, 0x0A, 0xCE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE,
  0x4D, 0x00, 0x00, 0x71, 0xFF, 0xBF, 0x28, 0x14, 0x76, 0xFD, 0xE0, 0x03,
  0x00, 0xCE, 0xF6, 0x13, 0x00, 0x00, 0x00, 0x97, 0xFF, 0x40, 0x09, 0xFB,
  0xB9, 0x00, 0x00, 0x00, 0x00, 0x46, 0xFF, 0x76, 0x22, 0xFF, 0x92, 0x00,
  0x00, 0x00, 0x00, 0x22, 0xFF, 0x97, 0x31, 0xFF, 0x84, 0x00, 0x00, 0x00,
  0x00, 0x15, 0xFF, 0xA2, 0x33, 0xFF, 0x83, 0x00, 0x00, 0x00, 0x00, 0x15,
  0xFF, 0xA0, 0x26, 0xFF, 0x91, 0x00, 0x00, 0x00, 0x00, 0x23, 0xFF, 0x91,
  0x08, 0xFC, 0xB5, 0x00, 0x00, 0x00, 0x00, 0x47, 0xFF, 0x75, 0x00, 0xD1,
  0xF3, 0x10, 0x00, 0x00, 0x00, 0x97, 0xFF, 0x3E, 0x00, 0x78, 0xFF, 0xC5,
  0x2C, 0x13, 0x76, 0xFD, 0xDD, 0x03, 0x00, 0x0A, 0xD9, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFC, 0x4B, 0x00, 0x00, 0x00, 0x18, 0xA0, 0xEC, 0xF4, 0xC6, 0x46,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0xFF, 0x14, 0x00, 0x00, 0x32, 0xF0,
  0xFF, 0x14, 0x00, 0x59, 0xF3, 0xFF, 0xFF, 0x14, 0xB7, 0xFF, 0xCB, 0xB3,
  0xFF, 0x14, 0xDC, 0x73, 0x04, 0x98, 0xFF, 0x14, 0x07, 0x00, 0x00, 0x98,
  0xFF, 0x14, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x98,
  0xFF, 0x14, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x98,
  0xFF, 0x14, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x98,
  0xFF, 0x14, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x98,
  0xFF, 0x14, 0x00, 0x00, 0x31, 0xB0, 0xED, 0xFA, 0xDB, 0x7F, 0x06, 0x00,
  0x00, 0x29, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB3, 0x00, 0x00, 0xB9,
  0xFF, 0x7D, 0x19, 0x0C, 0x4C, 0xE8, 0xFF, 0x48, 0x06, 0xF6, 0xB9, 0x00,
  0x00, 0x00, 0x00, 0x5A, 0xFF, 0x82, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x3E, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9B,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x58, 0xFE, 0xA2, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x64, 0xFC, 0xC9, 0x0C, 0x00, 0x00, 0x00,
  0x00, 0x03, 0x8D, 0xFF, 0xBB, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xB4,
  0xFF, 0x92, 0x04, 0x00, 0x00, 0x00, 0x00, 0x08, 0xC0, 0xF9, 0x61, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFE, 0x51, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x1D, 0xFB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90,
  0x58, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x00, 0x00,
  0x22, 0xAD, 0xF1, 0xF4, 0xC3, 0x50, 0x00, 0x00, 0x00, 0x11, 0xE3, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0x64, 0x00, 0x00, 0x90, 0xFF, 0x8E, 0x17, 0x0C,
  0x5D, 0xF7, 0xE4, 0x00, 0x00, 0xE1, 0xD0, 0x00, 0x00, 0x00, 0x00, 0xC3,
  0xF9, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x17, 0x70, 0xFA, 0xA1, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xC4, 0xFF, 0xFF, 0xA8, 0x08, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xCB, 0xDD, 0xFD, 0xFD, 0x86, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x22, 0xD3, 0xFF, 0x45, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x3F, 0xFF, 0x96, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E,
  0xFF, 0xAC, 0x14, 0xFE, 0xAD, 0x00, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x8E,
  0x00, 0xC6, 0xFF, 0x7F, 0x16, 0x10, 0x60, 0xF2, 0xFF, 0x34, 0x00, 0x2C,
  0xF6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x82, 0x00, 0x00, 0x00, 0x31, 0xB4,
  0xF2, 0xF7, 0xCA, 0x59, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A,
  0xDA, 0xD0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x95, 0xFF, 0xD0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x47, 0xFF, 0xFD, 0xD0, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x11, 0xE5, 0xAF, 0xDC, 0xD0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xA8, 0xE9, 0x15, 0xDC, 0xD0, 0x00, 0x00, 0x00, 0x00, 0x59, 0xFF,
  0x4E, 0x00, 0xDC, 0xD0, 0x00, 0x00, 0x00, 0x1B, 0xEE, 0x9D, 0x00, 0x00,
  0xDC, 0xD0, 0x00, 0x00, 0x01, 0xB9, 0xDF, 0x0D, 0x00, 0x00, 0xDC, 0xD0,
  0x00, 0x00, 0x6C, 0xFD, 0x3E, 0x00, 0x00, 0x00, 0xDC, 0xD0, 0x00, 0x00,
  0xC4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA8, 0xC4, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA8, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xDC, 0xD0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xDC, 0xD0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDC, 0xD0,
  0x00, 0x00, 0x00, 0x00, 0xAE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2C,
  0x00, 0x00, 0xD8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2C, 0x00, 0x06,
  0xFB, 0xA4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2D, 0xFF, 0x77,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x58, 0xFF, 0x4A, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0xFF, 0x5C, 0xC7, 0xF8, 0xE2, 0x8B,
  0x0B, 0x00, 0x00, 0xAD, 0xFF, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xC8, 0x08,
  0x00, 0xD7, 0xF2, 0x64, 0x12, 0x0E, 0x4A, 0xDD, 0xFF, 0x70, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x35, 0xFF, 0xBA, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x06, 0xFE, 0xC9, 0x18, 0xFF, 0xBA, 0x00, 0x00, 0x00,
  0x00, 0x44, 0xFF, 0xA7, 0x00, 0xCC, 0xFF, 0x87, 0x18, 0x0E, 0x52, 0xE6,
  0xFF, 0x49, 0x00, 0x31, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x98, 0x00,
  0x00, 0x00, 0x35, 0xB6, 0xF2, 0xF7, 0xCF, 0x67, 0x01, 0x00, 0x00, 0x00,
  0x07, 0x7D, 0xDA, 0xF9, 0xE1, 0x7A, 0x02, 0x00, 0x00, 0x01, 0xB5, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x00, 0x00, 0x60, 0xFF, 0xD6, 0x38, 0x0A,
  0x44, 0xE5, 0xFA, 0x15, 0x00, 0xC5, 0xF3, 0x1D, 0x00, 0x00, 0x00, 0x60,
  0xFF, 0x54, 0x08, 0xFC, 0xA1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x2D, 0xFF, 0x73, 0x4D, 0xC9, 0xF7, 0xE3, 0x87, 0x07, 0x00, 0x3E, 0xFF,
  0xBC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB6, 0x01, 0x44, 0xFF, 0xFF, 0xA9,
  0x26, 0x0B, 0x43, 0xDC, 0xFF, 0x51, 0x39, 0xFF, 0xD9, 0x03, 0x00, 0x00,
  0x00, 0x3D, 0xFF, 0x98, 0x1D, 0xFF, 0xAE, 0x00, 0x00, 0x00, 0x00, 0x0F,
  0xFF, 0xA8, 0x00, 0xE7, 0xE5, 0x09, 0x00, 0x00, 0x00, 0x46, 0xFF, 0x89,
  0x00, 0x89, 0xFF, 0xB8, 0x2A, 0x0A, 0x46, 0xE1, 0xFF, 0x35, 0x00, 0x0D,
  0xD4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x98, 0x00, 0x00, 0x00, 0x10, 0x8F,
  0xE4, 0xF8, 0xD7, 0x70, 0x01, 0x00, 0x18, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xB4, 0x18, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xA6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xCA, 0xEB, 0x1C,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xFF, 0x4D, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x32, 0xFD, 0xAF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xC4, 0xF9, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF,
  0x9C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xFD, 0x25, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0xFC, 0xBF, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x65, 0xFF, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xAB, 0xFF, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE2,
  0xDC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xFF, 0xB0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x28, 0xFF, 0x92, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x18, 0xA2, 0xEC, 0xF8, 0xCC, 0x50, 0x00, 0x00,
  0x00, 0x0D, 0xDA, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5A, 0x00, 0x00, 0x71,
  0xFF, 0xC0, 0x27, 0x0E, 0x69, 0xFD, 0xE5, 0x01, 0x00, 0xA7, 0xFF, 0x23,
  0x00, 0x00, 0x00, 0xAB, 0xFF, 0x21, 0x00, 0x9B, 0xFF, 0x24, 0x00, 0x00,
  0x00, 0xA7, 0xFF, 0x18, 0x00, 0x46, 0xFF, 0xBC, 0x25, 0x0C, 0x60, 0xFC,
  0xC4, 0x00, 0x00, 0x00, 0x67, 0xF2, 0xFF, 0xFF, 0xFF, 0xC1, 0x1B, 0x00,
  0x00, 0x18, 0xB5, 0xFD, 0xFF, 0xFF, 0xFF, 0xE4, 0x5A, 0x00, 0x00, 0xC9,
  0xFC, 0x76, 0x18, 0x0B, 0x3F, 0xCF, 0xFE, 0x41, 0x23, 0xFF, 0x9D, 0x00,
  0x00, 0x00, 0x00, 0x1E, 0xFF, 0xA1, 0x32, 0xFF, 0x9C, 0x00, 0x00, 0x00,
  0x00, 0x1A, 0xFF, 0xB2, 0x07, 0xEE, 0xFC, 0x75, 0x18, 0x09, 0x3A, 0xC9,
  0xFF, 0x76, 0x00, 0x5A, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCF, 0x0B,
  0x00, 0x00, 0x40, 0xB8, 0xF1, 0xFA, 0xDC, 0x87, 0x0C, 0x00, 0x00, 0x00,
  0x2E, 0xB3, 0xF1, 0xEF, 0xB9, 0x3C, 0x00, 0x00, 0x00, 0x36, 0xF5, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFB, 0x53, 0x00, 0x00, 0xCD, 0xFF, 0xA8, 0x25, 0x0D,
  0x54, 0xED, 0xEB, 0x0F, 0x1B, 0xFF, 0xCC, 0x03, 0x00, 0x00, 0x00, 0x60,
  0xFF, 0x62, 0x33, 0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x2B, 0xFF, 0x96,
  0x20, 0xFF, 0xB9, 0x00, 0x00, 0x00, 0x00, 0x5A, 0xFF, 0xB0, 0x00, 0xD8,
  0xFF, 0x8F, 0x1D, 0x0C, 0x4F, 0xE8, 0xFF, 0xB9, 0x00, 0x46, 0xFB, 0xFF,
  0xFF, 0xFF, 0xFF, 0xC9, 0xF4, 0xB5, 0x00, 0x00, 0x3E, 0xC3, 0xF7, 0xE7,
  0x90, 0x19, 0xFF, 0xA3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34,
  0xFF, 0x80, 0x00, 0xD6, 0xCD, 0x00, 0x00, 0x00, 0x00, 0x96, 0xFF, 0x43,
  0x00, 0x94, 0xFF, 0x7E, 0x0F, 0x14, 0x86, 0xFF, 0xD1, 0x01, 0x00, 0x19,
  0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xF1, 0x35, 0x00, 0x00, 0x00, 0x32, 0xBE,
  0xF7, 0xE9, 0xAB, 0x2A, 0x00, 0x00, 0x48, 0xFF, 0xA0, 0x48, 0xFF, 0xA0,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0xFF, 0xA0, 0x48, 0xFF, 0xA0,
  0x50, 0xFF, 0x98, 0x50, 0xFF, 0x98, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x50, 0xFF, 0x98, 0x50, 0xFF, 0x98, 0x00, 0x6C, 0x8C, 0x0E, 0xCA, 0x59,
  0x31, 0xAB, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x4F, 0xC1,
  0x0B, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x6C, 0xDB, 0xFF, 0xFF, 0x0C, 0x00,
  0x00, 0x1B, 0x88, 0xEE, 0xFF, 0xE2, 0x8B, 0x31, 0x00, 0x33, 0xA5, 0xFB,
  0xEC, 0x98, 0x3E, 0x01, 0x00, 0x00, 0x00, 0xF4, 0xFF, 0x95, 0x09, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0xA6, 0xFB, 0xEB, 0x97, 0x3D, 0x01,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0x89, 0xEF, 0xFF, 0xE2, 0x8A, 0x30,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x6D, 0xDC, 0xFF, 0xFF, 0x0C, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x50, 0xC2, 0x0B, 0xF0, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0xF0,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0xBF, 0x5A, 0x04,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0xFF, 0xE3, 0x76, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x29, 0x83, 0xDC, 0xFF, 0xF4, 0x93, 0x23,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x37, 0x90, 0xE7, 0xFD, 0xAF, 0x3E,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x87, 0xFD, 0xFF, 0x0C, 0x00,
  0x00, 0x00, 0x36, 0x8F, 0xE6, 0xFD, 0xB0, 0x3F, 0x00, 0x28, 0x82, 0xDB,
  0xFF, 0xF4, 0x94, 0x24, 0x00, 0x00, 0x00, 0xF4, 0xFF, 0xE4, 0x78, 0x11,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x5B, 0x04, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x33, 0xB3, 0xEF, 0xF9, 0xD9, 0x80, 0x08,
  0x00, 0x00, 0x2C, 0xF6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC0, 0x03, 0x00,
  0xC0, 0xFF, 0x8C, 0x1C, 0x0B, 0x4B, 0xE3, 0xFF, 0x5C, 0x0E, 0xFB, 0xBD,
  0x00, 0x00, 0x00, 0x00, 0x46, 0xFF, 0x93, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x3B, 0xFF, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15,
  0xD7, 0xF7, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13, 0xD2, 0xFE, 0x5E,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBE, 0xFF, 0x6D, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x4A, 0xFF, 0x91, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x8C, 0xFF, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9E,
  0xFF, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB8, 0xFF, 0x2C, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xB8, 0xFF, 0x2C, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x02, 0x50, 0xA6, 0xDA, 0xF4, 0xF6, 0xDC, 0xB4, 0x5B,
  0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2E, 0xD1, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0x3A, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x3D, 0xF5, 0xFF, 0xD1, 0x72, 0x2F, 0x13, 0x0A, 0x23, 0x5D, 0xB8,
  0xFF, 0xFC, 0x45, 0x00, 0x00, 0x00, 0x1B, 0xED, 0xF7, 0x6C, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x49, 0xEE, 0xEA, 0x18, 0x00, 0x00,
  0xA9, 0xFD, 0x46, 0x00, 0x01, 0x67, 0xD5, 0xF5, 0xBF, 0x2C, 0x98, 0xFD,
  0x0D, 0x3B, 0xFB, 0x85, 0x00, 0x22, 0xFE, 0x85, 0x00, 0x00, 0xA1, 0xFF,
  0xFF, 0xFF, 0xFF, 0xEB, 0xD9, 0xD2, 0x00, 0x00, 0xA4, 0xE2, 0x00, 0x76,
  0xF7, 0x12, 0x00, 0x65, 0xFF, 0xD6, 0x40, 0x0C, 0x46, 0xEC, 0xFF, 0x9A,
  0x00, 0x00, 0x57, 0xFF, 0x0A, 0xBD, 0xAC, 0x00, 0x03, 0xE4, 0xF7, 0x20,
  0x00, 0x00, 0x00, 0x7A, 0xFF, 0x61, 0x00, 0x00, 0x41, 0xFF, 0x1C, 0xDC,
  0x85, 0x00, 0x3E, 0xFF, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x62, 0xFF, 0x29,
  0x00, 0x00, 0x67, 0xFC, 0x07, 0xF1, 0x70, 0x00, 0x63, 0xFF, 0x52, 0x00,
  0x00, 0x00, 0x00, 0x9F, 0xEF, 0x01, 0x00, 0x01, 0xC9, 0xC3, 0x00, 0xE1,
  0x8B, 0x00, 0x5F, 0xFF, 0x68, 0x00, 0x00, 0x00, 0x2F, 0xFA, 0xB8, 0x00,
  0x00, 0x73, 0xFF, 0x56, 0x00, 0xC2, 0xBB, 0x00, 0x26, 0xFF, 0xE2, 0x36,
  0x11, 0x60, 0xEF, 0xFF, 0xA9, 0x16, 0x8F, 0xFF, 0xB4, 0x01, 0x00, 0x79,
  0xFE, 0x28, 0x00, 0xAA, 0xFF, 0xFF, 0xFF, 0xFF, 0xD4, 0xFF, 0xFF, 0xFF,
  0xFF, 0xC7, 0x0F, 0x00, 0x00, 0x20, 0xF9, 0xC6, 0x0A, 0x0A, 0x98, 0xEF,
  0xE7, 0x7E, 0x0C, 0xB4, 0xF6, 0xDC, 0x7C, 0x07, 0x00, 0x00, 0x00, 0x00,
  0x86, 0xFF, 0xC1, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x15, 0xAD, 0xFE, 0x42, 0x00, 0x03, 0xAC, 0xFF, 0xFB, 0xA8, 0x60,
  0x29, 0x12, 0x04, 0x12, 0x25, 0x59, 0x9D, 0xF6, 0xFD, 0x64, 0x00, 0x00,
  0x00, 0x02, 0x75, 0xF4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xD9, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x68, 0xAA,
  0xDB, 0xF0, 0xFB, 0xED, 0xD6, 0x9E, 0x50, 0x02, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x09, 0xF2, 0xFF, 0x56, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0xFF, 0xBC, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xF2, 0xB9, 0xFE,
  0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFD, 0xA9,
  0x55, 0xFF, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7B,
  0xFF, 0x56, 0x07, 0xEC, 0xE8, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xD9, 0xE7, 0x05, 0x00, 0x8B, 0xFF, 0x53, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x3B, 0xFF, 0x83, 0x00, 0x00, 0x22, 0xFD, 0xB8, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x9A, 0xFC, 0x1C, 0x00, 0x00, 0x00, 0xB5, 0xFD,
  0x20, 0x00, 0x00, 0x00, 0x00, 0x09, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0x84, 0x00, 0x00, 0x00, 0x00, 0x5A, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xE5, 0x04, 0x00, 0x00, 0x00, 0xB9, 0xFF, 0x2F,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xBE, 0xFF, 0x4F, 0x00, 0x00, 0x1B, 0xFD,
  0xD1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x58, 0xFF, 0xB5, 0x00, 0x00,
  0x79, 0xFF, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xEB, 0xFD,
  0x1E, 0x00, 0xD8, 0xFB, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x8B, 0xFF, 0x81, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xEA, 0xB2, 0x35,
  0x00, 0x00, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0x36,
  0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x06, 0x1B, 0x85, 0xFF, 0xBA, 0x00,
  0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDD, 0xF3, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDA, 0xE7, 0x00, 0x9C, 0xFF,
  0x30, 0x00, 0x00, 0x03, 0x1A, 0x86, 0xFF, 0x8C, 0x00, 0x9C, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB4, 0x09, 0x00, 0x9C, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xD2, 0x42, 0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00,
  0x02, 0x11, 0x4A, 0xDF, 0xFA, 0x2A, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x50, 0xFF, 0x8B, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x4D, 0xFF, 0x9D, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x0A, 0x47,
  0xE0, 0xFF, 0x65, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xCF, 0x07, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0xD2, 0x85, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x02, 0x57, 0xB7, 0xE4, 0xFA, 0xE2, 0x9B, 0x21,
  0x00, 0x00, 0x00, 0x00, 0x13, 0xBB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xF1, 0x31, 0x00, 0x00, 0x01, 0xB8, 0xFF, 0xD5, 0x58, 0x1A, 0x09, 0x2D,
  0xA0, 0xFF, 0xE7, 0x0E, 0x00, 0x53, 0xFF, 0xD0, 0x0E, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9C, 0xFF, 0x6E, 0x00, 0xB1, 0xFF, 0x44, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x1A, 0x77, 0x32, 0x00, 0xE8, 0xF2, 0x03, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFD, 0xD5, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFB, 0xD8, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE3, 0xF3,
  0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x00, 0x00, 0xA5,
  0xFF, 0x45, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xFB, 0xBC, 0x00,
  0x4E, 0xFF, 0xD0, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA1, 0xFF, 0x8C,
  0x00, 0x00, 0xC0, 0xFF, 0xD5, 0x55, 0x14, 0x0C, 0x37, 0xAF, 0xFF, 0xEF,
  0x19, 0x00, 0x00, 0x19, 0xD0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4,
  0x44, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x6C, 0xC6, 0xE8, 0xFA, 0xE1, 0x9A,
  0x22, 0x00, 0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xF0, 0xC8, 0x70,
  0x05, 0x00, 0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xC5, 0x0A, 0x00, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x04, 0x16, 0x55, 0xE0,
  0xFF, 0x9B, 0x00, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22,
  0xEF, 0xFB, 0x1E, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x8C, 0xFF, 0x67, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x47, 0xFF, 0x98, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x2E, 0xFF, 0xAB, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x2E, 0xFF, 0xAA, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x49, 0xFF, 0x95, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x8D, 0xFF, 0x63, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E,
  0xF0, 0xFB, 0x16, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x04, 0x17, 0x56, 0xDD,
  0xFF, 0x91, 0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xC0, 0x08, 0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xEE, 0xC2, 0x68,
  0x05, 0x00, 0x00, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0x58, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0x58, 0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80,
  0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD4, 0x00, 0x80, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD4, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xA8, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xA8, 0x70, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBC, 0x70,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBC, 0x70, 0xFF, 0x5C,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x5C, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x70, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x70, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBC, 0x00, 0x70,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBC, 0x00, 0x70, 0xFF, 0x5C,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x5C, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x70, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x70, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70,
  0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x42, 0xA3, 0xDB, 0xF6, 0xEF, 0xC7, 0x71, 0x07, 0x00, 0x00, 0x00, 0x07,
  0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD2, 0x15, 0x00, 0x00,
  0x91, 0xFF, 0xEC, 0x72, 0x24, 0x06, 0x10, 0x4B, 0xC9, 0xFF, 0xAB, 0x00,
  0x2F, 0xFE, 0xF0, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xD0, 0xFF,
  0x1E, 0x8D, 0xFF, 0x69, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x49,
  0x91, 0x21, 0xD0, 0xFD, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xED, 0xE8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xEF, 0xE8, 0x00, 0x00, 0x00, 0x00, 0x2C, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0x98, 0xD4, 0xFE, 0x0C, 0x00, 0x00, 0x00, 0x2C,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x98, 0x96, 0xFF, 0x63, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x2C, 0xFF, 0x98, 0x35, 0xFF, 0xEC, 0x24, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x2D, 0xFF, 0x98, 0x00, 0x90, 0xFF, 0xF3,
  0x7F, 0x2C, 0x09, 0x0B, 0x32, 0x79, 0xE0, 0xFF, 0x96, 0x00, 0x05, 0x90,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x13, 0x00, 0x00,
  0x00, 0x36, 0x97, 0xD6, 0xF2, 0xF4, 0xD6, 0x94, 0x2F, 0x00, 0x00, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x30, 0x7C,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x7C,
  0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x3C,
  0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C,
  0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C,
  0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x3C,
  0xFF, 0x94, 0x3C, 0xFF, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC8,
  0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC8, 0xFF, 0x08, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xC8, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xC8, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC8,
  0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC8, 0xFF, 0x08, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xC8, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xC8, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC8,
  0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCB, 0xFF, 0x04, 0x55,
  0xEA, 0x42, 0x00, 0x00, 0x00, 0xE5, 0xF4, 0x00, 0x48, 0xFF, 0xBA, 0x1D,
  0x0B, 0x7B, 0xFF, 0xC3, 0x00, 0x05, 0xD8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0x53, 0x00, 0x00, 0x1E, 0xA7, 0xE5, 0xF6, 0xCB, 0x53, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8E, 0xFF, 0xD0, 0x13, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x01, 0x94, 0xFF, 0xD1, 0x13, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x01, 0x99, 0xFF, 0xD1, 0x14, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x02, 0x9E, 0xFF, 0xD1, 0x14, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x03, 0xA4, 0xFF, 0xD2, 0x14, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0x34, 0xA9, 0xFF, 0xE4, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0xCF, 0xFF, 0xFF, 0xFD, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0xFF, 0xC6, 0x4F, 0xFD, 0xE4, 0x12, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0xB4, 0x0A, 0x00, 0x88, 0xFF, 0xAE, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x06, 0xD1, 0xFF, 0x67, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x2D, 0xF9, 0xF5, 0x29, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x76, 0xFF, 0xD0, 0x07, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x02, 0xC2, 0xFF, 0x8F, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x21, 0xF2, 0xFE, 0x49, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9C, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE4, 0x9C, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xE4, 0x98, 0xFF, 0xFF, 0x4A, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x35, 0xFF, 0xFF, 0x64, 0x98, 0xFF, 0xFF, 0xA0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x8D, 0xFF, 0xFF, 0x64, 0x98, 0xFF, 0xD7,
  0xEF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x01, 0xE3, 0xD5, 0xFF, 0x64, 0x98,
  0xFF, 0x83, 0xFF, 0x4B, 0x00, 0x00, 0x00, 0x00, 0x3E, 0xFF, 0x81, 0xFF,
  0x64, 0x98, 0xFF, 0x34, 0xFA, 0xA1, 0x00, 0x00, 0x00, 0x00, 0x96, 0xD4,
  0x58, 0xFF, 0x64, 0x98, 0xFF, 0x24, 0xB7, 0xF0, 0x06, 0x00, 0x00, 0x04,
  0xEA, 0x80, 0x58, 0xFF, 0x64, 0x98, 0xFF, 0x24, 0x63, 0xFF, 0x4C, 0x00,
  0x00, 0x47, 0xFF, 0x2C, 0x58, 0xFF, 0x64, 0x98, 0xFF, 0x24, 0x13, 0xFB,
  0xA1, 0x00, 0x00, 0xA0, 0xD7, 0x00, 0x58, 0xFF, 0x64, 0x98, 0xFF, 0x24,
  0x00, 0xBB, 0xF0, 0x06, 0x07, 0xF0, 0x83, 0x00, 0x58, 0xFF, 0x64, 0x98,
  0xFF, 0x24, 0x00, 0x67, 0xFF, 0x4C, 0x4F, 0xFF, 0x2F, 0x00, 0x58, 0xFF,
  0x64, 0x98, 0xFF, 0x24, 0x00, 0x15, 0xFC, 0x9F, 0xA5, 0xDA, 0x00, 0x00,
  0x58, 0xFF, 0x64, 0x98, 0xFF, 0x24, 0x00, 0x00, 0xBF, 0xEC, 0xF1, 0x86,
  0x00, 0x00, 0x58, 0xFF, 0x64, 0x98, 0xFF, 0x24, 0x00, 0x00, 0x6B, 0xFF,
  0xFF, 0x32, 0x00, 0x00, 0x58, 0xFF, 0x64, 0x98, 0xFF, 0x24, 0x00, 0x00,
  0x18, 0xFD, 0xDD, 0x00, 0x00, 0x00, 0x58, 0xFF, 0x64, 0x8C, 0xFF, 0x9E,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0xFF,
  0x43, 0x00, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0xFF,
  0xDD, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x9E,
  0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x2F,
  0xCA, 0xFC, 0x35, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x2E, 0xFA, 0xD2, 0x05, 0x00, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x84, 0xFF, 0x7C, 0x00, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x07, 0xD7, 0xF8, 0x28, 0x00, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x00, 0x3C, 0xFE, 0xC4, 0x01, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x00, 0x00, 0x96, 0xFF, 0x6B, 0x90, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x00, 0x00, 0x0D, 0xE3, 0xF2, 0xAD, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x00, 0x00, 0x00, 0x4C, 0xFF, 0xFF, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xA7, 0xFF, 0xFF, 0x28, 0x8C, 0xFF, 0x2C,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0xEC, 0xFF, 0x28, 0x00, 0x00, 0x00,
  0x01, 0x58, 0xB7, 0xEA, 0xF8, 0xDD, 0xA5, 0x3A, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x0E, 0xB9, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8D, 0x03,
  0x00, 0x00, 0x01, 0xB5, 0xFF, 0xE2, 0x64, 0x1A, 0x07, 0x24, 0x7B, 0xF4,
  0xFF, 0x83, 0x00, 0x00, 0x50, 0xFF, 0xD6, 0x13, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x2F, 0xF5, 0xFB, 0x25, 0x00, 0xB3, 0xFF, 0x45, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x7B, 0xFF, 0x82, 0x00, 0xED, 0xF2, 0x03, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x21, 0xFF, 0xC2, 0x07, 0xFF, 0xD3,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFB, 0xDD, 0x0A,
  0xFF, 0xCE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8,
  0xDE, 0x00, 0xEE, 0xED, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x1C, 0xFF, 0xC2, 0x00, 0xAD, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x71, 0xFF, 0x84, 0x00, 0x4A, 0xFF, 0xDA, 0x14, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x2A, 0xF0, 0xFC, 0x26, 0x00, 0x00, 0xAA, 0xFF, 0xE1,
  0x61, 0x17, 0x05, 0x20, 0x74, 0xF0, 0xFF, 0x84, 0x00, 0x00, 0x00, 0x0B,
  0xAC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x93, 0x04, 0x00, 0x00,
  0x00, 0x00, 0x01, 0x4D, 0xB4, 0xE2, 0xF8, 0xDF, 0xA5, 0x3E, 0x00, 0x00,
  0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xDE, 0x95, 0x17, 0x00,
  0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0x0C, 0x88,
  0xFF, 0x44, 0x00, 0x00, 0x00, 0x07, 0x31, 0xD1, 0xFF, 0x76, 0x88, 0xFF,
  0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x37, 0xFF, 0xBE, 0x88, 0xFF, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xFF, 0xD2, 0x88, 0xFF, 0x44, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xB8, 0x88, 0xFF, 0x44, 0x00, 0x00,
  0x00, 0x14, 0x4B, 0xDB, 0xFF, 0x6B, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xCC, 0x06, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF5,
  0xD3, 0x84, 0x0E, 0x00, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x88, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x05, 0x5B, 0xBB, 0xE5, 0xF7, 0xDB, 0xA1, 0x37, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x17, 0xC2, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFE, 0x89, 0x02, 0x00, 0x00, 0x00, 0x03, 0xC5, 0xFF, 0xD7, 0x58, 0x15,
  0x08, 0x29, 0x86, 0xF9, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x67, 0xFF, 0xC7,
  0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFB, 0xFB, 0x1F, 0x00, 0x00,
  0xC7, 0xFF, 0x2A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x91, 0xFF,
  0x7A, 0x00, 0x07, 0xFE, 0xD6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x38, 0xFF, 0xB1, 0x00, 0x22, 0xFF, 0xB5, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x14, 0xFF, 0xCB, 0x00, 0x23, 0xFF, 0xB4, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13, 0xFF, 0xC3, 0x00, 0x08,
  0xFF, 0xD7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0xFF,
  0x9F, 0x00, 0x00, 0xC7, 0xFF, 0x2D, 0x00, 0x00, 0x00, 0x13, 0x18, 0x00,
  0x00, 0x8C, 0xFF, 0x54, 0x00, 0x00, 0x65, 0xFF, 0xC7, 0x0B, 0x00, 0x00,
  0x77, 0xFB, 0x9D, 0x4C, 0xF8, 0xD3, 0x02, 0x00, 0x00, 0x02, 0xC3, 0xFF,
  0xD6, 0x57, 0x14, 0x10, 0x82, 0xFD, 0xFF, 0xF2, 0x26, 0x00, 0x00, 0x00,
  0x00, 0x15, 0xC1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x85,
  0x02, 0x00, 0x00, 0x00, 0x00, 0x04, 0x5C, 0xBD, 0xE8, 0xF8, 0xDF, 0xA5,
  0x5D, 0xCC, 0xFF, 0xC4, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x03, 0x5E, 0x88, 0x00, 0x80, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFE, 0xF0, 0xCB, 0x70, 0x03, 0x00, 0x00, 0x80, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8E, 0x00, 0x00, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x02, 0x19, 0x6E, 0xFB, 0xFB, 0x18, 0x00, 0x80,
  0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x99, 0xFF, 0x4C, 0x00,
  0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9D, 0xFF, 0x46,
  0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x04, 0x1B, 0x72, 0xFB, 0xF7,
  0x15, 0x00, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0x78, 0x00, 0x00, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA, 0xC4,
  0x58, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x01, 0x2B, 0xC2, 0xEF,
  0x5E, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x0B,
  0xCF, 0xFD, 0x53, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00, 0x00,
  0x00, 0x25, 0xF4, 0xF7, 0x30, 0x00, 0x00, 0x80, 0xFF, 0x4C, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x6A, 0xFF, 0xCF, 0x04, 0x00, 0x80, 0xFF, 0x4C, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x01, 0xC1, 0xFF, 0x7D, 0x00, 0x80, 0xFF, 0x4C,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x25, 0xF6, 0xF9, 0x2D, 0x00, 0x00,
  0x05, 0x6C, 0xC7, 0xF0, 0xF7, 0xDD, 0x9B, 0x26, 0x00, 0x00, 0x00, 0x04,
  0xBA, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x42, 0x00, 0x00, 0x5B,
  0xFF, 0xD6, 0x47, 0x12, 0x08, 0x24, 0x87, 0xFE, 0xDE, 0x03, 0x00, 0x95,
  0xFF, 0x37, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA3, 0xFF, 0x2D, 0x00, 0x81,
  0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E,
  0xEE, 0xF6, 0x9B, 0x4E, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x2B, 0xC3, 0xFF, 0xFF, 0xFF, 0xD9, 0x96, 0x34, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x22, 0x66, 0xA1, 0xDE, 0xFF, 0xFE, 0x87, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xC4, 0xFF, 0x50, 0x12, 0xFF,
  0xA9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x21, 0xFF, 0x9E, 0x00, 0xE0,
  0xF6, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3D, 0xFF, 0x9B, 0x00, 0x73,
  0xFF, 0xE5, 0x65, 0x1C, 0x04, 0x15, 0x5A, 0xE6, 0xFF, 0x4D, 0x00, 0x02,
  0xAA, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9A, 0x00, 0x00, 0x00,
  0x00, 0x58, 0xB6, 0xE7, 0xFA, 0xEC, 0xB9, 0x54, 0x00, 0x00, 0x8C, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x38, 0x8C, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x38, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x14, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x30, 0x80, 0xFF,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0x2F, 0x77, 0xFF,
  0x56, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA6, 0xFF, 0x27, 0x66, 0xFF,
  0x72, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC5, 0xFF, 0x16, 0x38, 0xFF,
  0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xFA, 0xE6, 0x00, 0x03, 0xE1,
  0xFF, 0xA6, 0x2D, 0x07, 0x0E, 0x45, 0xCF, 0xFF, 0x8F, 0x00, 0x00, 0x45,
  0xF6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCD, 0x10, 0x00, 0x00, 0x00,
  0x2C, 0x9C, 0xDE, 0xF6, 0xEF, 0xCE, 0x76, 0x0B, 0x00, 0x00, 0xBC, 0xFF,
  0x33, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0x56, 0x5B,
  0xFF, 0x8C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDA, 0xEE, 0x07,
  0x09, 0xF1, 0xE3, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x37, 0xFF, 0x94,
  0x00, 0x00, 0x9A, 0xFF, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x93, 0xFF,
  0x32, 0x00, 0x00, 0x3A, 0xFF, 0x96, 0x00, 0x00, 0x00, 0x00, 0x04, 0xEA,
  0xD1, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xEA, 0x04, 0x00, 0x00, 0x00, 0x4B,
  0xFF, 0x6F, 0x00, 0x00, 0x00, 0x00, 0x79, 0xFF, 0x47, 0x00, 0x00, 0x00,
  0xA7, 0xF9, 0x14, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xFC, 0xA0, 0x00, 0x00,
  0x0D, 0xF5, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB7, 0xF0, 0x07,
  0x00, 0x60, 0xFF, 0x4B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x57, 0xFF,
  0x51, 0x00, 0xBC, 0xE6, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07,
  0xEE, 0xA7, 0x17, 0xFD, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x96, 0xF1, 0x6D, 0xFF, 0x27, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x35, 0xFF, 0xEB, 0xC5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xD4, 0xFF, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xA4, 0xFF, 0x2F, 0x00, 0x00, 0x00, 0x00, 0x37, 0xFF, 0xFF, 0x39, 0x00,
  0x00, 0x00, 0x00, 0x36, 0xFF, 0x95, 0x62, 0xFF, 0x68, 0x00, 0x00, 0x00,
  0x00, 0x7C, 0xFB, 0xFF, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x72, 0xFF, 0x51,
  0x1F, 0xFF, 0xA1, 0x00, 0x00, 0x00, 0x00, 0xC1, 0xCF, 0xE1, 0xC2, 0x00,
  0x00, 0x00, 0x00, 0xAD, 0xFC, 0x10, 0x00, 0xDE, 0xDA, 0x00, 0x00, 0x00,
  0x0C, 0xFA, 0x95, 0xA2, 0xFA, 0x0C, 0x00, 0x00, 0x00, 0xE8, 0xC8, 0x00,
  0x00, 0x9C, 0xFF, 0x13, 0x00, 0x00, 0x4C, 0xFF, 0x50, 0x5E, 0xFF, 0x4B,
  0x00, 0x00, 0x24, 0xFF, 0x84, 0x00, 0x00, 0x5A, 0xFF, 0x4B, 0x00, 0x00,
  0x91, 0xFB, 0x0D, 0x18, 0xFE, 0x8F, 0x00, 0x00, 0x60, 0xFF, 0x40, 0x00,
  0x00, 0x18, 0xFF, 0x84, 0x00, 0x00, 0xD6, 0xC1, 0x00, 0x00, 0xD1, 0xD4,
  0x00, 0x00, 0x9B, 0xF5, 0x06, 0x00, 0x00, 0x00, 0xD6, 0xBC, 0x00, 0x1B,
  0xFF, 0x7A, 0x00, 0x00, 0x8A, 0xFF, 0x18, 0x00, 0xD7, 0xB7, 0x00, 0x00,
  0x00, 0x00, 0x94, 0xF2, 0x02, 0x60, 0xFF, 0x33, 0x00, 0x00, 0x44, 0xFF,
  0x58, 0x13, 0xFE, 0x73, 0x00, 0x00, 0x00, 0x00, 0x52, 0xFF, 0x2D, 0xA5,
  0xEA, 0x01, 0x00, 0x00, 0x07, 0xF5, 0x99, 0x4E, 0xFF, 0x2F, 0x00, 0x00,
  0x00, 0x00, 0x11, 0xFD, 0x64, 0xE6, 0xA4, 0x00, 0x00, 0x00, 0x00, 0xB7,
  0xCE, 0x8D, 0xE9, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCE, 0xC0, 0xFF,
  0x5D, 0x00, 0x00, 0x00, 0x00, 0x70, 0xF8, 0xCD, 0xA6, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x8C, 0xFF, 0xFE, 0x17, 0x00, 0x00, 0x00, 0x00, 0x2A,
  0xFF, 0xFF, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x49, 0xFF, 0xCF,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE3, 0xFF, 0x1E, 0x00, 0x00, 0x00,
  0x10, 0xE3, 0xFB, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x29, 0xF7, 0xCE,
  0x06, 0x00, 0x44, 0xFE, 0xCE, 0x04, 0x00, 0x00, 0x00, 0x05, 0xCD, 0xF5,
  0x28, 0x00, 0x00, 0x00, 0x93, 0xFF, 0x79, 0x00, 0x00, 0x00, 0x85, 0xFF,
  0x68, 0x00, 0x00, 0x00, 0x00, 0x09, 0xD9, 0xF8, 0x28, 0x00, 0x39, 0xFC,
  0xB2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0xFB, 0xCE, 0x1B, 0xE1,
  0xE7, 0x15, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0xFF, 0xF1,
  0xFE, 0x47, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xD9,
  0xFF, 0xA5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x39,
  0xFB, 0xFF, 0xEE, 0x1B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F,
  0xDF, 0xF8, 0x98, 0xFF, 0xB9, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xA9, 0xFF, 0x76, 0x04, 0xCB, 0xFF, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x63, 0xFF, 0xBE, 0x02, 0x00, 0x27, 0xF5, 0xF6, 0x27, 0x00, 0x00, 0x00,
  0x27, 0xF4, 0xED, 0x1B, 0x00, 0x00, 0x00, 0x6B, 0xFF, 0xCB, 0x04, 0x00,
  0x06, 0xCE, 0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB7, 0xFF, 0x81,
  0x00, 0x8F, 0xFF, 0x9B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x19, 0xEC,
  0xFB, 0x36, 0x9D, 0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07,
  0xDB, 0xFC, 0x35, 0x10, 0xE6, 0xFB, 0x2E, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x81, 0xFF, 0x84, 0x00, 0x00, 0x50, 0xFF, 0xC5, 0x01, 0x00, 0x00, 0x00,
  0x25, 0xF8, 0xD2, 0x06, 0x00, 0x00, 0x00, 0xAB, 0xFF, 0x63, 0x00, 0x00,
  0x00, 0xBB, 0xFA, 0x31, 0x00, 0x00, 0x00, 0x00, 0x17, 0xED, 0xEC, 0x17,
  0x00, 0x5E, 0xFF, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5E, 0xFF,
  0xB5, 0x25, 0xF0, 0xCD, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xB7, 0xFF, 0xF3, 0xF9, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x1E, 0xF3, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xB4, 0xFF, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x18, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x18, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x18, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x18, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xE8, 0x00, 0x00, 0xD4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xE8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01,
  0xA9, 0xFF, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88,
  0xFF, 0xAA, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x61, 0xFF,
  0xCE, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0xF9, 0xE8,
  0x1D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22, 0xEC, 0xF9, 0x3A,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xD6, 0xFF, 0x61, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xB9, 0xFF, 0x8E, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x94, 0xFF, 0xB8, 0x03, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x6B, 0xFF, 0xD8, 0x10, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x45, 0xFB, 0xDE, 0x23, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xA0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0x24, 0xA0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0x24, 0xB4, 0xFF, 0xFF, 0xF8, 0xB4, 0xFF, 0xFF, 0xF8,
  0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00,
  0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00,
  0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00,
  0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00,
  0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xF4, 0x00, 0x00, 0xB4, 0xFF, 0xFF, 0xF8,
  0xB4, 0xFF, 0xFF, 0xF8, 0xDC, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x95, 0xC3,
  0x00, 0x00, 0x00, 0x00, 0x4D, 0xFB, 0x0F, 0x00, 0x00, 0x00, 0x0B, 0xF9,
  0x53, 0x00, 0x00, 0x00, 0x00, 0xBD, 0x9B, 0x00, 0x00, 0x00, 0x00, 0x75,
  0xE3, 0x00, 0x00, 0x00, 0x00, 0x2D, 0xFF, 0x2B, 0x00, 0x00, 0x00, 0x00,
  0xE4, 0x73, 0x00, 0x00, 0x00, 0x00, 0x9D, 0xBB, 0x00, 0x00, 0x00, 0x00,
  0x55, 0xF8, 0x0A, 0x00, 0x00, 0x00, 0x10, 0xFC, 0x4B, 0x00, 0x00, 0x00,
  0x00, 0xC5, 0x93, 0x00, 0x00, 0x00, 0x00, 0x7D, 0xDB, 0x00, 0x00, 0x00,
  0x00, 0x34, 0xFF, 0x24, 0xA4, 0xFF, 0xFF, 0xFF, 0x0C, 0xA4, 0xFF, 0xFF,
  0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C,
  0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00,
  0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF,
  0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00,
  0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0,
  0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C, 0x00, 0x00, 0xA0, 0xFF, 0x0C,
  0xA4, 0xFF, 0xFF, 0xFF, 0x0C, 0xA4, 0xFF, 0xFF, 0xFF, 0x0C, 0x00, 0x00,
  0x00, 0x75, 0xFF, 0x5B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xE5, 0xFF,
  0xD3, 0x01, 0x00, 0x00, 0x00, 0x00, 0x65, 0xFF, 0x8C, 0xFF, 0x4D, 0x00,
  0x00, 0x00, 0x02, 0xD9, 0xC5, 0x03, 0xDC, 0xC5, 0x00, 0x00, 0x00, 0x55,
  0xFF, 0x53, 0x00, 0x6A, 0xFF, 0x3E, 0x00, 0x00, 0xCC, 0xDF, 0x03, 0x00,
  0x09, 0xEB, 0xB6, 0x00, 0x44, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x7F, 0xFF,
  0x30, 0x48, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xC8, 0x48, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xC8, 0x05, 0xCB, 0xFF, 0x44, 0x00, 0x00, 0x26, 0xF4, 0xAF, 0x00, 0x00,
  0x00, 0x63, 0xFC, 0x1D, 0x00, 0x00, 0x4D, 0xBB, 0xED, 0xFB, 0xE8, 0xA4,
  0x1E, 0x00, 0x00, 0x5F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xCD, 0x00,
  0x00, 0xDF, 0xE4, 0x3E, 0x0A, 0x05, 0x1D, 0xAB, 0xFF, 0x29, 0x00, 0x00,
  0x01, 0x32, 0x5D, 0x83, 0xB4, 0xF3, 0xFF, 0x3A, 0x00, 0x35, 0xD1, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3C, 0x08, 0xE6, 0xFF, 0xBE, 0x88, 0x64,
  0x3C, 0x80, 0xFF, 0x3C, 0x41, 0xFF, 0x9B, 0x00, 0x00, 0x00, 0x00, 0xA9,
  0xFF, 0x40, 0x37, 0xFF, 0xCC, 0x26, 0x06, 0x26, 0x94, 0xFF, 0xFF, 0x49,
  0x06, 0xD6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x67, 0x00, 0x20,
  0xAE, 0xEB, 0xF2, 0xD3, 0x8F, 0x45, 0xFF, 0xA4, 0xC0, 0xE8, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0,
  0xE8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xE8, 0x16, 0xB4,
  0xF6, 0xE1, 0x86, 0x09, 0x00, 0xC0, 0xEB, 0xC9, 0xFF, 0xFF, 0xFF, 0xFF,
  0xB8, 0x01, 0xC0, 0xFF, 0xD3, 0x3A, 0x0C, 0x41, 0xDD, 0xFF, 0x4F, 0xC0,
  0xFC, 0x23, 0x00, 0x00, 0x00, 0x3D, 0xFF, 0x9F, 0xC0, 0xD9, 0x00, 0x00,
  0x00, 0x00, 0x03, 0xFA, 0xC0, 0xC0, 0xD6, 0x00, 0x00, 0x00, 0x00, 0x04,
  0xFB, 0xBC, 0xC0, 0xF9, 0x16, 0x00, 0x00, 0x00, 0x44, 0xFF, 0x97, 0xC0,
  0xFE, 0xC1, 0x29, 0x0A, 0x48, 0xE2, 0xFF, 0x43, 0xC0, 0xCF, 0xD1, 0xFF,
  0xFF, 0xFF, 0xFF, 0xA0, 0x00, 0xC0, 0xCC, 0x1E, 0xBD, 0xF7, 0xDC, 0x75,
  0x02, 0x00, 0x00, 0x00, 0x29, 0xA7, 0xE9, 0xF4, 0xCF, 0x64, 0x00, 0x00,
  0x00, 0x31, 0xF4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7A, 0x00, 0x00, 0xC1,
  0xFF, 0x96, 0x21, 0x07, 0x33, 0xD1, 0xF2, 0x0A, 0x14, 0xFE, 0xC4, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0xFF, 0x86, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0x85, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x18, 0xFF, 0xC3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xCA, 0xFF, 0x91, 0x1D, 0x05, 0x28, 0xB6, 0xFF, 0x23, 0x00, 0x37,
  0xF6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x99, 0x00, 0x00, 0x00, 0x2F, 0xB0,
  0xEF, 0xF5, 0xD1, 0x6C, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x78, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78,
  0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x30,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x30, 0x00, 0x00,
  0x40, 0xC0, 0xF3, 0xDD, 0x53, 0x78, 0xFF, 0x30, 0x00, 0x48, 0xFB, 0xFF,
  0xFF, 0xFF, 0xFD, 0xB6, 0xFF, 0x30, 0x00, 0xDA, 0xFF, 0x7C, 0x15, 0x19,
  0x81, 0xFF, 0xFF, 0x30, 0x2A, 0xFF, 0xAB, 0x00, 0x00, 0x00, 0x00, 0xAC,
  0xFF, 0x30, 0x4C, 0xFF, 0x6D, 0x00, 0x00, 0x00, 0x00, 0x6A, 0xFF, 0x30,
  0x4C, 0xFF, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x63, 0xFF, 0x30, 0x28, 0xFF,
  0xB1, 0x00, 0x00, 0x00, 0x00, 0xA0, 0xFF, 0x30, 0x00, 0xD2, 0xFF, 0x87,
  0x19, 0x14, 0x74, 0xFC, 0xFF, 0x30, 0x00, 0x3A, 0xF6, 0xFF, 0xFF, 0xFF,
  0xFF, 0xA2, 0xFF, 0x30, 0x00, 0x00, 0x34, 0xB7, 0xF1, 0xE4, 0x64, 0x5C,
  0xFF, 0x30, 0x00, 0x00, 0x24, 0xA6, 0xEA, 0xF8, 0xD1, 0x63, 0x00, 0x00,
  0x00, 0x2C, 0xEF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x86, 0x00, 0x00, 0xC5,
  0xFF, 0x87, 0x1E, 0x0B, 0x3C, 0xCC, 0xFE, 0x2E, 0x1C, 0xFF, 0xAE, 0x00,
  0x00, 0x00, 0x00, 0x22, 0xFF, 0x88, 0x42, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xFF, 0xB5, 0x44, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xC4, 0x24, 0xFF, 0x96, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xD1, 0xFC, 0x7B, 0x1C, 0x08, 0x29, 0x91, 0xFF, 0x7C, 0x00, 0x39,
  0xF5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD3, 0x0F, 0x00, 0x00, 0x2C, 0xAA,
  0xEB, 0xF8, 0xDC, 0x8D, 0x13, 0x00, 0x00, 0x00, 0x67, 0xE1, 0xF6, 0xC0,
  0x00, 0x25, 0xFE, 0xFF, 0xFF, 0xC3, 0x00, 0x52, 0xFF, 0x8E, 0x07, 0x09,
  0x00, 0x58, 0xFF, 0x51, 0x00, 0x00, 0xD4, 0xFF, 0xFF, 0xFF, 0xFF, 0x3C,
  0xD4, 0xFF, 0xFF, 0xFF, 0xFF, 0x3C, 0x00, 0x58, 0xFF, 0x50, 0x00, 0x00,
  0x00, 0x58, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x58, 0xFF, 0x50, 0x00, 0x00,
  0x00, 0x58, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x58, 0xFF, 0x50, 0x00, 0x00,
  0x00, 0x58, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x58, 0xFF, 0x50, 0x00, 0x00,
  0x00, 0x58, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x00, 0x41, 0xC0, 0xF2, 0xE6,
  0xAE, 0x6A, 0xFF, 0x4C, 0x00, 0x49, 0xFB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0x4C, 0x01, 0xDD, 0xFF, 0x80, 0x17, 0x17, 0x7B, 0xFE, 0xFF, 0x4C,
  0x31, 0xFF, 0xA8, 0x00, 0x00, 0x00, 0x00, 0x9D, 0xFF, 0x4C, 0x57, 0xFF,
  0x65, 0x00, 0x00, 0x00, 0x00, 0x58, 0xFF, 0x4C, 0x5C, 0xFF, 0x67, 0x00,
  0x00, 0x00, 0x00, 0x57, 0xFF, 0x4C, 0x37, 0xFF, 0xA6, 0x00, 0x00, 0x00,
  0x00, 0x96, 0xFF, 0x4C, 0x02, 0xDF, 0xFE, 0x7B, 0x17, 0x14, 0x70, 0xFC,
  0xFF, 0x4C, 0x00, 0x4A, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x4B,
  0x00, 0x00, 0x47, 0xC7, 0xF7, 0xE5, 0xA3, 0x86, 0xFF, 0x44, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x2D, 0x04, 0xFC, 0xD5, 0x30,
  0x06, 0x0F, 0x5A, 0xF2, 0xF0, 0x05, 0x00, 0xAB, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0x66, 0x00, 0x00, 0x0A, 0x7B, 0xD5, 0xF5, 0xEF, 0xBF, 0x4C,
  0x00, 0x00, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0,
  0xEC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xEC, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0xC0, 0xEC, 0x0F, 0xA1, 0xF1, 0xEE, 0xA6, 0x1A, 0x00, 0xC0,
  0xEF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0xC0, 0xFF, 0xD3, 0x39,
  0x09, 0x3A, 0xE7, 0xFF, 0x28, 0xC0, 0xFF, 0x2C, 0x00, 0x00, 0x00, 0x80,
  0xFF, 0x42, 0xC0, 0xF5, 0x00, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x48, 0xC0,
  0xEC, 0x00, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x48, 0xC0, 0xEC, 0x00, 0x00,
  0x00, 0x00, 0x64, 0xFF, 0x48, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x64,
  0xFF, 0x48, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x48, 0xC0,
  0xEC, 0x00, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x48, 0xBC, 0xF0, 0xBC, 0xF0,
  0x00, 0x00, 0x00, 0x00, 0xBC, 0xF0, 0xBC, 0xF0, 0xBC, 0xF0, 0xBC, 0xF0,
  0xBC, 0xF0, 0xBC, 0xF0, 0xBC, 0xF0, 0xBC, 0xF0, 0xBC, 0xF0, 0xBC, 0xF0,
  0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC0, 0xE8,
  0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC0, 0xE8,
  0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC0, 0xE8,
  0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC0, 0xE8, 0x00, 0x00, 0xC7, 0xE6,
  0x0A, 0x16, 0xED, 0xD9, 0xAA, 0xFF, 0xFF, 0xA8, 0xB1, 0xF3, 0xBF, 0x1C,
  0xBC, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xF0, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xF0, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0xBC, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xBC, 0xF0, 0x00, 0x00, 0x01, 0x9B, 0xFF, 0x89, 0x00, 0xBC, 0xF0, 0x00,
  0x02, 0x9E, 0xFF, 0x86, 0x00, 0x00, 0xBC, 0xF0, 0x02, 0xA1, 0xFF, 0x83,
  0x00, 0x00, 0x00, 0xBC, 0xF1, 0xA3, 0xFF, 0x91, 0x00, 0x00, 0x00, 0x00,
  0xBC, 0xFF, 0xFF, 0xFD, 0xC8, 0x03, 0x00, 0x00, 0x00, 0xBC, 0xFF, 0x7C,
  0x81, 0xFF, 0x74, 0x00, 0x00, 0x00, 0xBC, 0xF0, 0x00, 0x07, 0xD7, 0xF6,
  0x25, 0x00, 0x00, 0xBC, 0xF0, 0x00, 0x00, 0x3C, 0xFE, 0xC3, 0x02, 0x00,
  0xBC, 0xF0, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x6E, 0x00, 0xBC, 0xF0, 0x00,
  0x00, 0x00, 0x0F, 0xE6, 0xF4, 0x22, 0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4,
  0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4,
  0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4, 0xC8, 0xE4, 0xC0, 0xC0,
  0x17, 0xAD, 0xF3, 0xDE, 0x5C, 0x00, 0x28, 0xBF, 0xF5, 0xD8, 0x5F, 0x00,
  0xC0, 0xC5, 0xD0, 0xFF, 0xFF, 0xFF, 0xFD, 0x45, 0xE7, 0xFF, 0xFF, 0xFF,
  0xFE, 0x37, 0xC0, 0xFE, 0xC9, 0x2C, 0x0A, 0x6F, 0xFF, 0xF6, 0xAE, 0x21,
  0x16, 0x93, 0xFF, 0x80, 0xC0, 0xFF, 0x2C, 0x00, 0x00, 0x01, 0xF4, 0xF3,
  0x0C, 0x00, 0x00, 0x1F, 0xFF, 0x9A, 0xC0, 0xF7, 0x00, 0x00, 0x00, 0x00,
  0xE4, 0xD0, 0x00, 0x00, 0x00, 0x10, 0xFF, 0x9C, 0xC0, 0xEC, 0x00, 0x00,
  0x00, 0x00, 0xE4, 0xC8, 0x00, 0x00, 0x00, 0x10, 0xFF, 0x9C, 0xC0, 0xEC,
  0x00, 0x00, 0x00, 0x00, 0xE4, 0xC8, 0x00, 0x00, 0x00, 0x10, 0xFF, 0x9C,
  0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0xE4, 0xC8, 0x00, 0x00, 0x00, 0x10,
  0xFF, 0x9C, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0xE4, 0xC8, 0x00, 0x00,
  0x00, 0x10, 0xFF, 0x9C, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0xE4, 0xC8,
  0x00, 0x00, 0x00, 0x10, 0xFF, 0x9C, 0xC0, 0xC0, 0x47, 0xC6, 0xF6, 0xEF,
  0xA7, 0x1D, 0x00, 0xC0, 0xEE, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xCB, 0x00,
  0xC0, 0xFF, 0xCB, 0x38, 0x09, 0x39, 0xE5, 0xFF, 0x29, 0xC0, 0xFF, 0x27,
  0x00, 0x00, 0x00, 0x80, 0xFF, 0x41, 0xC0, 0xF4, 0x00, 0x00, 0x00, 0x00,
  0x69, 0xFF, 0x44, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x68, 0xFF, 0x44,
  0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x68, 0xFF, 0x44, 0xC0, 0xEC, 0x00,
  0x00, 0x00, 0x00, 0x68, 0xFF, 0x44, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00,
  0x68, 0xFF, 0x44, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x68, 0xFF, 0x44,
  0x00, 0x00, 0x33, 0xB0, 0xEE, 0xF8, 0xD5, 0x75, 0x04, 0x00, 0x00, 0x45,
  0xFA, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB2, 0x02, 0x03, 0xDF, 0xFF, 0x91,
  0x20, 0x0D, 0x4A, 0xDF, 0xFF, 0x5E, 0x35, 0xFF, 0xB2, 0x00, 0x00, 0x00,
  0x00, 0x36, 0xFF, 0xB3, 0x56, 0xFF, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00,
  0xEE, 0xD4, 0x58, 0xFF, 0x6B, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF1, 0xCD,
  0x35, 0xFF, 0xB2, 0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0xAF, 0x03, 0xE0,
  0xFF, 0x90, 0x1F, 0x0C, 0x4A, 0xDF, 0xFF, 0x5D, 0x00, 0x48, 0xFA, 0xFF,
  0xFF, 0xFF, 0xFF, 0xFF, 0xB6, 0x02, 0x00, 0x00, 0x36, 0xB3, 0xEF, 0xF7,
  0xD1, 0x71, 0x03, 0x00, 0xC0, 0xC8, 0x1A, 0xB8, 0xF5, 0xE0, 0x85, 0x07,
  0x00, 0xC0, 0xCB, 0xCD, 0xFF, 0xFF, 0xFF, 0xFF, 0xB8, 0x00, 0xC0, 0xFE,
  0xD7, 0x3E, 0x0C, 0x41, 0xDC, 0xFF, 0x4F, 0xC0, 0xFC, 0x28, 0x00, 0x00,
  0x00, 0x3A, 0xFF, 0xA2, 0xC0, 0xDA, 0x00, 0x00, 0x00, 0x00, 0x02, 0xF7,
  0xC5, 0xC0, 0xD4, 0x00, 0x00, 0x00, 0x00, 0x03, 0xF9, 0xC1, 0xC0, 0xF9,
  0x19, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0x9A, 0xC0, 0xFF, 0xC5, 0x30, 0x0B,
  0x44, 0xDE, 0xFF, 0x43, 0xC0, 0xF0, 0xD5, 0xFF, 0xFF, 0xFF, 0xFF, 0xA0,
  0x00, 0xC0, 0xEC, 0x1F, 0xBD, 0xF6, 0xD7, 0x70, 0x01, 0x00, 0xC0, 0xEC,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xEC, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0xC0, 0xEC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x40, 0xC0, 0xF3, 0xE0, 0x5E, 0x4C, 0xFF, 0x34, 0x00, 0x48, 0xFB, 0xFF,
  0xFF, 0xFF, 0xFE, 0x96, 0xFF, 0x34, 0x00, 0xD9, 0xFF, 0x82, 0x17, 0x19,
  0x87, 0xFD, 0xFF, 0x34, 0x29, 0xFF, 0xB3, 0x00, 0x00, 0x00, 0x00, 0xAC,
  0xFF, 0x34, 0x4A, 0xFF, 0x75, 0x00, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x34,
  0x4A, 0xFF, 0x76, 0x00, 0x00, 0x00, 0x00, 0x5B, 0xFF, 0x34, 0x23, 0xFF,
  0xBB, 0x00, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x34, 0x00, 0xCB, 0xFF, 0x90,
  0x1B, 0x12, 0x6E, 0xFC, 0xFF, 0x34, 0x00, 0x32, 0xF3, 0xFF, 0xFF, 0xFF,
  0xFF, 0xC5, 0xFF, 0x34, 0x00, 0x00, 0x2C, 0xB4, 0xF4, 0xE4, 0x62, 0x78,
  0xFF, 0x34, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x34,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x34, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x34, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x78, 0xFF, 0x34, 0xC4, 0xBC, 0x4B, 0xE9, 0xE9, 0x58,
  0xC4, 0xCD, 0xEE, 0xFF, 0xFC, 0x30, 0xC4, 0xFF, 0xB1, 0x0F, 0x00, 0x00,
  0xC4, 0xFF, 0x1F, 0x00, 0x00, 0x00, 0xC4, 0xF1, 0x00, 0x00, 0x00, 0x00,
  0xC4, 0xE8, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xE8, 0x00, 0x00, 0x00, 0x00,
  0xC4, 0xE8, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xE8, 0x00, 0x00, 0x00, 0x00,
  0xC4, 0xE8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0x91, 0xDC, 0xF8, 0xE5,
  0x9C, 0x1A, 0x00, 0x00, 0xAB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD7, 0x04,
  0x15, 0xFF, 0xB6, 0x1B, 0x04, 0x19, 0x9D, 0xFF, 0x45, 0x0F, 0xFC, 0xED,
  0x92, 0x60, 0x20, 0x00, 0x00, 0x00, 0x00, 0x91, 0xFF, 0xFF, 0xFF, 0xFF,
  0xD0, 0x61, 0x00, 0x00, 0x00, 0x4E, 0xAC, 0xF2, 0xFF, 0xFF, 0xFF, 0x64,
  0x00, 0x00, 0x00, 0x00, 0x04, 0x2D, 0x73, 0xFF, 0xB8, 0x3F, 0xFF, 0xA5,
  0x21, 0x05, 0x0E, 0x5E, 0xFF, 0xA5, 0x01, 0xC2, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xF8, 0x34, 0x00, 0x11, 0x8B, 0xDB, 0xF6, 0xEF, 0xB5, 0x36, 0x00,
  0x00, 0x00, 0x13, 0x14, 0x00, 0x00, 0x00, 0x3F, 0xED, 0x38, 0x00, 0x00,
  0x00, 0x70, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x38, 0x00, 0x00,
  0xAC, 0xFF, 0xFF, 0xFF, 0xE8, 0x00, 0xAC, 0xFF, 0xFF, 0xFF, 0xE8, 0x00,
  0x00, 0x70, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x38, 0x00, 0x00,
  0x00, 0x70, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x38, 0x00, 0x00,
  0x00, 0x70, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x5C, 0x00, 0x00,
  0x00, 0x58, 0xFF, 0xFF, 0xD6, 0x00, 0x00, 0x0C, 0xB3, 0xF7, 0xE9, 0x0F,
  0xC8, 0xE4, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x34, 0xC8, 0xE4, 0x00,
  0x00, 0x00, 0x00, 0x78, 0xFF, 0x34, 0xC8, 0xE4, 0x00, 0x00, 0x00, 0x00,
  0x78, 0xFF, 0x34, 0xC8, 0xE4, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x34,
  0xC8, 0xE4, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x34, 0xC8, 0xE6, 0x00,
  0x00, 0x00, 0x00, 0x82, 0xFF, 0x34, 0xC4, 0xF7, 0x05, 0x00, 0x00, 0x00,
  0xB9, 0xFF, 0x34, 0xAA, 0xFF, 0x8D, 0x0F, 0x16, 0x83, 0xFB, 0xFF, 0x34,
  0x4D, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x89, 0xFF, 0x34, 0x00, 0x65, 0xD6,
  0xF8, 0xD2, 0x49, 0x4C, 0xFF, 0x34, 0x95, 0xFF, 0x2D, 0x00, 0x00, 0x00,
  0x00, 0x9E, 0xFD, 0x1A, 0x35, 0xFF, 0x87, 0x00, 0x00, 0x00, 0x08, 0xF1,
  0xB8, 0x00, 0x00, 0xD4, 0xE1, 0x01, 0x00, 0x00, 0x56, 0xFF, 0x58, 0x00,
  0x00, 0x75, 0xFF, 0x3D, 0x00, 0x00, 0xB2, 0xF0, 0x08, 0x00, 0x00, 0x18,
  0xFC, 0x98, 0x00, 0x13, 0xFA, 0x99, 0x00, 0x00, 0x00, 0x00, 0xB5, 0xED,
  0x06, 0x6A, 0xFF, 0x39, 0x00, 0x00, 0x00, 0x00, 0x55, 0xFF, 0x48, 0xC4,
  0xD9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xED, 0xB2, 0xFE, 0x7A, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x95, 0xFF, 0xFD, 0x1D, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x34, 0xFF, 0xBB, 0x00, 0x00, 0x00, 0x00, 0xCA, 0xE8,
  0x01, 0x00, 0x00, 0x1E, 0xFF, 0xDB, 0x00, 0x00, 0x00, 0x32, 0xFF, 0x6C,
  0x7C, 0xFF, 0x2E, 0x00, 0x00, 0x63, 0xFF, 0xFF, 0x1C, 0x00, 0x00, 0x7C,
  0xFF, 0x1E, 0x2F, 0xFF, 0x73, 0x00, 0x00, 0xA7, 0xFD, 0xFF, 0x5C, 0x00,
  0x00, 0xC6, 0xCE, 0x00, 0x00, 0xE1, 0xB8, 0x00, 0x01, 0xE9, 0xA6, 0xF4,
  0x9C, 0x00, 0x12, 0xFC, 0x7F, 0x00, 0x00, 0x95, 0xF6, 0x07, 0x2F, 0xFF,
  0x57, 0xB3, 0xDC, 0x00, 0x5A, 0xFF, 0x30, 0x00, 0x00, 0x48, 0xFF, 0x42,
  0x73, 0xFD, 0x13, 0x6F, 0xFF, 0x1D, 0xA4, 0xE1, 0x00, 0x00, 0x00, 0x07,
  0xF3, 0x98, 0xC1, 0xC8, 0x00, 0x2B, 0xFF, 0x7D, 0xF4, 0x93, 0x00, 0x00,
  0x00, 0x00, 0xAD, 0xF2, 0xFD, 0x81, 0x00, 0x00, 0xE6, 0xFB, 0xFF, 0x44,
  0x00, 0x00, 0x00, 0x00, 0x60, 0xFF, 0xFF, 0x3A, 0x00, 0x00, 0xA3, 0xFF,
  0xF0, 0x05, 0x00, 0x00, 0x00, 0x00, 0x15, 0xFD, 0xEF, 0x03, 0x00, 0x00,
  0x5E, 0xFF, 0xA7, 0x00, 0x00, 0x00, 0x41, 0xFE, 0xCD, 0x03, 0x00, 0x00,
  0x3D, 0xFD, 0xBD, 0x01, 0x00, 0x8E, 0xFF, 0x74, 0x00, 0x0B, 0xDD, 0xF0,
  0x1D, 0x00, 0x00, 0x08, 0xD5, 0xF5, 0x22, 0x9B, 0xFF, 0x5C, 0x00, 0x00,
  0x00, 0x00, 0x31, 0xFA, 0xDF, 0xFF, 0xAB, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x7F, 0xFF, 0xEF, 0x13, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB7,
  0xFF, 0xFF, 0x46, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6B, 0xFF, 0xA6, 0xEF,
  0xE4, 0x10, 0x00, 0x00, 0x00, 0x27, 0xF6, 0xD7, 0x09, 0x5D, 0xFF, 0xA4,
  0x00, 0x00, 0x04, 0xCB, 0xFB, 0x34, 0x00, 0x00, 0xB1, 0xFF, 0x54, 0x00,
  0x83, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x18, 0xED, 0xEB, 0x18, 0x7F, 0xFF,
  0x4A, 0x00, 0x00, 0x00, 0x00, 0x86, 0xFF, 0x25, 0x1E, 0xFD, 0xA9, 0x00,
  0x00, 0x00, 0x01, 0xDF, 0xC6, 0x00, 0x00, 0xB9, 0xF8, 0x10, 0x00, 0x00,
  0x3C, 0xFF, 0x68, 0x00, 0x00, 0x57, 0xFF, 0x67, 0x00, 0x00, 0x97, 0xF8,
  0x11, 0x00, 0x00, 0x07, 0xED, 0xC5, 0x00, 0x05, 0xEC, 0xAC, 0x00, 0x00,
  0x00, 0x00, 0x91, 0xFF, 0x24, 0x4E, 0xFF, 0x4E, 0x00, 0x00, 0x00, 0x00,
  0x2E, 0xFF, 0x78, 0xAB, 0xEB, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCC,
  0xD7, 0xF8, 0x92, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x69, 0xFF, 0xFF,
  0x34, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0xFE, 0xD6, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x75, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x10, 0x1D, 0xC8, 0xF8, 0x16, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF1,
  0xFF, 0xFF, 0x91, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBA, 0xF5, 0xA6,
  0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xFF, 0xFF, 0xCC, 0x00, 0x40, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
  0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0xCD, 0xE4, 0x22, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x15, 0xD0, 0xE9, 0x27, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x17, 0xD4, 0xEC, 0x2D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xD8,
  0xF0, 0x32, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xDB, 0xF3, 0x39, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x21, 0xDF, 0xE2, 0x38, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x9E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x18,
  0xA0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x18, 0x00, 0x00,
  0x00, 0x7C, 0xEE, 0xE7, 0x00, 0x00, 0x41, 0xFF, 0xFF, 0xE8, 0x00, 0x00,
  0x7D, 0xFF, 0x58, 0x05, 0x00, 0x00, 0x8B, 0xFF, 0x0A, 0x00, 0x00, 0x00,
  0x90, 0xFF, 0x02, 0x00, 0x00, 0x00, 0x98, 0xFD, 0x00, 0x00, 0x00, 0x00,
  0xB7, 0xEA, 0x00, 0x00, 0x04, 0x4E, 0xFA, 0xA5, 0x00, 0x00, 0x78, 0xFF,
  0xC1, 0x18, 0x00, 0x00, 0x78, 0xFF, 0xBF, 0x13, 0x00, 0x00, 0x04, 0x51,
  0xFA, 0xA4, 0x00, 0x00, 0x00, 0x00, 0xB6, 0xE9, 0x00, 0x00, 0x00, 0x00,
  0x97, 0xFE, 0x01, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x04, 0x00, 0x00, 0x00,
  0x8A, 0xFF, 0x07, 0x00, 0x00, 0x00, 0x7B, 0xFF, 0x52, 0x03, 0x00, 0x00,
  0x44, 0xFF, 0xFF, 0xE8, 0x00, 0x00, 0x00, 0x76, 0xEE, 0xE7, 0x40, 0xFF,
  0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF,
  0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF,
  0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF,
  0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF, 0x34, 0x40, 0xFF,
  0x34, 0x40, 0xFF, 0x34, 0x8F, 0xF8, 0xB8, 0x14, 0x00, 0x00, 0x90, 0xFF,
  0xFF, 0x96, 0x00, 0x00, 0x00, 0x1D, 0xE6, 0xCC, 0x00, 0x00, 0x00, 0x00,
  0xB5, 0xDA, 0x00, 0x00, 0x00, 0x00, 0xB1, 0xE1, 0x00, 0x00, 0x00, 0x00,
  0xAC, 0xEA, 0x00, 0x00, 0x00, 0x00, 0x97, 0xFD, 0x0B, 0x00, 0x00, 0x00,
  0x53, 0xFF, 0x94, 0x0E, 0x00, 0x00, 0x00, 0x80, 0xFA, 0xD0, 0x00, 0x00,
  0x00, 0x86, 0xFB, 0xD0, 0x00, 0x00, 0x4C, 0xFF, 0x96, 0x0E, 0x00, 0x00,
  0x95, 0xFD, 0x0B, 0x00, 0x00, 0x00, 0xAA, 0xE9, 0x00, 0x00, 0x00, 0x00,
  0xAF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xB7, 0xDD, 0x00, 0x00, 0x00, 0x20,
  0xE7, 0xD0, 0x00, 0x00, 0x90, 0xFF, 0xFF, 0x96, 0x00, 0x00, 0x90, 0xF9,
  0xB5, 0x11, 0x00, 0x00, 0x00, 0x25, 0xC6, 0xF7, 0xBC, 0x39, 0x00, 0x00,
  0x00, 0x1D, 0x3B, 0x07, 0xDA, 0xFF, 0xFF, 0xFF, 0xFD, 0x92, 0x16, 0x30,
  0xD7, 0x4C, 0x30, 0xE3, 0x36, 0x13, 0x76, 0xF4, 0xFF, 0xFF, 0xFF, 0xE6,
  0x10, 0x29, 0x32, 0x00, 0x00, 0x00, 0x23, 0xB0, 0xF1, 0xD1, 0x30, 0x00,
  0xA0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x4C, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4C,
  0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4C, 0x4C, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x4C, 0x4C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4C,
  0xA0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0
};

/* This struct will be read by the CPU only */
static const nema_glyph_t arial14pt8bGlyphs0[] =
{
    {     0,   0,   5,    0,    1 },   // 0x20 ' '
    {     0,   3,   5,    1,  -13 },   // 0x21 '!'
    {    42,   6,   7,    0,  -13 },   // 0x22 '"'
    {    72,  11,  11,    0,  -13 },   // 0x23 '#'
    {   226,  10,  11,    0,  -14 },   // 0x24 '$'
    {   396,  15,  17,    1,  -13 },   // 0x25 '%'
    {   606,  13,  13,    0,  -13 },   // 0x26 '&'
    {   788,   3,   4,    0,  -13 },   // 0x27 '''
    {   803,   5,   6,    1,  -13 },   // 0x28 '('
    {   893,   5,   6,    1,  -13 },   // 0x29 ')'
    {   983,   7,   7,    0,  -13 },   // 0x2A '*'
    {  1025,  10,  11,    1,  -10 },   // 0x2B '+'
    {  1125,   3,   5,    1,   -1 },   // 0x2C ','
    {  1140,   6,   6,    0,   -5 },   // 0x2D '-'
    {  1152,   3,   5,    1,   -1 },   // 0x2E '.'
    {  1158,   6,   5,    0,  -13 },   // 0x2F '/'
    {  1242,  10,  11,    0,  -13 },   // 0x30 '0'
    {  1382,   6,  11,    2,  -13 },   // 0x31 '1'
    {  1466,  10,  11,    0,  -13 },   // 0x32 '2'
    {  1606,  10,  11,    0,  -13 },   // 0x33 '3'
    {  1746,  10,  11,    0,  -13 },   // 0x34 '4'
    {  1886,  10,  11,    0,  -13 },   // 0x35 '5'
    {  2026,  10,  11,    0,  -13 },   // 0x36 '6'
    {  2166,  10,  11,    0,  -13 },   // 0x37 '7'
    {  2306,  10,  11,    0,  -13 },   // 0x38 '8'
    {  2446,  10,  11,    0,  -13 },   // 0x39 '9'
    {  2586,   3,   5,    1,   -9 },   // 0x3A ':'
    {  2616,   3,   5,    1,   -9 },   // 0x3B ';'
    {  2655,  10,  11,    1,  -10 },   // 0x3C '<'
    {  2745,  10,  11,    1,   -9 },   // 0x3D '='
    {  2805,  10,  11,    1,  -10 },   // 0x3E '>'
    {  2895,  10,  11,    0,  -13 },   // 0x3F '?'
    {  3035,  18,  19,    1,  -13 },   // 0x40 '@'
    {  3359,  14,  13,   -1,  -13 },   // 0x41 'A'
    {  3555,  11,  13,    1,  -13 },   // 0x42 'B'
    {  3709,  13,  14,    0,  -13 },   // 0x43 'C'
    {  3891,  12,  14,    1,  -13 },   // 0x44 'D'
    {  4059,  11,  13,    1,  -13 },   // 0x45 'E'
    {  4213,  10,  12,    1,  -13 },   // 0x46 'F'
    {  4353,  13,  15,    1,  -13 },   // 0x47 'G'
    {  4535,  12,  14,    1,  -13 },   // 0x48 'H'
    {  4703,   3,   5,    1,  -13 },   // 0x49 'I'
    {  4745,   9,  10,    0,  -13 },   // 0x4A 'J'
    {  4871,  12,  13,    1,  -13 },   // 0x4B 'K'
    {  5039,   9,  11,    1,  -13 },   // 0x4C 'L'
    {  5165,  14,  16,    1,  -13 },   // 0x4D 'M'
    {  5361,  12,  14,    1,  -13 },   // 0x4E 'N'
    {  5529,  14,  15,    0,  -13 },   // 0x4F 'O'
    {  5725,  11,  13,    1,  -13 },   // 0x50 'P'
    {  5879,  15,  15,    0,  -13 },   // 0x51 'Q'
    {  6104,  13,  14,    1,  -13 },   // 0x52 'R'
    {  6286,  12,  13,    0,  -13 },   // 0x53 'S'
    {  6454,  12,  12,    0,  -13 },   // 0x54 'T'
    {  6622,  12,  14,    1,  -13 },   // 0x55 'U'
    {  6790,  13,  13,    0,  -13 },   // 0x56 'V'
    {  6972,  18,  18,    0,  -13 },   // 0x57 'W'
    {  7224,  13,  13,    0,  -13 },   // 0x58 'X'
    {  7406,  13,  13,    0,  -13 },   // 0x59 'Y'
    {  7588,  12,  12,    0,  -13 },   // 0x5A 'Z'
    {  7756,   4,   5,    1,  -13 },   // 0x5B '['
    {  7828,   6,   5,    0,  -13 },   // 0x5C '\'
    {  7912,   5,   5,    0,  -13 },   // 0x5D ']'
    {  8002,   9,   9,    0,  -13 },   // 0x5E '^'
    {  8065,  12,  11,   -1,    3 },   // 0x5F '_'
    {  8089,   5,   6,    0,  -13 },   // 0x60 '`'
    {  8104,  10,  11,    0,   -9 },   // 0x61 'a'
    {  8204,   9,  11,    1,  -13 },   // 0x62 'b'
    {  8330,  10,  10,    0,   -9 },   // 0x63 'c'
    {  8430,  10,  11,    0,  -13 },   // 0x64 'd'
    {  8570,  10,  11,    0,   -9 },   // 0x65 'e'
    {  8670,   6,   5,    0,  -13 },   // 0x66 'f'
    {  8754,  10,  11,    0,   -9 },   // 0x67 'g'
    {  8894,   9,  11,    1,  -13 },   // 0x68 'h'
    {  9020,   2,   4,    1,  -13 },   // 0x69 'i'
    {  9048,   4,   4,   -1,  -13 },   // 0x6A 'j'
    {  9120,   9,  10,    1,  -13 },   // 0x6B 'k'
    {  9246,   2,   4,    1,  -13 },   // 0x6C 'l'
    {  9274,  14,  16,    1,   -9 },   // 0x6D 'm'
    {  9414,   9,  11,    1,   -9 },   // 0x6E 'n'
    {  9504,  10,  11,    0,   -9 },   // 0x6F 'o'
    {  9604,   9,  11,    1,   -9 },   // 0x70 'p'
    {  9730,  10,  11,    0,   -9 },   // 0x71 'q'
    {  9870,   6,   6,    1,   -9 },   // 0x72 'r'
    {  9930,   9,  10,    0,   -9 },   // 0x73 's'
    { 10020,   6,   5,    0,  -13 },   // 0x74 't'
    { 10104,   9,  11,    1,   -9 },   // 0x75 'u'
    { 10194,  10,  10,    0,   -9 },   // 0x76 'v'
    { 10294,  14,  14,    0,   -9 },   // 0x77 'w'
    { 10434,  10,  10,    0,   -9 },   // 0x78 'x'
    { 10534,  10,  10,    0,   -9 },   // 0x79 'y'
    { 10674,  10,  10,    0,   -9 },   // 0x7A 'z'
    { 10774,   6,   6,    0,  -13 },   // 0x7B '{'
    { 10882,   3,   5,    1,  -13 },   // 0x7C '|'
    { 10936,   6,   6,    0,  -13 },   // 0x7D '}'
    { 11044,  11,  11,    0,   -7 },   // 0x7E '~'
    { 11088,  10,  14,    2,  -12 },   // 0x7F
    { 11218,   0,   0,    0,    0 }
};

/* This struct will be read by the CPU only */
static const nema_font_range_t arial14pt8b_ranges[] =
{
    {0x00000020, 0x0000007f, arial14pt8bGlyphs0},
    {0, 0, NULL}
};

/* This struct will be read by the CPU only */
nema_font_t arial14pt8b =
{
    {
        .base_virt = (void *) arial14pt8bBitmaps,
        .base_phys = (uintptr_t) arial14pt8bBitmaps,
        .size      = (int) sizeof(arial14pt8bBitmaps)
    },
    arial14pt8b_ranges,
    (int)sizeof(arial14pt8bBitmaps),
    arial14pt8bBitmaps,
    0,
    5, 21, 15, 8
};
#endif // ARIAL14PT8B_C

