//*****************************************************************************
//
//! @file arial12pt8b.c
//!
//! @brief NemaGFX example.
//!
//
//*****************************************************************************

//*****************************************************************************
//
// Copyright (c) 2020, Ambiq Micro
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. Neither the name of the copyright holder nor the names of its
// contributors may be used to endorse or promote products derived from this
// software without specific prior written permission.
//
// Third party software included in this distribution is subject to the
// additional license terms as defined in the /docs/licenses directory.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
// This is part of revision v2.4.2-1403-gd656d944e of the AmbiqSuite Development Package.
//
//*****************************************************************************

#ifndef ARIAL12PT8B_C
#define ARIAL12PT8B_C

#include "arial12pt8b.h"

#ifndef NEMA_GPU_MEM
#define NEMA_GPU_MEM
#endif // NEMA_GPU_MEM

/* This will be read by the GPU only */
static uint8_t NEMA_GPU_MEM arial12pt8bBitmaps[] =
{
    // 0x20 - 0x7f
    0xA0, 0xFF, 0x20, 0xA0, 0xFF, 0x20, 0xA0, 0xFF, 0x1F, 0x98, 0xFF, 0x17,
    0x88, 0xFF, 0x08, 0x78, 0xFA, 0x00, 0x68, 0xEB, 0x00, 0x58, 0xDC, 0x00,
    0x48, 0xCD, 0x00, 0x38, 0xBF, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x10,
    0x44, 0xFF, 0x58, 0xAC, 0xF0, 0x43, 0xFF, 0x57, 0xAB, 0xEF, 0x26, 0xFF,
    0x3B, 0x8E, 0xD2, 0x02, 0xF4, 0x11, 0x5F, 0xA6, 0x00, 0x00, 0x00, 0xE2,
    0x49, 0x00, 0x42, 0xED, 0x00, 0x00, 0x00, 0x15, 0xFF, 0x17, 0x00, 0x75,
    0xB9, 0x00, 0x00, 0x00, 0x48, 0xE3, 0x00, 0x00, 0xA8, 0x85, 0x00, 0x00,
    0x00, 0x7B, 0xB1, 0x00, 0x00, 0xDB, 0x51, 0x00, 0xD4, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xB4, 0x00, 0x00, 0xE3, 0x49, 0x00, 0x43, 0xEA,
    0x00, 0x00, 0x00, 0x16, 0xFF, 0x15, 0x00, 0x77, 0xB7, 0x00, 0x00, 0x00,
    0x4A, 0xE1, 0x00, 0x00, 0xAA, 0x85, 0x00, 0x00, 0xD4, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xB4, 0x00, 0xAF, 0x7D, 0x00, 0x0F, 0xFE, 0x1D,
    0x00, 0x00, 0x00, 0xE3, 0x49, 0x00, 0x43, 0xE9, 0x00, 0x00, 0x00, 0x16,
    0xFF, 0x15, 0x00, 0x76, 0xB5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04,
    0xD0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x94, 0xE5, 0xFE, 0xD6, 0x60,
    0x00, 0x00, 0x00, 0xB3, 0xE0, 0x35, 0xD1, 0x59, 0xFD, 0x4F, 0x00, 0x18,
    0xFF, 0x5E, 0x04, 0xD0, 0x00, 0xB5, 0xBA, 0x00, 0x27, 0xFF, 0x42, 0x04,
    0xD0, 0x00, 0x00, 0x00, 0x00, 0x04, 0xE5, 0x90, 0x04, 0xD0, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x3B, 0xE4, 0xC7, 0xE9, 0x72, 0x23, 0x00, 0x00, 0x00,
    0x00, 0x06, 0x4D, 0xE8, 0xAA, 0xF4, 0x4F, 0x00, 0x00, 0x00, 0x00, 0x04,
    0xD0, 0x00, 0x86, 0xE8, 0x01, 0x00, 0x00, 0x00, 0x04, 0xD0, 0x00, 0x54,
    0xFF, 0x1B, 0x52, 0xFF, 0x23, 0x04, 0xD0, 0x00, 0x7F, 0xF8, 0x04, 0x09,
    0xDF, 0xC0, 0x26, 0xD1, 0x48, 0xF0, 0x88, 0x00, 0x00, 0x20, 0xA8, 0xEB,
    0xFF, 0xDB, 0x79, 0x03, 0x00, 0x00, 0x00, 0x00, 0x04, 0xD0, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x27, 0xCB, 0xF1, 0xA7, 0x0C, 0x00, 0x00, 0x00, 0x9B,
    0x88, 0x00, 0x00, 0x00, 0x00, 0xC2, 0x8D, 0x11, 0xC3, 0x84, 0x00, 0x00,
    0x25, 0xEC, 0x12, 0x00, 0x00, 0x00, 0x04, 0xFC, 0x34, 0x00, 0x6F, 0xC2,
    0x00, 0x00, 0xA7, 0x7E, 0x00, 0x00, 0x00, 0x00, 0x02, 0xFA, 0x32, 0x00,
    0x71, 0xC1, 0x00, 0x2D, 0xE9, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1,
    0x8C, 0x10, 0xC3, 0x80, 0x00, 0xB2, 0x73, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x27, 0xC8, 0xF2, 0xA4, 0x0A, 0x37, 0xE4, 0x09, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBD, 0x68, 0x03, 0x93,
    0xEE, 0xD7, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x42, 0xDE, 0x05,
    0x5A, 0xE0, 0x1A, 0x66, 0xE8, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC8,
    0x5E, 0x00, 0x99, 0x9C, 0x00, 0x07, 0xFF, 0x2E, 0x00, 0x00, 0x00, 0x00,
    0x4E, 0xD6, 0x02, 0x00, 0x95, 0x9A, 0x00, 0x08, 0xFF, 0x2D, 0x00, 0x00,
    0x00, 0x01, 0xD1, 0x53, 0x00, 0x00, 0x58, 0xDF, 0x1A, 0x64, 0xE5, 0x07,
    0x00, 0x00, 0x00, 0x59, 0xCD, 0x01, 0x00, 0x00, 0x02, 0x91, 0xEF, 0xD5,
    0x3B, 0x00, 0x00, 0x00, 0x06, 0x8E, 0xE9, 0xE6, 0x78, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x83, 0xE7, 0x24, 0x44, 0xFE, 0x52, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xD0, 0x9E, 0x00, 0x00, 0xD6, 0x96, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xB4, 0xCD, 0x00, 0x03, 0xEB, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x41, 0xFE, 0x56, 0x91, 0xDB, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x19,
    0xD6, 0xFC, 0xC9, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xF1, 0xC3,
    0xBB, 0xEE, 0x22, 0x00, 0x22, 0x00, 0x00, 0x0D, 0xEB, 0xB7, 0x04, 0x10,
    0xDA, 0xD0, 0x36, 0xFF, 0x5F, 0x00, 0x42, 0xFF, 0x43, 0x00, 0x00, 0x2A,
    0xF2, 0xED, 0xF0, 0x11, 0x00, 0x2A, 0xFF, 0x62, 0x00, 0x00, 0x00, 0x7B,
    0xFF, 0xBC, 0x01, 0x00, 0x00, 0xAE, 0xE4, 0x3A, 0x0B, 0x5C, 0xF0, 0xBD,
    0xFE, 0xA6, 0x0A, 0x00, 0x0A, 0x91, 0xE8, 0xF9, 0xCF, 0x5F, 0x00, 0x59,
    0xBC, 0x0C, 0x4C, 0xFF, 0x50, 0x4B, 0xFF, 0x4F, 0x32, 0xFF, 0x34, 0x08,
    0xFA, 0x09, 0x00, 0x00, 0x00, 0x94, 0x77, 0x00, 0x00, 0x3B, 0xE0, 0x08,
    0x00, 0x00, 0xC6, 0x71, 0x00, 0x00, 0x39, 0xFE, 0x1C, 0x00, 0x00, 0x92,
    0xC9, 0x00, 0x00, 0x00, 0xD2, 0x97, 0x00, 0x00, 0x00, 0xF3, 0x7A, 0x00,
    0x00, 0x02, 0xFF, 0x70, 0x00, 0x00, 0x00, 0xEF, 0x7F, 0x00, 0x00, 0x00,
    0xD1, 0x9B, 0x00, 0x00, 0x00, 0x8D, 0xD4, 0x00, 0x00, 0x00, 0x3C, 0xFE,
    0x1C, 0x00, 0x00, 0x00, 0xC6, 0x7C, 0x00, 0x00, 0x00, 0x41, 0xE4, 0x09,
    0x00, 0x00, 0x00, 0x97, 0x7A, 0x00, 0xBF, 0x4E, 0x00, 0x00, 0x00, 0x33,
    0xE4, 0x10, 0x00, 0x00, 0x00, 0xBA, 0x81, 0x00, 0x00, 0x00, 0x64, 0xEB,
    0x09, 0x00, 0x00, 0x14, 0xFE, 0x4C, 0x00, 0x00, 0x00, 0xDF, 0x8B, 0x00,
    0x00, 0x00, 0xBF, 0xAA, 0x00, 0x00, 0x00, 0xB4, 0xB9, 0x00, 0x00, 0x00,
    0xC5, 0xA6, 0x00, 0x00, 0x00, 0xE0, 0x88, 0x00, 0x00, 0x19, 0xFF, 0x42,
    0x00, 0x00, 0x60, 0xEB, 0x04, 0x00, 0x00, 0xC4, 0x7C, 0x00, 0x00, 0x37,
    0xE8, 0x0F, 0x00, 0x00, 0xC2, 0x51, 0x00, 0x00, 0x00, 0x00, 0x74, 0x9A,
    0x00, 0x00, 0x4E, 0xC2, 0xA8, 0xB6, 0xAD, 0x75, 0x08, 0x45, 0xDE, 0xF1,
    0x52, 0x0F, 0x00, 0x59, 0xD6, 0xB6, 0x85, 0x00, 0x00, 0x81, 0x54, 0x2D,
    0xAA, 0x01, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x58, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFC, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFC, 0x58, 0x00, 0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0xFC, 0x58, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFC, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFC, 0x58, 0x00, 0x00, 0x00, 0x94, 0xFF, 0x08, 0x00, 0xD2, 0x01, 0x3C,
    0xD0, 0x00, 0x72, 0x4A, 0x00, 0x7C, 0xFF, 0xFF, 0xFF, 0xD4, 0x8C, 0xFF,
    0x10, 0x00, 0x00, 0x00, 0xD0, 0x50, 0x00, 0x00, 0x18, 0xFA, 0x0E, 0x00,
    0x00, 0x5E, 0xC2, 0x00, 0x00, 0x00, 0xA5, 0x7C, 0x00, 0x00, 0x01, 0xEA,
    0x35, 0x00, 0x00, 0x33, 0xEC, 0x02, 0x00, 0x00, 0x7A, 0xA8, 0x00, 0x00,
    0x00, 0xC1, 0x61, 0x00, 0x00, 0x0D, 0xFA, 0x1B, 0x00, 0x00, 0x4F, 0xD4,
    0x00, 0x00, 0x00, 0x96, 0x8D, 0x00, 0x00, 0x00, 0xDD, 0x47, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x60, 0xD9, 0xF7, 0xCC, 0x42, 0x00, 0x00, 0x00, 0x52,
    0xF6, 0x52, 0x12, 0x7E, 0xF7, 0x2C, 0x00, 0x00, 0xD2, 0x90, 0x00, 0x00,
    0x00, 0xC1, 0xA2, 0x00, 0x17, 0xFF, 0x4D, 0x00, 0x00, 0x00, 0x7E, 0xEA,
    0x00, 0x3E, 0xFF, 0x2C, 0x00, 0x00, 0x00, 0x60, 0xFF, 0x10, 0x4D, 0xFF,
    0x1F, 0x00, 0x00, 0x00, 0x54, 0xFF, 0x1E, 0x4F, 0xFF, 0x1F, 0x00, 0x00,
    0x00, 0x55, 0xFF, 0x1C, 0x3F, 0xFF, 0x2A, 0x00, 0x00, 0x00, 0x60, 0xFF,
    0x0D, 0x19, 0xFF, 0x48, 0x00, 0x00, 0x00, 0x7E, 0xE6, 0x00, 0x00, 0xD4,
    0x8B, 0x00, 0x00, 0x00, 0xC1, 0xA1, 0x00, 0x00, 0x58, 0xF7, 0x57, 0x12,
    0x7D, 0xF6, 0x2B, 0x00, 0x00, 0x00, 0x67, 0xDE, 0xF7, 0xCC, 0x42, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x41, 0xF7, 0x00, 0x00, 0x30, 0xEC, 0xF8, 0x04,
    0x6E, 0xF5, 0xEE, 0xF8, 0x40, 0xF4, 0x7C, 0x73, 0xF8, 0x17, 0x16, 0x00,
    0x70, 0xF8, 0x00, 0x00, 0x00, 0x70, 0xF8, 0x00, 0x00, 0x00, 0x70, 0xF8,
    0x00, 0x00, 0x00, 0x70, 0xF8, 0x00, 0x00, 0x00, 0x70, 0xF8, 0x00, 0x00,
    0x00, 0x70, 0xF8, 0x00, 0x00, 0x00, 0x70, 0xF8, 0x00, 0x00, 0x00, 0x70,
    0xF8, 0x00, 0x0E, 0x8C, 0xDF, 0xF6, 0xD3, 0x64, 0x00, 0x00, 0x00, 0xB3,
    0xD2, 0x31, 0x0B, 0x55, 0xF7, 0x6B, 0x00, 0x1C, 0xFF, 0x4D, 0x00, 0x00,
    0x00, 0x93, 0xE1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x75, 0xFF,
    0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xDC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x40, 0xFF, 0x67, 0x00, 0x00, 0x00, 0x00, 0x00, 0x21,
    0xE9, 0xAA, 0x01, 0x00, 0x00, 0x00, 0x00, 0x19, 0xDB, 0xB4, 0x06, 0x00,
    0x00, 0x00, 0x00, 0x19, 0xD7, 0xAD, 0x06, 0x00, 0x00, 0x00, 0x00, 0x1B,
    0xD9, 0xA7, 0x04, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xD6, 0xC6, 0x04, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x66, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x10, 0x00, 0x05, 0x80, 0xE0, 0xF6, 0xC5, 0x3E, 0x00, 0x00, 0x00, 0x8F,
    0xDE, 0x32, 0x0D, 0x83, 0xF7, 0x29, 0x00, 0x0D, 0xF7, 0x5D, 0x00, 0x00,
    0x01, 0xE8, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xEF, 0x87,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x9A, 0xEF, 0x23, 0x00, 0x00, 0x00,
    0x00, 0x72, 0xE3, 0xFE, 0x8E, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x2D, 0xEA, 0xA1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFE,
    0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x24, 0x2F, 0xFF,
    0x42, 0x00, 0x00, 0x00, 0x97, 0xEE, 0x05, 0x00, 0xB8, 0xD5, 0x2E, 0x0E,
    0x67, 0xFB, 0x69, 0x00, 0x00, 0x0D, 0x8D, 0xE1, 0xF9, 0xD2, 0x5A, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xDA, 0x94, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x8C, 0xFF, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0xF8,
    0xF0, 0x94, 0x00, 0x00, 0x00, 0x00, 0x06, 0xD4, 0x87, 0xD4, 0x94, 0x00,
    0x00, 0x00, 0x00, 0x82, 0xD8, 0x08, 0xD4, 0x94, 0x00, 0x00, 0x00, 0x2F,
    0xF8, 0x3B, 0x00, 0xD4, 0x94, 0x00, 0x00, 0x03, 0xCC, 0x92, 0x00, 0x00,
    0xD4, 0x94, 0x00, 0x00, 0x78, 0xDF, 0x0B, 0x00, 0x00, 0xD4, 0x94, 0x00,
    0x00, 0xCC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x20, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD4, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xD4, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4, 0x94, 0x00,
    0x00, 0x00, 0x10, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB8, 0x00, 0x00, 0x3F,
    0xFF, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xE4, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x9E, 0xB7, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xCD, 0xCD, 0xCB, 0xF6, 0xE3, 0x7B, 0x02, 0x00, 0x04, 0xF8,
    0xC1, 0x26, 0x0D, 0x5C, 0xF6, 0x8C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x87, 0xFA, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4A, 0xFF,
    0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x52, 0xFF, 0x28, 0x30, 0xFF,
    0x4D, 0x00, 0x00, 0x00, 0x98, 0xE5, 0x05, 0x00, 0xBD, 0xDA, 0x33, 0x0E,
    0x69, 0xFB, 0x5D, 0x00, 0x00, 0x10, 0x90, 0xE1, 0xF8, 0xD3, 0x5B, 0x00,
    0x00, 0x00, 0x00, 0x45, 0xCA, 0xF7, 0xDF, 0x77, 0x01, 0x00, 0x00, 0x3F,
    0xF8, 0x6A, 0x0B, 0x4B, 0xF5, 0x6E, 0x00, 0x00, 0xC8, 0x95, 0x00, 0x00,
    0x00, 0x96, 0xD4, 0x00, 0x19, 0xFF, 0x3A, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x46, 0xFF, 0x34, 0xB5, 0xF6, 0xE4, 0x74, 0x00, 0x00, 0x5B, 0xFF,
    0xD8, 0x54, 0x0E, 0x56, 0xF6, 0x6A, 0x00, 0x60, 0xFF, 0x80, 0x00, 0x00,
    0x00, 0x8D, 0xEB, 0x00, 0x54, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x53, 0xFF,
    0x1B, 0x2F, 0xFF, 0x4A, 0x00, 0x00, 0x00, 0x57, 0xFF, 0x1B, 0x02, 0xE6,
    0x96, 0x00, 0x00, 0x00, 0x95, 0xDF, 0x00, 0x00, 0x5F, 0xFA, 0x5F, 0x0C,
    0x59, 0xF9, 0x60, 0x00, 0x00, 0x00, 0x5A, 0xD4, 0xF9, 0xDA, 0x63, 0x00,
    0x00, 0x3C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x13, 0xE6, 0xA5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xA7, 0xE4, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x37, 0xFF, 0x5D, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xBA, 0xD6, 0x01, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x27, 0xFF, 0x67, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x89, 0xF4,
    0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xAB, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x1F, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x54, 0xFF, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xF7, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x99, 0xDD, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x01, 0x6D, 0xD9, 0xF4, 0xCD, 0x4A, 0x00, 0x00, 0x00, 0x69,
    0xF8, 0x4D, 0x0D, 0x71, 0xFD, 0x3B, 0x00, 0x00, 0xCA, 0xA3, 0x00, 0x00,
    0x00, 0xD2, 0x9E, 0x00, 0x00, 0xD3, 0xA4, 0x00, 0x00, 0x00, 0xCE, 0xAC,
    0x00, 0x00, 0x6C, 0xF7, 0x49, 0x0B, 0x67, 0xFD, 0x48, 0x00, 0x00, 0x06,
    0xAB, 0xFF, 0xFF, 0xFF, 0x89, 0x00, 0x00, 0x00, 0xB2, 0xE1, 0x3D, 0x0D,
    0x55, 0xF3, 0x84, 0x00, 0x32, 0xFF, 0x51, 0x00, 0x00, 0x00, 0x7A, 0xF9,
    0x0F, 0x51, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x47, 0xFF, 0x2C, 0x2C, 0xFF,
    0x4E, 0x00, 0x00, 0x00, 0x73, 0xFA, 0x0F, 0x00, 0xAF, 0xE0, 0x3B, 0x0A,
    0x4C, 0xEE, 0x89, 0x00, 0x00, 0x08, 0x8A, 0xE4, 0xFB, 0xDC, 0x74, 0x01,
    0x00, 0x00, 0x02, 0x7F, 0xE4, 0xF4, 0xBF, 0x37, 0x00, 0x00, 0x00, 0x90,
    0xF4, 0x56, 0x10, 0x6D, 0xF5, 0x35, 0x00, 0x17, 0xFB, 0x7C, 0x00, 0x00,
    0x00, 0xAE, 0xBE, 0x00, 0x48, 0xFF, 0x32, 0x00, 0x00, 0x00, 0x6E, 0xFC,
    0x09, 0x43, 0xFF, 0x28, 0x00, 0x00, 0x00, 0x6B, 0xFF, 0x26, 0x18, 0xFD,
    0x64, 0x00, 0x00, 0x00, 0xA6, 0xFF, 0x31, 0x00, 0x97, 0xE9, 0x45, 0x0E,
    0x64, 0xE3, 0xFF, 0x27, 0x00, 0x07, 0x92, 0xEE, 0xF1, 0xA1, 0x5B, 0xFF,
    0x15, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xE5, 0x00, 0x07, 0xF6,
    0x5F, 0x00, 0x00, 0x00, 0xBF, 0x98, 0x00, 0x00, 0x9A, 0xD8, 0x27, 0x0E,
    0x8D, 0xEA, 0x1E, 0x00, 0x00, 0x0B, 0x94, 0xE8, 0xF0, 0xB3, 0x29, 0x00,
    0x00, 0x8C, 0xFF, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x8C, 0xFF, 0x0C, 0x94, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x94, 0xFF, 0x08, 0x00, 0xD2, 0x01, 0x3C, 0xD0,
    0x00, 0x72, 0x4A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x9D,
    0x6C, 0x00, 0x00, 0x00, 0x11, 0x6E, 0xD3, 0xD1, 0x67, 0x0B, 0x00, 0x3E,
    0xA3, 0xF1, 0xA7, 0x3C, 0x00, 0x00, 0x00, 0x20, 0xFF, 0xE0, 0x2D, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xA4, 0xF1, 0xA6, 0x3B, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x12, 0x6F, 0xD4, 0xD0, 0x66, 0x0B, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x39, 0x9E, 0x6C, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x74, 0x1F, 0xC0, 0x5B, 0x08, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x43, 0xAD, 0xE9, 0x90, 0x2B, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x1B, 0x82, 0xE6, 0xC6, 0x61, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x0A, 0xAB, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x1B, 0x81, 0xE6, 0xC7, 0x62,
    0x0B, 0x00, 0x42, 0xAC, 0xE9, 0x91, 0x2C, 0x00, 0x00, 0x00, 0x1F, 0xC1,
    0x5C, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x75, 0xE0, 0xFA,
    0xD9, 0x67, 0x00, 0x00, 0x00, 0x6D, 0xF6, 0x53, 0x0E, 0x62, 0xFB, 0x63,
    0x00, 0x02, 0xED, 0x8C, 0x00, 0x00, 0x00, 0x99, 0xE3, 0x00, 0x2F, 0xFF,
    0x43, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x93, 0xEF, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0xFA, 0x7F,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x39, 0xF5, 0xB2, 0x03, 0x00, 0x00, 0x00,
    0x00, 0x03, 0xD7, 0xC4, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0xFF,
    0x3B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4D, 0xFF, 0x11, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x64, 0xFF, 0x34, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B,
    0x6F, 0xBF, 0xEC, 0xFA, 0xE6, 0xC0, 0x67, 0x0A, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x2C, 0xE2, 0xC2, 0x59, 0x22, 0x08, 0x1D, 0x5A, 0xC9, 0xD8,
    0x2D, 0x00, 0x00, 0x00, 0x00, 0x30, 0xEC, 0x6F, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x02, 0x89, 0xE5, 0x15, 0x00, 0x00, 0x03, 0xCC, 0x79, 0x00,
    0x09, 0x8F, 0xEC, 0xE2, 0x5B, 0x8F, 0xD3, 0x00, 0xB5, 0x9F, 0x00, 0x00,
    0x5F, 0xD4, 0x03, 0x02, 0xBD, 0xC6, 0x1F, 0x25, 0xD6, 0xE2, 0xA4, 0x00,
    0x3A, 0xF6, 0x0B, 0x00, 0xB9, 0x73, 0x00, 0x67, 0xF6, 0x1A, 0x00, 0x00,
    0x5B, 0xFF, 0x74, 0x00, 0x01, 0xF8, 0x30, 0x00, 0xF7, 0x30, 0x00, 0xD3,
    0xA4, 0x00, 0x00, 0x00, 0x36, 0xFF, 0x44, 0x00, 0x00, 0xE8, 0x40, 0x13,
    0xFF, 0x13, 0x0F, 0xFF, 0x6F, 0x00, 0x00, 0x00, 0x49, 0xFF, 0x14, 0x00,
    0x0A, 0xFC, 0x21, 0x13, 0xFF, 0x19, 0x20, 0xFF, 0x54, 0x00, 0x00, 0x00,
    0x8A, 0xE4, 0x00, 0x00, 0x59, 0xD5, 0x00, 0x00, 0xF4, 0x3A, 0x06, 0xF4,
    0x75, 0x00, 0x00, 0x13, 0xEC, 0xB5, 0x00, 0x0B, 0xDB, 0x51, 0x00, 0x00,
    0xAF, 0x8F, 0x00, 0x96, 0xE3, 0x2A, 0x24, 0xB9, 0xF6, 0xA9, 0x23, 0xC5,
    0x89, 0x00, 0x00, 0x00, 0x44, 0xF0, 0x23, 0x0A, 0xA2, 0xF5, 0xCE, 0x2F,
    0x8C, 0xF4, 0xD7, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x93, 0xD7, 0x2A,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5B, 0xF4, 0x4B, 0x00,
    0x00, 0x01, 0x7F, 0xF5, 0x9C, 0x4B, 0x1D, 0x06, 0x0E, 0x25, 0x63, 0xC1,
    0xE2, 0x46, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x83, 0xC3, 0xEA, 0xFA,
    0xF5, 0xE1, 0xB0, 0x61, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xD0, 0xFF, 0x35, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2D,
    0xFF, 0xCF, 0x99, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8C,
    0xE5, 0x82, 0xF2, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE6,
    0xA3, 0x35, 0xFF, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0xFF,
    0x48, 0x00, 0xD8, 0xC5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA6, 0xDF,
    0x02, 0x00, 0x71, 0xFF, 0x29, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xF5, 0x7B,
    0x00, 0x00, 0x11, 0xF6, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x62, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xEB, 0x06, 0x00, 0x00, 0x00, 0xC0, 0xAF, 0x00,
    0x00, 0x00, 0x00, 0x32, 0xFF, 0x55, 0x00, 0x00, 0x1E, 0xFE, 0x5F, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xDC, 0xB9, 0x00, 0x00, 0x7C, 0xFC, 0x13, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x88, 0xFD, 0x1F, 0x00, 0xD8, 0xBF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x33, 0xFF, 0x81, 0xD4, 0xFF, 0xFF, 0xFF, 0xFD,
    0xEA, 0xA9, 0x20, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x06, 0x28, 0xC8, 0xDA,
    0x05, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x4D, 0xFF, 0x37, 0xD4, 0xB0,
    0x00, 0x00, 0x00, 0x00, 0x4A, 0xFB, 0x1B, 0xD4, 0xB0, 0x00, 0x00, 0x03,
    0x28, 0xBF, 0x66, 0x00, 0xD4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x88,
    0x01, 0xD4, 0xB0, 0x00, 0x00, 0x03, 0x1F, 0x9E, 0xFF, 0x66, 0xD4, 0xB0,
    0x00, 0x00, 0x00, 0x00, 0x04, 0xEA, 0xBC, 0xD4, 0xB0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xC9, 0xCA, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x06, 0xF0,
    0x9B, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x16, 0x9F, 0xF7, 0x2B, 0xD4, 0xFF,
    0xFF, 0xFF, 0xFE, 0xEF, 0xB3, 0x34, 0x00, 0x00, 0x00, 0x00, 0x4B, 0xB7,
    0xE9, 0xF4, 0xD1, 0x71, 0x07, 0x00, 0x00, 0x00, 0x8B, 0xF1, 0x69, 0x19,
    0x0D, 0x51, 0xE8, 0xB6, 0x05, 0x00, 0x54, 0xFF, 0x43, 0x00, 0x00, 0x00,
    0x00, 0x40, 0xFF, 0x65, 0x00, 0xC8, 0xC2, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x70, 0x35, 0x0E, 0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x29, 0xFF, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x26, 0xFF, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x0B, 0xFC, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00,
    0xC2, 0xC2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD0, 0xAE, 0x00, 0x51,
    0xFF, 0x42, 0x00, 0x00, 0x00, 0x00, 0x46, 0xFF, 0x68, 0x00, 0x00, 0x9B,
    0xF2, 0x66, 0x14, 0x12, 0x60, 0xEE, 0xAE, 0x03, 0x00, 0x00, 0x00, 0x5E,
    0xC4, 0xEC, 0xF3, 0xCE, 0x6A, 0x05, 0x00, 0xC4, 0xFF, 0xFF, 0xFF, 0xFC,
    0xED, 0xB8, 0x3F, 0x00, 0x00, 0xC4, 0xC0, 0x00, 0x00, 0x05, 0x1F, 0x8A,
    0xFD, 0x51, 0x00, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA3, 0xEB,
    0x0B, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0xFF, 0x5A, 0xC4,
    0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF9, 0x94, 0xC4, 0xC0, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xE4, 0xAB, 0xC4, 0xC0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xE5, 0xAB, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x03, 0xF7, 0x90, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x33, 0xFF,
    0x54, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA0, 0xE6, 0x09, 0xC4,
    0xC0, 0x00, 0x00, 0x04, 0x21, 0x8A, 0xFB, 0x4C, 0x00, 0xC4, 0xFF, 0xFF,
    0xFF, 0xFA, 0xE0, 0xA9, 0x36, 0x00, 0x00, 0xBC, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x8C, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xC8,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xBC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x20, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xC8,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0xB0, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x0C, 0xB0, 0xD4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xB0, 0xD4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xD4,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xD4, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xB0, 0xD4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xB0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x34, 0x00, 0xB0, 0xD4,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xD4, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xB0, 0xD4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xB0, 0xD4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xD4,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0xA2,
    0xE0, 0xF8, 0xEB, 0xB3, 0x40, 0x00, 0x00, 0x00, 0x00, 0x67, 0xF8, 0x86,
    0x24, 0x06, 0x22, 0x8E, 0xFD, 0x5B, 0x00, 0x00, 0x31, 0xFB, 0x72, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x99, 0xEE, 0x09, 0x00, 0xA6, 0xDF, 0x04, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x26, 0x8B, 0x15, 0x00, 0xF3, 0x97, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0xFF, 0x76, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0xFF, 0x76, 0x00, 0x00,
    0x00, 0x68, 0xFF, 0xFF, 0xFF, 0xFF, 0x74, 0x01, 0xF7, 0x93, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x08, 0xFF, 0x74, 0x00, 0xAD, 0xDD, 0x01, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x08, 0xFF, 0x74, 0x00, 0x35, 0xFB, 0x72, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x25, 0xFF, 0x74, 0x00, 0x00, 0x61, 0xF7, 0x96,
    0x2D, 0x08, 0x1E, 0x75, 0xEE, 0xD7, 0x2B, 0x00, 0x00, 0x00, 0x2A, 0x97,
    0xDC, 0xF7, 0xEE, 0xBE, 0x64, 0x06, 0x00, 0xB8, 0xCC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x40, 0xFF, 0x44, 0xB8, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x40, 0xFF, 0x44, 0xB8, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF,
    0x44, 0xB8, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0xB8,
    0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0xB8, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x44, 0xB8, 0xCC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x40, 0xFF, 0x44, 0xB8, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x40, 0xFF, 0x44, 0xB8, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF,
    0x44, 0xB8, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0xB8,
    0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0xB8, 0xCC, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0x80, 0xFF, 0x04, 0x80, 0xFF,
    0x04, 0x80, 0xFF, 0x04, 0x80, 0xFF, 0x04, 0x80, 0xFF, 0x04, 0x80, 0xFF,
    0x04, 0x80, 0xFF, 0x04, 0x80, 0xFF, 0x04, 0x80, 0xFF, 0x04, 0x80, 0xFF,
    0x04, 0x80, 0xFF, 0x04, 0x80, 0xFF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xC0, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xC4, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xC0, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xC4, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xC0, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0,
    0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xC4, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xC0, 0xC4, 0x69, 0xCF, 0x00, 0x00, 0x00, 0xC2, 0xBB, 0x64, 0xFA,
    0x08, 0x00, 0x00, 0xD3, 0xA0, 0x15, 0xF4, 0x86, 0x0B, 0x55, 0xFE, 0x4B,
    0x00, 0x40, 0xCC, 0xF6, 0xDC, 0x68, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00,
    0x00, 0x2E, 0xED, 0xDC, 0x19, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x2A, 0xEA,
    0xE3, 0x1F, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x26, 0xE7, 0xE8, 0x26, 0x00,
    0x00, 0xD4, 0xB0, 0x00, 0x21, 0xE3, 0xEE, 0x2D, 0x00, 0x00, 0x00, 0xD4,
    0xB0, 0x1E, 0xE0, 0xF2, 0x36, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xC8, 0xDC,
    0xFF, 0xE1, 0x10, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xFF, 0xF5, 0x76, 0xFC,
    0xA9, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xF3, 0x3F, 0x00, 0x82, 0xFF, 0x62,
    0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x04, 0xCA, 0xF4, 0x27, 0x00,
    0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x26, 0xF5, 0xCE, 0x06, 0x00, 0xD4,
    0xB0, 0x00, 0x00, 0x00, 0x00, 0x69, 0xFF, 0x8D, 0x00, 0xD4, 0xB0, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xB5, 0xFE, 0x48, 0xD4, 0xB0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4,
    0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4,
    0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4,
    0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD4, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x54, 0xD0, 0xFF, 0xA2, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x1A, 0xFD, 0xFF, 0x20, 0xD0, 0xDA, 0xF1, 0x07, 0x00,
    0x00, 0x00, 0x00, 0x70, 0xD8, 0xFF, 0x20, 0xD0, 0xA8, 0xE3, 0x4E, 0x00,
    0x00, 0x00, 0x00, 0xC8, 0x8B, 0xFF, 0x20, 0xD0, 0xA8, 0x97, 0xA4, 0x00,
    0x00, 0x00, 0x20, 0xE4, 0x59, 0xFF, 0x20, 0xD0, 0xA8, 0x4A, 0xF2, 0x07,
    0x00, 0x00, 0x78, 0x98, 0x58, 0xFF, 0x20, 0xD0, 0xA8, 0x08, 0xF5, 0x4F,
    0x00, 0x00, 0xD0, 0x4B, 0x58, 0xFF, 0x20, 0xD0, 0xA8, 0x00, 0xB0, 0xA5,
    0x00, 0x27, 0xF5, 0x08, 0x58, 0xFF, 0x20, 0xD0, 0xA8, 0x00, 0x63, 0xF2,
    0x08, 0x7E, 0xB0, 0x00, 0x58, 0xFF, 0x20, 0xD0, 0xA8, 0x00, 0x17, 0xFE,
    0x50, 0xD6, 0x62, 0x00, 0x58, 0xFF, 0x20, 0xD0, 0xA8, 0x00, 0x00, 0xC9,
    0xCC, 0xFE, 0x17, 0x00, 0x58, 0xFF, 0x20, 0xD0, 0xA8, 0x00, 0x00, 0x7C,
    0xFF, 0xC7, 0x00, 0x00, 0x58, 0xFF, 0x20, 0xD0, 0xA8, 0x00, 0x00, 0x2F,
    0xFF, 0x7A, 0x00, 0x00, 0x58, 0xFF, 0x20, 0xC8, 0xF4, 0x1A, 0x00, 0x00,
    0x00, 0x00, 0x34, 0xFF, 0x40, 0xC8, 0xE2, 0xA0, 0x00, 0x00, 0x00, 0x00,
    0x34, 0xFF, 0x40, 0xC8, 0xAC, 0xAD, 0x33, 0x00, 0x00, 0x00, 0x34, 0xFF,
    0x40, 0xC8, 0xAC, 0x24, 0xBB, 0x00, 0x00, 0x00, 0x34, 0xFF, 0x40, 0xC8,
    0xAC, 0x00, 0x8E, 0x52, 0x00, 0x00, 0x34, 0xFF, 0x40, 0xC8, 0xAC, 0x00,
    0x10, 0xC9, 0x06, 0x00, 0x34, 0xFF, 0x40, 0xC8, 0xAC, 0x00, 0x00, 0x6C,
    0x74, 0x00, 0x34, 0xFF, 0x40, 0xC8, 0xAC, 0x00, 0x00, 0x04, 0xC7, 0x14,
    0x34, 0xFF, 0x40, 0xC8, 0xAC, 0x00, 0x00, 0x00, 0x4B, 0x95, 0x34, 0xFF,
    0x40, 0xC8, 0xAC, 0x00, 0x00, 0x00, 0x00, 0xB6, 0x5E, 0xFF, 0x40, 0xC8,
    0xAC, 0x00, 0x00, 0x00, 0x00, 0x2C, 0xDE, 0xFF, 0x40, 0xC8, 0xAC, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x46, 0xB6,
    0xED, 0xF6, 0xD5, 0x7F, 0x10, 0x00, 0x00, 0x00, 0x00, 0x80, 0xF8, 0x77,
    0x1B, 0x0A, 0x3F, 0xC8, 0xDB, 0x23, 0x00, 0x00, 0x4D, 0xFE, 0x4C, 0x00,
    0x00, 0x00, 0x00, 0x09, 0xCD, 0xC7, 0x02, 0x00, 0xC7, 0xC0, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x48, 0xFF, 0x44, 0x0F, 0xFD, 0x7D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x06, 0xF7, 0x8F, 0x2D, 0xFF, 0x61, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xDF, 0xAE, 0x2E, 0xFF, 0x5D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xDB, 0xAE, 0x10, 0xFE, 0x78, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x03, 0xF5, 0x90, 0x00, 0xC2, 0xC0, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x41, 0xFF, 0x44, 0x00, 0x46, 0xFE, 0x51, 0x00,
    0x00, 0x00, 0x00, 0x07, 0xC9, 0xC9, 0x02, 0x00, 0x00, 0x7A, 0xF7, 0x75,
    0x18, 0x07, 0x39, 0xC3, 0xDB, 0x23, 0x00, 0x00, 0x00, 0x00, 0x41, 0xB2,
    0xE7, 0xF6, 0xD5, 0x7F, 0x0F, 0x00, 0x00, 0xC4, 0xFF, 0xFF, 0xFF, 0xFF,
    0xF7, 0xD3, 0x6F, 0x00, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x0B, 0x68, 0xFF,
    0x6E, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBF, 0xD8, 0xC4, 0xC0,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xF1, 0xC4, 0xC0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xC6, 0xCA, 0xC4, 0xC0, 0x00, 0x00, 0x01, 0x1A, 0x80, 0xFF,
    0x54, 0xC4, 0xFF, 0xFF, 0xFF, 0xFF, 0xF3, 0xC9, 0x5E, 0x00, 0xC4, 0xC0,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xC0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xC4, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xC0,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0xBA,
    0xEA, 0xF3, 0xCF, 0x72, 0x09, 0x00, 0x00, 0x00, 0x00, 0x95, 0xF1, 0x69,
    0x15, 0x0D, 0x49, 0xD4, 0xC9, 0x13, 0x00, 0x00, 0x5F, 0xFB, 0x3A, 0x00,
    0x00, 0x00, 0x00, 0x10, 0xDD, 0xA7, 0x00, 0x00, 0xD7, 0xA8, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x5E, 0xFF, 0x24, 0x24, 0xFF, 0x63, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x14, 0xFF, 0x72, 0x43, 0xFF, 0x47, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xF6, 0x92, 0x43, 0xFF, 0x46, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xF5, 0x9C, 0x24, 0xFF, 0x64, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x13, 0xFF, 0x84, 0x00, 0xD7, 0xAC, 0x00, 0x00,
    0x00, 0x07, 0x00, 0x00, 0x5A, 0xFF, 0x47, 0x00, 0x5B, 0xFC, 0x3C, 0x00,
    0x00, 0xA0, 0xC8, 0x45, 0xD9, 0xDB, 0x03, 0x00, 0x00, 0x8F, 0xF1, 0x69,
    0x14, 0x1F, 0xC3, 0xFF, 0xFE, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x4D, 0xBA,
    0xEB, 0xFA, 0xE7, 0xB8, 0xE1, 0xDD, 0x6A, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x06, 0x5B, 0x5A, 0xBC, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFC, 0xEA, 0xAD, 0x21, 0x00, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x07,
    0x3B, 0xDD, 0xD7, 0x03, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x55, 0xFF, 0x45, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C,
    0xFF, 0x62, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x59, 0xFF,
    0x40, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x09, 0x41, 0xE2, 0xC8, 0x01,
    0x00, 0xBC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0x95, 0x0E, 0x00, 0x00,
    0xBC, 0xC8, 0x00, 0x00, 0x27, 0xC8, 0xC1, 0x0F, 0x00, 0x00, 0x00, 0xBC,
    0xC8, 0x00, 0x00, 0x00, 0x12, 0xDF, 0xC2, 0x0D, 0x00, 0x00, 0xBC, 0xC8,
    0x00, 0x00, 0x00, 0x00, 0x3A, 0xFD, 0xAE, 0x00, 0x00, 0xBC, 0xC8, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8C, 0xFF, 0x5A, 0x00, 0xBC, 0xC8, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x08, 0xD8, 0xED, 0x18, 0x00, 0x00, 0x40, 0xB8, 0xEF,
    0xF9, 0xDD, 0x95, 0x19, 0x00, 0x00, 0x45, 0xFB, 0x72, 0x16, 0x09, 0x33,
    0xC3, 0xE0, 0x0E, 0x00, 0xB9, 0xB7, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xFF,
    0x66, 0x00, 0xCC, 0xCB, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x7B, 0xFF, 0xBF, 0x59, 0x13, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x88,
    0xF6, 0xFF, 0xFE, 0xCE, 0x7C, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x10, 0x5A,
    0xA2, 0xE9, 0xFF, 0xE4, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03,
    0x6B, 0xFE, 0xA2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBF,
    0xCE, 0x2D, 0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAD, 0xA4, 0x00,
    0xAA, 0xE9, 0x62, 0x25, 0x08, 0x1E, 0x63, 0xE7, 0x27, 0x00, 0x03, 0x6B,
    0xC4, 0xEE, 0xFB, 0xE8, 0xA4, 0x24, 0x00, 0xA0, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD8,
    0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xD8, 0xAC, 0x00, 0x00, 0x00, 0x00, 0xBC, 0xC8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x40, 0xFF, 0x44, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x40, 0xFF, 0x44, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF,
    0x44, 0xBC, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0xBC,
    0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0xBC, 0xC8, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x44, 0xBB, 0xC8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x40, 0xFF, 0x43, 0xB1, 0xCD, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x45, 0xFF, 0x39, 0x99, 0xDF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5A, 0xFF,
    0x21, 0x5C, 0xFE, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x9B, 0xE2, 0x00, 0x05,
    0xD0, 0xCB, 0x36, 0x07, 0x1E, 0x78, 0xF9, 0x57, 0x00, 0x00, 0x0F, 0x8E,
    0xDC, 0xF7, 0xED, 0xBC, 0x46, 0x00, 0x00, 0xBD, 0xE2, 0x01, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x2E, 0xFF, 0x5B, 0x5E, 0xFF, 0x3D, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x8B, 0xF2, 0x0A, 0x0B, 0xF4, 0x96, 0x00, 0x00, 0x00, 0x00,
    0x02, 0xE4, 0x9C, 0x00, 0x00, 0xA1, 0xEB, 0x04, 0x00, 0x00, 0x00, 0x44,
    0xFF, 0x3C, 0x00, 0x00, 0x42, 0xFF, 0x49, 0x00, 0x00, 0x00, 0xA0, 0xDC,
    0x00, 0x00, 0x00, 0x01, 0xE1, 0xA2, 0x00, 0x00, 0x09, 0xF2, 0x7D, 0x00,
    0x00, 0x00, 0x00, 0x85, 0xF2, 0x09, 0x00, 0x59, 0xFE, 0x1F, 0x00, 0x00,
    0x00, 0x00, 0x26, 0xFF, 0x54, 0x00, 0xB6, 0xBE, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xC8, 0xAD, 0x15, 0xFB, 0x5E, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x69, 0xF4, 0x6C, 0xF3, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x11, 0xF8, 0xEC, 0x9F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xAB, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, 0xAC, 0xDB, 0x00, 0x00, 0x00,
    0x00, 0x76, 0xFF, 0xA0, 0x00, 0x00, 0x00, 0x00, 0xB6, 0xC9, 0x6B, 0xFF,
    0x13, 0x00, 0x00, 0x00, 0xB9, 0xF3, 0xE2, 0x00, 0x00, 0x00, 0x01, 0xEE,
    0x86, 0x2B, 0xFF, 0x4B, 0x00, 0x00, 0x06, 0xF5, 0xA3, 0xFF, 0x25, 0x00,
    0x00, 0x2A, 0xFF, 0x43, 0x00, 0xE9, 0x82, 0x00, 0x00, 0x3F, 0xFF, 0x2F,
    0xF9, 0x67, 0x00, 0x00, 0x64, 0xF8, 0x08, 0x00, 0xA9, 0xBA, 0x00, 0x00,
    0x82, 0xDD, 0x00, 0xBF, 0xA9, 0x00, 0x00, 0x9E, 0xBD, 0x00, 0x00, 0x69,
    0xF0, 0x01, 0x00, 0xC5, 0x96, 0x00, 0x78, 0xE9, 0x01, 0x00, 0xD8, 0x7A,
    0x00, 0x00, 0x28, 0xFF, 0x29, 0x0D, 0xFB, 0x4F, 0x00, 0x31, 0xFF, 0x2D,
    0x13, 0xFF, 0x37, 0x00, 0x00, 0x00, 0xE6, 0x61, 0x4C, 0xFA, 0x0D, 0x00,
    0x01, 0xE9, 0x6E, 0x4C, 0xF1, 0x03, 0x00, 0x00, 0x00, 0xA7, 0x98, 0x8E,
    0xC0, 0x00, 0x00, 0x00, 0xA4, 0xAD, 0x8A, 0xB1, 0x00, 0x00, 0x00, 0x00,
    0x66, 0xCE, 0xCF, 0x79, 0x00, 0x00, 0x00, 0x5D, 0xDF, 0xC7, 0x6E, 0x00,
    0x00, 0x00, 0x00, 0x25, 0xFB, 0xFD, 0x32, 0x00, 0x00, 0x00, 0x17, 0xFE,
    0xFA, 0x2B, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE4, 0xEA, 0x01, 0x00, 0x00,
    0x00, 0x00, 0xCF, 0xE8, 0x00, 0x00, 0x00, 0x1F, 0xF2, 0xB6, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xB8, 0xDD, 0x0C, 0x00, 0x65, 0xFF, 0x55, 0x00, 0x00,
    0x00, 0x64, 0xFC, 0x3A, 0x00, 0x00, 0x00, 0xB7, 0xE5, 0x0E, 0x00, 0x1C,
    0xF1, 0x84, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xEF, 0x98, 0x02, 0xBA, 0xCC,
    0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5E, 0xFF, 0xC3, 0xF6, 0x28, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB9, 0xFF, 0x7B, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x18, 0xEA, 0xFF, 0xCD, 0x05, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x01, 0xB7, 0xF1, 0x79, 0xFF, 0x81, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x6F, 0xFF, 0x60, 0x01, 0xBA, 0xFB, 0x34, 0x00, 0x00, 0x00, 0x2C,
    0xF7, 0xAA, 0x00, 0x00, 0x1B, 0xEE, 0xD6, 0x08, 0x00, 0x07, 0xD2, 0xE3,
    0x11, 0x00, 0x00, 0x00, 0x57, 0xFF, 0x8D, 0x00, 0x91, 0xFD, 0x40, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xA5, 0xFD, 0x3E, 0xA3, 0xFD, 0x31, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x84, 0xFD, 0x39, 0x13, 0xEA, 0xC3, 0x00, 0x00, 0x00,
    0x00, 0x22, 0xF7, 0x8E, 0x00, 0x00, 0x5B, 0xFF, 0x5A, 0x00, 0x00, 0x00,
    0xB1, 0xDB, 0x0A, 0x00, 0x00, 0x00, 0xB7, 0xE4, 0x0B, 0x00, 0x48, 0xFE,
    0x3E, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xF4, 0x98, 0x11, 0xE2, 0x94, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x71, 0xFF, 0xDE, 0xDF, 0x0C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x02, 0xCA, 0xFF, 0x43, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x88, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x88, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x88, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x88, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x88, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04,
    0xDC, 0xCD, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x71, 0xF4, 0x26,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C, 0xF6, 0x61, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x0B, 0xD6, 0xA8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xA1, 0xE0, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFC,
    0x3A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x28, 0xF4, 0x7D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x09, 0xD2, 0xC1, 0x03, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x9A, 0xEE, 0x1D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x58,
    0xFF, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAC, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x60, 0xE8, 0xFF, 0xFF, 0x30, 0xE8,
    0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8,
    0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8,
    0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8,
    0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8, 0x80, 0x00, 0x00, 0xE8,
    0x80, 0x00, 0x00, 0xE8, 0xFF, 0xFF, 0x30, 0xDD, 0x46, 0x00, 0x00, 0x00,
    0x96, 0x8D, 0x00, 0x00, 0x00, 0x4F, 0xD4, 0x00, 0x00, 0x00, 0x0D, 0xFA,
    0x1B, 0x00, 0x00, 0x00, 0xC1, 0x61, 0x00, 0x00, 0x00, 0x7A, 0xA8, 0x00,
    0x00, 0x00, 0x33, 0xEC, 0x02, 0x00, 0x00, 0x01, 0xEA, 0x35, 0x00, 0x00,
    0x00, 0xA5, 0x7C, 0x00, 0x00, 0x00, 0x5E, 0xC2, 0x00, 0x00, 0x00, 0x18,
    0xFA, 0x0E, 0x00, 0x00, 0x00, 0xD0, 0x50, 0xB0, 0xFF, 0xFF, 0x68, 0x00,
    0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00,
    0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00,
    0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00,
    0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00, 0x00, 0xFF, 0x68, 0x00,
    0x00, 0xFF, 0x68, 0xB0, 0xFF, 0xFF, 0x68, 0x00, 0x00, 0x14, 0xF6, 0x8A,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0xA4, 0xEC, 0x0F, 0x00, 0x00, 0x00,
    0x0A, 0xEC, 0x2F, 0xAD, 0x78, 0x00, 0x00, 0x00, 0x6E, 0xCF, 0x00, 0x4A,
    0xE7, 0x07, 0x00, 0x03, 0xDF, 0x6F, 0x00, 0x03, 0xE4, 0x65, 0x00, 0x59,
    0xFA, 0x15, 0x00, 0x00, 0x85, 0xD9, 0x02, 0x40, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x14, 0x0C, 0xCC, 0xD4, 0x02, 0x00, 0x16,
    0xDC, 0x5F, 0x00, 0x08, 0x88, 0xDF, 0xFA, 0xE9, 0x97, 0x09, 0x00, 0x00,
    0x9F, 0xD4, 0x29, 0x08, 0x3E, 0xED, 0x7B, 0x00, 0x0E, 0xFB, 0x59, 0x00,
    0x00, 0x00, 0xAB, 0xBF, 0x00, 0x00, 0x00, 0x2B, 0x6A, 0x93, 0xC3, 0xFB,
    0xC7, 0x00, 0x00, 0x8E, 0xFD, 0xC9, 0x8F, 0x4F, 0xAB, 0xC8, 0x00, 0x3F,
    0xFF, 0x66, 0x00, 0x00, 0x00, 0xB2, 0xC8, 0x00, 0x61, 0xFF, 0x1F, 0x00,
    0x00, 0x06, 0xE7, 0xC9, 0x00, 0x29, 0xFC, 0x8E, 0x0C, 0x1E, 0xA4, 0xFF,
    0xD3, 0x00, 0x00, 0x5A, 0xD9, 0xF6, 0xD9, 0x8C, 0x75, 0xFA, 0x12, 0xF4,
    0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4,
    0x93, 0xB4, 0xF1, 0xE1, 0x75, 0x00, 0x00, 0xF4, 0xFF, 0x78, 0x11, 0x52,
    0xF5, 0x6C, 0x00, 0xF4, 0xBA, 0x00, 0x00, 0x00, 0x8B, 0xE6, 0x02, 0xF4,
    0x72, 0x00, 0x00, 0x00, 0x4A, 0xFF, 0x1F, 0xF4, 0x5D, 0x00, 0x00, 0x00,
    0x37, 0xFF, 0x39, 0xF4, 0x6C, 0x00, 0x00, 0x00, 0x4D, 0xFF, 0x26, 0xF4,
    0xA9, 0x00, 0x00, 0x00, 0x93, 0xE5, 0x01, 0xF4, 0xFD, 0x61, 0x0B, 0x5A,
    0xF8, 0x62, 0x00, 0xF4, 0x85, 0xC2, 0xF9, 0xDE, 0x63, 0x00, 0x00, 0x00,
    0x02, 0x76, 0xDC, 0xF8, 0xDC, 0x7B, 0x02, 0x00, 0x8F, 0xEC, 0x4A, 0x0E,
    0x3E, 0xE5, 0x7A, 0x11, 0xFC, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48,
    0xFF, 0x2D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5B, 0xFF, 0x1A, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x4C, 0xFF, 0x2D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16,
    0xFB, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x93, 0xE9, 0x42, 0x07,
    0x2C, 0xD4, 0x9A, 0x00, 0x03, 0x7F, 0xE2, 0xF9, 0xDE, 0x85, 0x06, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xA8, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xC0, 0x00,
    0x08, 0x91, 0xEA, 0xF2, 0x9B, 0xB4, 0xC0, 0x00, 0xA7, 0xDF, 0x35, 0x15,
    0x99, 0xFF, 0xC0, 0x22, 0xFF, 0x57, 0x00, 0x00, 0x03, 0xDE, 0xC0, 0x5D,
    0xFF, 0x19, 0x00, 0x00, 0x00, 0x9E, 0xC0, 0x6E, 0xFF, 0x06, 0x00, 0x00,
    0x00, 0x8C, 0xC0, 0x5B, 0xFF, 0x1B, 0x00, 0x00, 0x00, 0xA0, 0xC0, 0x1C,
    0xFE, 0x60, 0x00, 0x00, 0x02, 0xDB, 0xC0, 0x00, 0x95, 0xE6, 0x3D, 0x12,
    0x8E, 0xFF, 0xC0, 0x00, 0x03, 0x84, 0xE7, 0xF6, 0xAE, 0xA3, 0xC0, 0x00,
    0x01, 0x73, 0xDC, 0xF9, 0xD6, 0x5C, 0x00, 0x00, 0x00, 0x87, 0xF3, 0x53,
    0x0B, 0x56, 0xF9, 0x5E, 0x00, 0x15, 0xFA, 0x7C, 0x00, 0x00, 0x00, 0x94,
    0xE3, 0x01, 0x50, 0xFF, 0x35, 0x00, 0x00, 0x00, 0x54, 0xFF, 0x23, 0x63,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x39, 0x54, 0xFF, 0x22, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xFC, 0x69, 0x00, 0x00, 0x00, 0x79,
    0xF2, 0x0B, 0x00, 0x95, 0xED, 0x4D, 0x0B, 0x45, 0xF2, 0x7C, 0x00, 0x00,
    0x03, 0x7B, 0xDE, 0xF9, 0xDA, 0x71, 0x01, 0x00, 0x00, 0x1C, 0xC4, 0xF9,
    0xD8, 0x00, 0x89, 0xED, 0x19, 0x08, 0x00, 0x9B, 0xCC, 0x00, 0x00, 0xD8,
    0xFF, 0xFF, 0xFF, 0x68, 0x00, 0x9C, 0xCC, 0x00, 0x00, 0x00, 0x9C, 0xCC,
    0x00, 0x00, 0x00, 0x9C, 0xCC, 0x00, 0x00, 0x00, 0x9C, 0xCC, 0x00, 0x00,
    0x00, 0x9C, 0xCC, 0x00, 0x00, 0x00, 0x9C, 0xCC, 0x00, 0x00, 0x00, 0x9C,
    0xCC, 0x00, 0x00, 0x00, 0x9C, 0xCC, 0x00, 0x00, 0x00, 0x07, 0x90, 0xE9,
    0xEC, 0xA9, 0x90, 0xD4, 0x00, 0xA2, 0xE2, 0x39, 0x15, 0x96, 0xFF, 0xD4,
    0x22, 0xFE, 0x56, 0x00, 0x00, 0x03, 0xDC, 0xD4, 0x61, 0xFF, 0x12, 0x00,
    0x00, 0x00, 0x98, 0xD4, 0x75, 0xFD, 0x01, 0x00, 0x00, 0x00, 0x83, 0xD4,
    0x5B, 0xFF, 0x12, 0x00, 0x00, 0x00, 0x97, 0xD4, 0x21, 0xFC, 0x52, 0x00,
    0x00, 0x01, 0xD7, 0xD4, 0x00, 0x9E, 0xDD, 0x35, 0x13, 0x8C, 0xFF, 0xD2,
    0x00, 0x0A, 0x96, 0xED, 0xEB, 0x9F, 0xAA, 0xC7, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xB2, 0xA4, 0x17, 0xFD, 0x86, 0x0F, 0x0B, 0x5D, 0xF8, 0x3C,
    0x00, 0x51, 0xC8, 0xF3, 0xF4, 0xC5, 0x46, 0x00, 0xF0, 0x78, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x78,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x97, 0xAC, 0xEC, 0xEE, 0x96, 0x08,
    0xF0, 0xFD, 0x67, 0x0B, 0x3F, 0xF7, 0x7D, 0xF0, 0xAD, 0x00, 0x00, 0x00,
    0xAF, 0xBE, 0xF0, 0x7F, 0x00, 0x00, 0x00, 0x98, 0xCE, 0xF0, 0x78, 0x00,
    0x00, 0x00, 0x98, 0xD0, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x98, 0xD0, 0xF0,
    0x78, 0x00, 0x00, 0x00, 0x98, 0xD0, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x98,
    0xD0, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x98, 0xD0, 0xF0, 0x78, 0x00, 0x00,
    0x00, 0x00, 0xF0, 0x78, 0xF0, 0x78, 0xF0, 0x78, 0xF0, 0x78, 0xF0, 0x78,
    0xF0, 0x78, 0xF0, 0x78, 0xF0, 0x78, 0xF0, 0x78, 0x00, 0x00, 0xF4, 0x74,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0x74,
    0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0xF4, 0x74,
    0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0xF4, 0x74,
    0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0xF8, 0x6A,
    0x08, 0x29, 0xFF, 0x48, 0x92, 0xF4, 0xA6, 0x05, 0xF0, 0x78, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x78,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x78, 0x00, 0x03, 0xAA, 0xF1, 0x34,
    0xF0, 0x78, 0x01, 0x9E, 0xF6, 0x3D, 0x00, 0xF0, 0x78, 0x91, 0xF9, 0x47,
    0x00, 0x00, 0xF0, 0xE0, 0xFF, 0xA4, 0x00, 0x00, 0x00, 0xF0, 0xFE, 0xBB,
    0xFB, 0x2E, 0x00, 0x00, 0xF0, 0x8F, 0x06, 0xDA, 0xC6, 0x01, 0x00, 0xF0,
    0x78, 0x00, 0x49, 0xFF, 0x65, 0x00, 0xF0, 0x78, 0x00, 0x00, 0xB1, 0xED,
    0x15, 0xF0, 0x78, 0x00, 0x00, 0x21, 0xF7, 0xA1, 0xF8, 0x70, 0xF8, 0x70,
    0xF8, 0x70, 0xF8, 0x70, 0xF8, 0x70, 0xF8, 0x70, 0xF8, 0x70, 0xF8, 0x70,
    0xF8, 0x70, 0xF8, 0x70, 0xF8, 0x70, 0xF8, 0x70, 0xF0, 0x6B, 0xB6, 0xF6,
    0xEA, 0x7F, 0x27, 0xBC, 0xF6, 0xDC, 0x51, 0x00, 0xF0, 0xF8, 0x59, 0x0A,
    0x7A, 0xFF, 0xE6, 0x4A, 0x11, 0x94, 0xF3, 0x11, 0xF0, 0xAD, 0x00, 0x00,
    0x12, 0xFF, 0x93, 0x00, 0x00, 0x24, 0xFF, 0x3C, 0xF0, 0x82, 0x00, 0x00,
    0x04, 0xFF, 0x6A, 0x00, 0x00, 0x18, 0xFF, 0x4C, 0xF0, 0x78, 0x00, 0x00,
    0x04, 0xFF, 0x64, 0x00, 0x00, 0x18, 0xFF, 0x4C, 0xF0, 0x78, 0x00, 0x00,
    0x04, 0xFF, 0x64, 0x00, 0x00, 0x18, 0xFF, 0x4C, 0xF0, 0x78, 0x00, 0x00,
    0x04, 0xFF, 0x64, 0x00, 0x00, 0x18, 0xFF, 0x4C, 0xF0, 0x78, 0x00, 0x00,
    0x04, 0xFF, 0x64, 0x00, 0x00, 0x18, 0xFF, 0x4C, 0xF0, 0x78, 0x00, 0x00,
    0x04, 0xFF, 0x64, 0x00, 0x00, 0x18, 0xFF, 0x4C, 0xF0, 0x73, 0xB1, 0xF4,
    0xEE, 0x97, 0x07, 0xF0, 0xF7, 0x61, 0x0C, 0x40, 0xF6, 0x75, 0xF0, 0xA9,
    0x00, 0x00, 0x00, 0xB0, 0xBF, 0xF0, 0x7E, 0x00, 0x00, 0x00, 0x9D, 0xCA,
    0xF0, 0x78, 0x00, 0x00, 0x00, 0x9C, 0xCC, 0xF0, 0x78, 0x00, 0x00, 0x00,
    0x9C, 0xCC, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x9C, 0xCC, 0xF0, 0x78, 0x00,
    0x00, 0x00, 0x9C, 0xCC, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x9C, 0xCC, 0x00,
    0x05, 0x75, 0xD7, 0xF7, 0xD7, 0x65, 0x00, 0x00, 0x00, 0xA1, 0xE9, 0x46,
    0x0F, 0x5D, 0xF7, 0x73, 0x00, 0x26, 0xFF, 0x5F, 0x00, 0x00, 0x00, 0x8A,
    0xF2, 0x0A, 0x63, 0xFF, 0x18, 0x00, 0x00, 0x00, 0x41, 0xFF, 0x3C, 0x74,
    0xFF, 0x03, 0x00, 0x00, 0x00, 0x2B, 0xFF, 0x4A, 0x63, 0xFF, 0x18, 0x00,
    0x00, 0x00, 0x43, 0xFF, 0x38, 0x27, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x8C,
    0xF4, 0x08, 0x00, 0xA2, 0xE9, 0x45, 0x0E, 0x5D, 0xF7, 0x78, 0x00, 0x00,
    0x05, 0x83, 0xE2, 0xF8, 0xD3, 0x64, 0x00, 0x00, 0xF0, 0x78, 0xBB, 0xF7,
    0xE1, 0x73, 0x00, 0x00, 0xF0, 0xFC, 0x7E, 0x12, 0x52, 0xF5, 0x73, 0x00,
    0xF0, 0xBF, 0x00, 0x00, 0x00, 0x89, 0xEC, 0x03, 0xF0, 0x72, 0x00, 0x00,
    0x00, 0x47, 0xFF, 0x2C, 0xF0, 0x5A, 0x00, 0x00, 0x00, 0x33, 0xFF, 0x3D,
    0xF0, 0x6C, 0x00, 0x00, 0x00, 0x49, 0xFF, 0x28, 0xF0, 0xAB, 0x00, 0x00,
    0x00, 0x8D, 0xE5, 0x01, 0xF0, 0xFC, 0x66, 0x0F, 0x57, 0xF6, 0x62, 0x00,
    0xF0, 0x9E, 0xBB, 0xF2, 0xD8, 0x5F, 0x00, 0x00, 0xF0, 0x78, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xF0, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xF0, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x91, 0xEA,
    0xF2, 0xA0, 0x90, 0xC0, 0x00, 0xA4, 0xE3, 0x38, 0x17, 0xA3, 0xFB, 0xC0,
    0x1F, 0xFF, 0x5C, 0x00, 0x00, 0x07, 0xE9, 0xC0, 0x5A, 0xFF, 0x1D, 0x00,
    0x00, 0x00, 0xA3, 0xC0, 0x6B, 0xFF, 0x0A, 0x00, 0x00, 0x00, 0x8B, 0xC0,
    0x57, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x9D, 0xC0, 0x1A, 0xFC, 0x66, 0x00,
    0x00, 0x02, 0xDA, 0xC0, 0x00, 0x8F, 0xE9, 0x41, 0x12, 0x8D, 0xFF, 0xC0,
    0x00, 0x02, 0x7F, 0xE7, 0xF5, 0xAB, 0xBC, 0xC0, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xA8, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xC0,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xC0, 0xF4, 0x8F, 0xDA, 0xF0,
    0x56, 0xF4, 0xF7, 0x31, 0x2B, 0x14, 0xF4, 0xA7, 0x00, 0x00, 0x00, 0xF4,
    0x85, 0x00, 0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0x00, 0xF4, 0x74, 0x00,
    0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0x00, 0xF4, 0x74, 0x00, 0x00, 0x00,
    0xF4, 0x74, 0x00, 0x00, 0x00, 0x00, 0x38, 0xC2, 0xF3, 0xE5, 0xB6, 0x33,
    0x00, 0x0E, 0xF0, 0x7D, 0x0B, 0x13, 0xA2, 0xE4, 0x02, 0x39, 0xFF, 0x33,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xE6, 0xE8, 0x81, 0x31, 0x00, 0x00,
    0x00, 0x00, 0x1F, 0x95, 0xE5, 0xFF, 0xE0, 0x66, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x32, 0xA9, 0xFF, 0x36, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF,
    0x59, 0x46, 0xFC, 0x54, 0x0A, 0x10, 0x93, 0xF2, 0x18, 0x00, 0x61, 0xCF,
    0xF4, 0xF5, 0xBE, 0x36, 0x00, 0x00, 0x2F, 0x7E, 0x00, 0x00, 0x00, 0xB0,
    0xB8, 0x00, 0x00, 0x00, 0xB0, 0xB8, 0x00, 0x00, 0xB8, 0xFF, 0xFF, 0xFF,
    0x20, 0x00, 0xB0, 0xB8, 0x00, 0x00, 0x00, 0xB0, 0xB8, 0x00, 0x00, 0x00,
    0xB0, 0xB8, 0x00, 0x00, 0x00, 0xB0, 0xB8, 0x00, 0x00, 0x00, 0xB0, 0xB8,
    0x00, 0x00, 0x00, 0xAD, 0xB8, 0x00, 0x00, 0x00, 0x9C, 0xD3, 0x13, 0x0B,
    0x00, 0x2D, 0xDF, 0xF9, 0x3C, 0xF8, 0x70, 0x00, 0x00, 0x00, 0xA8, 0xC0,
    0xF8, 0x70, 0x00, 0x00, 0x00, 0xA8, 0xC0, 0xF8, 0x70, 0x00, 0x00, 0x00,
    0xA8, 0xC0, 0xF8, 0x70, 0x00, 0x00, 0x00, 0xA8, 0xC0, 0xF8, 0x70, 0x00,
    0x00, 0x00, 0xA8, 0xC0, 0xF7, 0x72, 0x00, 0x00, 0x00, 0xB1, 0xC0, 0xE9,
    0x85, 0x00, 0x00, 0x01, 0xDD, 0xC0, 0xA0, 0xE1, 0x28, 0x10, 0x8B, 0xF9,
    0xC0, 0x16, 0xAB, 0xF4, 0xED, 0x97, 0x8A, 0xC0, 0xA0, 0xD9, 0x00, 0x00,
    0x00, 0x00, 0xCC, 0xA2, 0x46, 0xFF, 0x2E, 0x00, 0x00, 0x21, 0xFF, 0x49,
    0x03, 0xE8, 0x83, 0x00, 0x00, 0x78, 0xEB, 0x04, 0x00, 0x92, 0xD7, 0x00,
    0x00, 0xCE, 0x96, 0x00, 0x00, 0x38, 0xFF, 0x2C, 0x23, 0xFF, 0x3D, 0x00,
    0x00, 0x00, 0xDD, 0x7F, 0x79, 0xE2, 0x01, 0x00, 0x00, 0x00, 0x85, 0xCA,
    0xCB, 0x8A, 0x00, 0x00, 0x00, 0x00, 0x2A, 0xFE, 0xFE, 0x31, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD1, 0xD8, 0x00, 0x00, 0x00, 0xD0, 0x9E, 0x00, 0x00,
    0x10, 0xFE, 0xA0, 0x00, 0x00, 0x13, 0xFE, 0x4A, 0x88, 0xDD, 0x00, 0x00,
    0x4B, 0xFF, 0xD9, 0x00, 0x00, 0x54, 0xF7, 0x09, 0x3F, 0xFF, 0x1B, 0x00,
    0x87, 0xD2, 0xFF, 0x14, 0x00, 0x96, 0xB7, 0x00, 0x05, 0xF1, 0x59, 0x00,
    0xC4, 0x6C, 0xFD, 0x4C, 0x00, 0xD9, 0x6D, 0x00, 0x00, 0xAE, 0x97, 0x07,
    0xF8, 0x26, 0xCF, 0x86, 0x1A, 0xFF, 0x23, 0x00, 0x00, 0x66, 0xD7, 0x3D,
    0xE7, 0x00, 0x8B, 0xC2, 0x5F, 0xDA, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xA4,
    0xAA, 0x00, 0x48, 0xFB, 0xBF, 0x90, 0x00, 0x00, 0x00, 0x00, 0xD5, 0xFE,
    0x6C, 0x00, 0x0B, 0xFA, 0xFF, 0x46, 0x00, 0x00, 0x00, 0x00, 0x8C, 0xFF,
    0x2E, 0x00, 0x00, 0xC2, 0xF5, 0x07, 0x00, 0x00, 0x56, 0xFF, 0x5D, 0x00,
    0x00, 0x4C, 0xFF, 0x58, 0x00, 0xAF, 0xDD, 0x04, 0x03, 0xD5, 0xB2, 0x00,
    0x00, 0x19, 0xEF, 0x6F, 0x79, 0xF1, 0x1B, 0x00, 0x00, 0x00, 0x64, 0xFD,
    0xFF, 0x66, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF6, 0xF9, 0x15, 0x00, 0x00,
    0x00, 0x00, 0x99, 0xF7, 0xF7, 0xA3, 0x00, 0x00, 0x00, 0x40, 0xFE, 0x75,
    0x7B, 0xFF, 0x48, 0x00, 0x09, 0xDC, 0xCB, 0x03, 0x04, 0xCF, 0xE0, 0x0C,
    0x8D, 0xFA, 0x2D, 0x00, 0x00, 0x31, 0xFB, 0x91, 0x8F, 0xEE, 0x06, 0x00,
    0x00, 0x00, 0xB6, 0xAF, 0x34, 0xFF, 0x4D, 0x00, 0x00, 0x0E, 0xF9, 0x57,
    0x00, 0xD9, 0xA6, 0x00, 0x00, 0x5A, 0xF4, 0x0A, 0x00, 0x7F, 0xF4, 0x0A,
    0x00, 0xAC, 0xA7, 0x00, 0x00, 0x24, 0xFF, 0x58, 0x09, 0xF4, 0x4E, 0x00,
    0x00, 0x00, 0xCA, 0xAB, 0x52, 0xEF, 0x06, 0x00, 0x00, 0x00, 0x6F, 0xF1,
    0xB8, 0x9E, 0x00, 0x00, 0x00, 0x00, 0x18, 0xFC, 0xFF, 0x46, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xBB, 0xE9, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCE,
    0x8C, 0x00, 0x00, 0x00, 0x04, 0x0B, 0x58, 0xF7, 0x1D, 0x00, 0x00, 0x00,
    0x0F, 0xF1, 0xE7, 0x55, 0x00, 0x00, 0x00, 0x00, 0x60, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x65, 0x00, 0x00, 0x00, 0x00, 0x04, 0xC3, 0xDC, 0x0E,
    0x00, 0x00, 0x00, 0x00, 0x87, 0xF9, 0x33, 0x00, 0x00, 0x00, 0x00, 0x48,
    0xFE, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xEB, 0xAF, 0x00, 0x00, 0x00,
    0x00, 0x03, 0xC1, 0xE0, 0x11, 0x00, 0x00, 0x00, 0x00, 0x85, 0xFA, 0x38,
    0x00, 0x00, 0x00, 0x00, 0x46, 0xFE, 0x6F, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xAF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA8, 0x00, 0x00, 0x33, 0xDA,
    0xF6, 0x00, 0x00, 0xBF, 0xA3, 0x08, 0x00, 0x00, 0xE7, 0x67, 0x00, 0x00,
    0x00, 0xEE, 0x61, 0x00, 0x00, 0x00, 0xF4, 0x5B, 0x00, 0x00, 0x09, 0xFE,
    0x3E, 0x00, 0x06, 0x85, 0xDA, 0x05, 0x00, 0x8C, 0xF6, 0x2F, 0x00, 0x00,
    0x06, 0x88, 0xD7, 0x04, 0x00, 0x00, 0x0A, 0xFE, 0x3B, 0x00, 0x00, 0x00,
    0xF5, 0x58, 0x00, 0x00, 0x00, 0xEE, 0x63, 0x00, 0x00, 0x00, 0xE4, 0x66,
    0x00, 0x00, 0x00, 0xB7, 0x9F, 0x06, 0x00, 0x00, 0x30, 0xD8, 0xF6, 0x88,
    0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88,
    0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x88,
    0xB4, 0x88, 0xB4, 0x88, 0xB4, 0x9F, 0xF1, 0x6D, 0x00, 0x00, 0x01, 0x4A,
    0xFA, 0x14, 0x00, 0x00, 0x0F, 0xFF, 0x3A, 0x00, 0x00, 0x0C, 0xFF, 0x42,
    0x00, 0x00, 0x03, 0xFF, 0x49, 0x00, 0x00, 0x00, 0xE7, 0x60, 0x00, 0x00,
    0x00, 0x87, 0xCE, 0x16, 0x00, 0x00, 0x05, 0xC7, 0xE4, 0x00, 0x00, 0x85,
    0xCF, 0x17, 0x00, 0x00, 0xE7, 0x60, 0x00, 0x00, 0x04, 0xFF, 0x49, 0x00,
    0x00, 0x0A, 0xFF, 0x43, 0x00, 0x00, 0x10, 0xFF, 0x3E, 0x00, 0x01, 0x4F,
    0xFE, 0x19, 0x00, 0x9F, 0xF0, 0x72, 0x00, 0x00, 0x09, 0x99, 0xEB, 0xE7,
    0xA5, 0x46, 0x08, 0x37, 0x81, 0x45, 0x64, 0x0F, 0x26, 0x80, 0xDA, 0xF6,
    0xC6, 0x33, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x40, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF
};

/* This struct will be read by the CPU only */
static const nema_glyph_t arial12pt8bGlyphs0[] =
{
    {     0,   0,   4,    0,    1 },   // 0x20 ' '
    {     0,   3,   4,    1,  -11 },   // 0x21 '!'
    {    36,   5,   6,    0,  -11 },   // 0x22 '"'
    {    56,   9,   9,    0,  -11 },   // 0x23 '#'
    {   164,   9,   9,    0,  -12 },   // 0x24 '$'
    {   290,  14,  14,    0,  -11 },   // 0x25 '%'
    {   458,  11,  11,    0,  -11 },   // 0x26 '&'
    {   590,   3,   3,    0,  -11 },   // 0x27 '''
    {   602,   5,   5,    0,  -11 },   // 0x28 '('
    {   677,   5,   5,    0,  -11 },   // 0x29 ')'
    {   752,   6,   6,    0,  -11 },   // 0x2A '*'
    {   782,   9,   9,    0,   -8 },   // 0x2B '+'
    {   845,   3,   4,    1,    0 },   // 0x2C ','
    {   857,   5,   5,    0,   -3 },   // 0x2D '-'
    {   862,   3,   4,    1,    0 },   // 0x2E '.'
    {   865,   5,   4,    0,  -11 },   // 0x2F '/'
    {   925,   9,   9,    0,  -11 },   // 0x30 '0'
    {  1033,   5,   9,    1,  -11 },   // 0x31 '1'
    {  1093,   9,   9,    0,  -11 },   // 0x32 '2'
    {  1201,   9,   9,    0,  -11 },   // 0x33 '3'
    {  1309,   9,   9,    0,  -11 },   // 0x34 '4'
    {  1417,   9,   9,    0,  -11 },   // 0x35 '5'
    {  1525,   9,   9,    0,  -11 },   // 0x36 '6'
    {  1633,   9,   9,    0,  -11 },   // 0x37 '7'
    {  1741,   9,   9,    0,  -11 },   // 0x38 '8'
    {  1849,   9,   9,    0,  -11 },   // 0x39 '9'
    {  1957,   3,   4,    1,   -8 },   // 0x3A ':'
    {  1984,   3,   4,    1,   -8 },   // 0x3B ';'
    {  2020,   9,   9,    0,   -8 },   // 0x3C '<'
    {  2083,   9,   9,    0,   -7 },   // 0x3D '='
    {  2128,   9,   9,    0,   -8 },   // 0x3E '>'
    {  2191,   9,   9,    0,  -11 },   // 0x3F '?'
    {  2299,  16,  16,    0,  -11 },   // 0x40 '@'
    {  2539,  12,  11,   -1,  -11 },   // 0x41 'A'
    {  2683,   9,  11,    1,  -11 },   // 0x42 'B'
    {  2791,  11,  12,    0,  -11 },   // 0x43 'C'
    {  2923,  10,  12,    1,  -11 },   // 0x44 'D'
    {  3043,   9,  11,    1,  -11 },   // 0x45 'E'
    {  3151,   9,  10,    1,  -11 },   // 0x46 'F'
    {  3259,  12,  12,    0,  -11 },   // 0x47 'G'
    {  3403,  10,  12,    1,  -11 },   // 0x48 'H'
    {  3523,   3,   4,    1,  -11 },   // 0x49 'I'
    {  3559,   7,   8,    0,  -11 },   // 0x4A 'J'
    {  3643,  10,  11,    1,  -11 },   // 0x4B 'K'
    {  3763,   8,   9,    1,  -11 },   // 0x4C 'L'
    {  3859,  12,  13,    1,  -11 },   // 0x4D 'M'
    {  4003,  10,  12,    1,  -11 },   // 0x4E 'N'
    {  4123,  12,  12,    0,  -11 },   // 0x4F 'O'
    {  4267,   9,  11,    1,  -11 },   // 0x50 'P'
    {  4375,  12,  12,    0,  -11 },   // 0x51 'Q'
    {  4531,  11,  12,    1,  -11 },   // 0x52 'R'
    {  4663,  10,  11,    0,  -11 },   // 0x53 'S'
    {  4783,  10,  10,    0,  -11 },   // 0x54 'T'
    {  4903,  10,  12,    1,  -11 },   // 0x55 'U'
    {  5023,  11,  11,    0,  -11 },   // 0x56 'V'
    {  5155,  15,  15,    0,  -11 },   // 0x57 'W'
    {  5335,  11,  11,    0,  -11 },   // 0x58 'X'
    {  5467,  11,  11,    0,  -11 },   // 0x59 'Y'
    {  5599,  10,  10,    0,  -11 },   // 0x5A 'Z'
    {  5719,   4,   4,    1,  -11 },   // 0x5B '['
    {  5779,   5,   4,    0,  -11 },   // 0x5C '\'
    {  5839,   4,   4,    0,  -11 },   // 0x5D ']'
    {  5899,   8,   8,    0,  -11 },   // 0x5E '^'
    {  5947,  11,   9,   -1,    3 },   // 0x5F '_'
    {  5958,   4,   5,    0,  -11 },   // 0x60 '`'
    {  5966,   9,   9,    0,   -8 },   // 0x61 'a'
    {  6047,   8,   9,    1,  -11 },   // 0x62 'b'
    {  6143,   8,   8,    0,   -8 },   // 0x63 'c'
    {  6215,   8,   9,    0,  -11 },   // 0x64 'd'
    {  6311,   9,   9,    0,   -8 },   // 0x65 'e'
    {  6392,   5,   4,    0,  -11 },   // 0x66 'f'
    {  6452,   8,   9,    0,   -8 },   // 0x67 'g'
    {  6548,   7,   9,    1,  -11 },   // 0x68 'h'
    {  6632,   2,   4,    1,  -11 },   // 0x69 'i'
    {  6656,   4,   4,   -1,  -11 },   // 0x6A 'j'
    {  6716,   7,   8,    1,  -11 },   // 0x6B 'k'
    {  6800,   2,   4,    1,  -11 },   // 0x6C 'l'
    {  6824,  12,  13,    1,   -8 },   // 0x6D 'm'
    {  6932,   7,   9,    1,   -8 },   // 0x6E 'n'
    {  6995,   9,   9,    0,   -8 },   // 0x6F 'o'
    {  7076,   8,   9,    1,   -8 },   // 0x70 'p'
    {  7172,   8,   9,    0,   -8 },   // 0x71 'q'
    {  7268,   5,   5,    1,   -8 },   // 0x72 'r'
    {  7313,   8,   8,    0,   -8 },   // 0x73 's'
    {  7385,   5,   4,    0,  -11 },   // 0x74 't'
    {  7445,   7,   9,    1,   -8 },   // 0x75 'u'
    {  7508,   8,   8,    0,   -8 },   // 0x76 'v'
    {  7580,  12,  12,    0,   -8 },   // 0x77 'w'
    {  7688,   8,   8,    0,   -8 },   // 0x78 'x'
    {  7760,   8,   8,    0,   -8 },   // 0x79 'y'
    {  7856,   8,   8,    0,   -8 },   // 0x7A 'z'
    {  7928,   5,   5,    0,  -11 },   // 0x7B '{'
    {  8003,   2,   4,    1,  -11 },   // 0x7C '|'
    {  8033,   5,   5,    0,  -11 },   // 0x7D '}'
    {  8108,   9,   9,    0,   -6 },   // 0x7E '~'
    {  8126,   8,  12,    2,  -10 },   // 0x7F
    {  8214,   0,   0,    0,    0 }
};

/* This struct will be read by the CPU only */
static const nema_font_range_t arial12pt8b_ranges[] =
{
    {0x00000020, 0x0000007f, arial12pt8bGlyphs0},
    {0, 0, NULL}
};

/* This struct will be read by the CPU only */
nema_font_t arial12pt8b =
{
    {
        .base_virt = (void *) arial12pt8bBitmaps,
        .base_phys = (uintptr_t) arial12pt8bBitmaps,
        .size      = (int) sizeof(arial12pt8bBitmaps)
    },
    arial12pt8b_ranges,
    (int)sizeof(arial12pt8bBitmaps),
    arial12pt8bBitmaps,
    0,
    4, 18, 13, 8
};
#endif // ARIAL12PT8B_C

