//*****************************************************************************
//
//! @file DejaVuSerif12pt8b.c
//!
//! @brief NemaGFX example.
//!
//
//*****************************************************************************

//*****************************************************************************
//
// Copyright (c) 2020, Ambiq Micro
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. Neither the name of the copyright holder nor the names of its
// contributors may be used to endorse or promote products derived from this
// software without specific prior written permission.
//
// Third party software included in this distribution is subject to the
// additional license terms as defined in the /docs/licenses directory.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
// This is part of revision v2.4.2-1403-gd656d944e of the AmbiqSuite Development Package.
//
//*****************************************************************************

#ifndef DEJAVUSERIF12PT8B_C
#define DEJAVUSERIF12PT8B_C

#include "DejaVuSerif12pt8b.h"

#ifndef NEMA_GPU_MEM
#define NEMA_GPU_MEM
#endif // NEMA_GPU_MEM

/* This will be read by the GPU only */
static uint8_t NEMA_GPU_MEM DejaVuSerif12pt8bBitmaps[] =
{
    // 0x20 - 0x7e
    0xF3, 0xFF, 0xF3, 0xDA, 0xFF, 0xD9, 0xC0, 0xFF, 0xBF, 0xA6, 0xFF, 0xA5,
    0x8D, 0xFF, 0x8C, 0x73, 0xFF, 0x72, 0x59, 0xFF, 0x58, 0x3F, 0xFF, 0x3E,
    0x26, 0xFF, 0x25, 0x0B, 0xFF, 0x0B, 0x00, 0xFF, 0x00, 0x00, 0xFF, 0x00,
    0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x89, 0xF3, 0x87,
    0xF4, 0xFF, 0xF3, 0x8C, 0xF4, 0x87, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x2C, 0xFF, 0xCB, 0x00, 0x00, 0x28, 0xFF, 0xB2, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xFF, 0x91, 0x00, 0x00, 0x61, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAE, 0xFF, 0x57,
    0x00, 0x00, 0x9A, 0xFF, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x01, 0xED, 0xFF, 0x1E, 0x00, 0x00, 0xD3, 0xFA, 0x08, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x30, 0xFF, 0xE4, 0x00, 0x00, 0x0E, 0xFD, 0xC9,
    0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x9C, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x05, 0xED, 0xFF, 0x24, 0x00, 0x00, 0xB9, 0xFF, 0x1E,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0xFF, 0xCC, 0x00, 0x00,
    0x0B, 0xF8, 0xD2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9D,
    0xFF, 0x74, 0x00, 0x00, 0x4F, 0xFF, 0x86, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xC4, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x60, 0xFF,
    0xB7, 0x00, 0x00, 0x05, 0xF7, 0xDB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x9F, 0xFF, 0x76, 0x00, 0x00, 0x37, 0xFF, 0xA2, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDE, 0xFF, 0x35, 0x00, 0x00, 0x70,
    0xFF, 0x69, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xF1,
    0x03, 0x00, 0x00, 0xAA, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x5C, 0xFF, 0xB4, 0x00, 0x00, 0x00, 0xE3, 0xF4, 0x03, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x08, 0x6F, 0xC4, 0xF0, 0xFF, 0xEB, 0xC2, 0x84, 0x2C, 0x00, 0x12,
    0xD0, 0xE3, 0x59, 0x16, 0xFF, 0x1E, 0x7F, 0xFB, 0xFF, 0x00, 0x9A, 0xFF,
    0x3B, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x82, 0xFF, 0x00, 0xEA, 0xFF, 0x0E,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x20, 0xFF, 0x00, 0xF9, 0xFF, 0x69, 0x00,
    0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xFF, 0xFE, 0x9E, 0x3A,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x35, 0xF2, 0xFF, 0xFF, 0xFF, 0xFF,
    0x84, 0x2F, 0x00, 0x00, 0x00, 0x00, 0x22, 0xA5, 0xFA, 0xFF, 0xFF, 0xFF,
    0xFF, 0xC5, 0x37, 0x00, 0x00, 0x00, 0x00, 0x14, 0x61, 0xFF, 0xFD, 0xFF,
    0xFF, 0xFB, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x19, 0x7F, 0xF8,
    0xFF, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x5E, 0xFF,
    0xF9, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x0E, 0xFF, 0xE7,
    0xFF, 0x7B, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x3E, 0xFF, 0x94, 0xFF,
    0xFD, 0x92, 0x32, 0x0F, 0xFF, 0x17, 0x5A, 0xE3, 0xCA, 0x10, 0x24, 0x6D,
    0xB1, 0xD6, 0xF2, 0xFF, 0xEF, 0xC0, 0x69, 0x06, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0xB1, 0xF3, 0xF2, 0xB0, 0x23,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0xFF, 0xEE, 0x13, 0x00, 0x00,
    0x00, 0x16, 0xE7, 0xDC, 0x23, 0x22, 0xDD, 0xE6, 0x15, 0x00, 0x00, 0x00,
    0x00, 0x06, 0xDC, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x8D, 0xFF, 0x64,
    0x00, 0x00, 0x65, 0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x75, 0xFF, 0xD8,
    0x05, 0x00, 0x00, 0x00, 0x00, 0xD9, 0xFF, 0x21, 0x00, 0x00, 0x22, 0xFF,
    0xD7, 0x00, 0x00, 0x00, 0x15, 0xF1, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xF8, 0xFF, 0x0A, 0x00, 0x00, 0x0A, 0xFF, 0xF7, 0x00, 0x00, 0x00,
    0x99, 0xFF, 0xB9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF8, 0xFF, 0x0A,
    0x00, 0x00, 0x0A, 0xFF, 0xF7, 0x00, 0x00, 0x2D, 0xFC, 0xFC, 0x2B, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xD9, 0xFF, 0x22, 0x00, 0x00, 0x22, 0xFF,
    0xD7, 0x00, 0x00, 0xBC, 0xFF, 0x95, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x91, 0xFF, 0x67, 0x00, 0x00, 0x65, 0xFF, 0x8D, 0x00, 0x4F, 0xFF,
    0xEF, 0x13, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x19, 0xEA, 0xDF,
    0x25, 0x22, 0xDD, 0xE6, 0x15, 0x05, 0xDA, 0xFF, 0x71, 0x00, 0x24, 0xB0,
    0xF2, 0xF3, 0xB1, 0x23, 0x00, 0x00, 0x27, 0xB4, 0xF4, 0xF3, 0xB0, 0x23,
    0x00, 0x73, 0xFF, 0xD9, 0x05, 0x17, 0xE8, 0xDC, 0x23, 0x23, 0xDE, 0xE7,
    0x15, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0xF0, 0xFF, 0x4C,
    0x00, 0x8F, 0xFF, 0x64, 0x00, 0x00, 0x66, 0xFF, 0x8D, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x97, 0xFF, 0xBA, 0x00, 0x00, 0xD9, 0xFF, 0x21,
    0x00, 0x00, 0x22, 0xFF, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C,
    0xFC, 0xFC, 0x2B, 0x00, 0x00, 0xF8, 0xFF, 0x0A, 0x00, 0x00, 0x0B, 0xFF,
    0xF7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBA, 0xFF, 0x95, 0x00, 0x00,
    0x00, 0xF8, 0xFF, 0x09, 0x00, 0x00, 0x0A, 0xFF, 0xF7, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x4D, 0xFF, 0xEF, 0x13, 0x00, 0x00, 0x00, 0xD9, 0xFF, 0x21,
    0x00, 0x00, 0x21, 0xFF, 0xD7, 0x00, 0x00, 0x00, 0x00, 0x05, 0xD9, 0xFF,
    0x71, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xFF, 0x64, 0x00, 0x00, 0x65, 0xFF,
    0x8D, 0x00, 0x00, 0x00, 0x00, 0x71, 0xFF, 0xD9, 0x05, 0x00, 0x00, 0x00,
    0x00, 0x17, 0xE9, 0xDD, 0x24, 0x22, 0xDD, 0xE6, 0x15, 0x00, 0x00, 0x00,
    0x13, 0xEF, 0xFF, 0x4D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x25, 0xB2,
    0xF3, 0xF3, 0xB1, 0x23, 0x00, 0x00, 0x00, 0x00, 0x16, 0x90, 0xDB, 0xF9,
    0xF2, 0xC6, 0x82, 0x2D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x20, 0xE5, 0xE5, 0x51, 0x0F, 0x1A, 0x71, 0xF9, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAB, 0xFF, 0x45,
    0x00, 0x00, 0x00, 0x00, 0x7D, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xF0, 0xFF, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x20,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF7,
    0xFF, 0x33, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC6, 0xFF, 0xBA, 0x01, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x55, 0xFF, 0xFF, 0x8A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6E, 0xFB, 0xFD, 0xFF,
    0x76, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x71, 0xFF, 0x70, 0x5E, 0xFD, 0xFF, 0x71, 0x00, 0x00, 0x00,
    0x00, 0xD4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x04, 0x2F, 0xFA, 0xC6, 0x00,
    0x00, 0x61, 0xFE, 0xFF, 0x6D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xE9,
    0x00, 0x00, 0x00, 0xA1, 0xFF, 0x56, 0x00, 0x00, 0x00, 0x65, 0xFE, 0xFF,
    0x69, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xB8, 0x00, 0x00, 0x00, 0xE2, 0xFF,
    0x17, 0x00, 0x00, 0x00, 0x00, 0x6A, 0xFF, 0xFE, 0x65, 0x00, 0x00, 0x02,
    0xCD, 0x6D, 0x00, 0x00, 0x00, 0xF9, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x6D, 0xFF, 0xFE, 0x61, 0x00, 0x76, 0xF5, 0x15, 0x00, 0x00, 0x00,
    0xE4, 0xFF, 0x26, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x71, 0xFF, 0xFD,
    0x9A, 0xFD, 0x8A, 0x00, 0x00, 0x00, 0x00, 0xA1, 0xFF, 0x82, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xFF, 0xFF, 0xED, 0x09, 0x00, 0x00,
    0x00, 0x00, 0x29, 0xF7, 0xF8, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04,
    0x84, 0xFF, 0xFF, 0xFF, 0x75, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4D, 0xF2,
    0xF7, 0x80, 0x24, 0x06, 0x24, 0x6C, 0xD9, 0xF2, 0x7C, 0x5C, 0xFE, 0xFD,
    0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0x88, 0xCF, 0xF2, 0xF8, 0xDE,
    0xAC, 0x65, 0x0D, 0x00, 0x00, 0x79, 0xFF, 0xFF, 0xFF, 0xFF, 0x70, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x16, 0xAE, 0x00, 0x00, 0x1D, 0xDC, 0xAB, 0x00,
    0x05, 0xCB, 0xC2, 0x06, 0x00, 0x6E, 0xFF, 0x39, 0x00, 0x02, 0xE3, 0xC5,
    0x00, 0x00, 0x43, 0xFF, 0x7B, 0x00, 0x00, 0x85, 0xFF, 0x4C, 0x00, 0x00,
    0xB9, 0xFF, 0x2A, 0x00, 0x00, 0xDB, 0xFF, 0x15, 0x00, 0x00, 0xF0, 0xFF,
    0x08, 0x00, 0x00, 0xFB, 0xFF, 0x02, 0x00, 0x00, 0xFB, 0xFF, 0x02, 0x00,
    0x00, 0xF1, 0xFF, 0x08, 0x00, 0x00, 0xDB, 0xFF, 0x15, 0x00, 0x00, 0xB9,
    0xFF, 0x2A, 0x00, 0x00, 0x86, 0xFF, 0x4C, 0x00, 0x00, 0x44, 0xFF, 0x7B,
    0x00, 0x00, 0x03, 0xE4, 0xC5, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x39, 0x00,
    0x00, 0x06, 0xCC, 0xC2, 0x06, 0x00, 0x00, 0x1E, 0xDD, 0xAB, 0x00, 0x00,
    0x00, 0x17, 0xAF, 0xAF, 0x17, 0x00, 0x00, 0x00, 0xAC, 0xDD, 0x1E, 0x00,
    0x00, 0x07, 0xC5, 0xCB, 0x05, 0x00, 0x00, 0x3D, 0xFF, 0x6D, 0x00, 0x00,
    0x00, 0xCA, 0xE3, 0x02, 0x00, 0x00, 0x7F, 0xFF, 0x41, 0x00, 0x00, 0x4F,
    0xFF, 0x84, 0x00, 0x00, 0x2B, 0xFF, 0xB8, 0x00, 0x00, 0x17, 0xFF, 0xD9,
    0x00, 0x00, 0x09, 0xFF, 0xEF, 0x00, 0x00, 0x03, 0xFF, 0xFA, 0x00, 0x00,
    0x03, 0xFF, 0xFA, 0x00, 0x00, 0x09, 0xFF, 0xF0, 0x00, 0x00, 0x17, 0xFF,
    0xDA, 0x00, 0x00, 0x2B, 0xFF, 0xB9, 0x00, 0x00, 0x4F, 0xFF, 0x85, 0x00,
    0x00, 0x7F, 0xFF, 0x42, 0x00, 0x00, 0xC9, 0xE4, 0x02, 0x00, 0x3D, 0xFF,
    0x6F, 0x00, 0x07, 0xC5, 0xCD, 0x06, 0x00, 0xAC, 0xDD, 0x1F, 0x00, 0x00,
    0xB0, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0xFF, 0x23,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xFF, 0x1A, 0x00,
    0x00, 0x00, 0x00, 0x6E, 0xA0, 0x15, 0x00, 0x12, 0xFF, 0x11, 0x00, 0x15,
    0xA0, 0x6D, 0x90, 0xF9, 0xEE, 0x66, 0x0B, 0xFF, 0x0A, 0x67, 0xEE, 0xF8,
    0x8F, 0x00, 0x19, 0x8A, 0xF1, 0xC9, 0xFF, 0xC9, 0xEE, 0x85, 0x17, 0x00,
    0x00, 0x00, 0x00, 0x1A, 0xD4, 0xFF, 0xD4, 0x1A, 0x00, 0x00, 0x00, 0x00,
    0x17, 0x84, 0xEE, 0xC9, 0xFF, 0xC9, 0xF1, 0x88, 0x19, 0x00, 0x8E, 0xF8,
    0xEE, 0x67, 0x0B, 0xFF, 0x0A, 0x68, 0xEE, 0xF8, 0x8F, 0x6E, 0xA1, 0x15,
    0x00, 0x12, 0xFF, 0x11, 0x00, 0x15, 0xA1, 0x6D, 0x00, 0x00, 0x00, 0x00,
    0x1B, 0xFF, 0x1A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24,
    0xFF, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03,
    0xFF, 0xEF, 0x00, 0x16, 0xFF, 0xCC, 0x00, 0x4D, 0xFF, 0x85, 0x00, 0xB6,
    0xF8, 0x22, 0x74, 0xFF, 0x70, 0x00, 0x93, 0x75, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x89, 0xF3,
    0x87, 0xF4, 0xFF, 0xF3, 0x8C, 0xF4, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x0D, 0xF9, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x56, 0xFF, 0x8A, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xA4, 0xFF, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x04,
    0xEE, 0xEA, 0x02, 0x00, 0x00, 0x00, 0x00, 0x41, 0xFF, 0x9F, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x8F, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDD,
    0xF7, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x2C, 0xFF, 0xB3, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x7B, 0xFF, 0x65, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC9, 0xFE,
    0x18, 0x00, 0x00, 0x00, 0x00, 0x19, 0xFE, 0xC8, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x66, 0xFF, 0x7A, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x2B,
    0x00, 0x00, 0x00, 0x00, 0x0B, 0xF7, 0xDD, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x51, 0xFF, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0x40, 0x00,
    0x00, 0x00, 0x00, 0x02, 0xEB, 0xEE, 0x04, 0x00, 0x00, 0x00, 0x00, 0x3C,
    0xFF, 0xA3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0xFF, 0x55, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD9, 0xF9, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x5F, 0xC6, 0xF1, 0xF1, 0xC6, 0x60, 0x00, 0x00, 0x00, 0x00,
    0x01, 0xA6, 0xF5, 0x66, 0x11, 0x11, 0x66, 0xF5, 0xA6, 0x01, 0x00, 0x00,
    0x77, 0xFF, 0x53, 0x00, 0x00, 0x00, 0x00, 0x53, 0xFF, 0x77, 0x00, 0x10,
    0xF1, 0xCE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCE, 0xF0, 0x10, 0x61,
    0xFF, 0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7A, 0xFF, 0x5F, 0xA6,
    0xFF, 0x43, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x43, 0xFF, 0xA6, 0xD2,
    0xFF, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x23, 0xFF, 0xD1, 0xEE,
    0xFF, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xFF, 0xEC, 0xFA,
    0xFF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xF9, 0xFA,
    0xFF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xF9, 0xEE,
    0xFF, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xFF, 0xEC, 0xD2,
    0xFF, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22, 0xFF, 0xD1, 0xA6,
    0xFF, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x43, 0xFF, 0xA6, 0x62,
    0xFF, 0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x79, 0xFF, 0x60, 0x11,
    0xF2, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCD, 0xF1, 0x10, 0x00,
    0x7A, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x79, 0x00, 0x00,
    0x02, 0xA9, 0xF4, 0x64, 0x10, 0x10, 0x64, 0xF4, 0xA9, 0x02, 0x00, 0x00,
    0x00, 0x00, 0x61, 0xC7, 0xF2, 0xF2, 0xC7, 0x61, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x6A, 0xF5, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xB8, 0xC8,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x58, 0xE9, 0x7D, 0x03, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0xD6, 0x33, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x08,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x24, 0x6E, 0xB4, 0xE1, 0xF8, 0xF8, 0xDF,
    0xA5, 0x3B, 0x00, 0x00, 0xFF, 0xFF, 0xA1, 0x37, 0x12, 0x07, 0x34, 0xAC,
    0xFE, 0x86, 0x00, 0xFF, 0x95, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAB,
    0xFF, 0x5A, 0xFF, 0x26, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x32, 0xFF,
    0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xF4,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0xFF, 0xEA, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0xFF, 0xB1, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA3, 0xFF, 0x48, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x2F, 0xFB, 0xB5, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x11, 0xDA, 0xEA, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x0E, 0xC7, 0xF9, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xCA,
    0xFA, 0x55, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xC9, 0xF2, 0x44,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xC7, 0xE8, 0x31, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x0D, 0xC5, 0xDA, 0x21, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0x0C, 0xC3, 0xC9, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xC1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x25, 0x6F, 0xB7, 0xE5, 0xFA, 0xF3, 0xCF, 0x7E, 0x0D, 0x00, 0x00, 0x00,
    0xFF, 0xFD, 0x89, 0x26, 0x09, 0x23, 0x7E, 0xF9, 0xDA, 0x17, 0x00, 0x00,
    0xFF, 0x84, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7D, 0xFF, 0x9F, 0x00, 0x00,
    0xFF, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22, 0xFF, 0xEA, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xF4, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x25, 0xFF, 0xCB, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x96, 0xFF, 0x58, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x0B, 0x37, 0xA1, 0xF9, 0x72, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xDC, 0xFF, 0xFF, 0xEB, 0x5D, 0x09, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x04, 0x1A, 0x59, 0xD3, 0xE4, 0x44, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xCC, 0xFC, 0x3C, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0xFF, 0xBA, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xFF, 0xF2, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0xFF, 0xF5, 0xFF,
    0x1B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3B, 0xFF, 0xCB, 0xFF,
    0x8F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xC2, 0xFF, 0x5F, 0xFF,
    0xFF, 0xAF, 0x48, 0x1B, 0x05, 0x13, 0x4F, 0xCC, 0xFE, 0x87, 0x00, 0x2A,
    0x78, 0xB4, 0xDD, 0xF5, 0xFD, 0xF1, 0xD1, 0x96, 0x32, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA2, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0xE0, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xD4, 0x51, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x74, 0xB5, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xEB, 0x22, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAB, 0x7F, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46, 0xDC, 0x08, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xDA, 0x49, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7D, 0xAD, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x21, 0xEB, 0x1D,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xB3, 0x77,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x4F, 0xD6,
    0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xDF,
    0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0x77, 0xCE, 0xEE, 0xF7, 0xDB, 0x96, 0x22, 0x00, 0x00, 0x00, 0xFF,
    0xE5, 0x58, 0x10, 0x0B, 0x44, 0xCE, 0xF4, 0x4B, 0x00, 0x00, 0xEC, 0x1F,
    0x00, 0x00, 0x00, 0x00, 0x0D, 0xDD, 0xF3, 0x21, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x65, 0xFF, 0x93, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x23, 0xFF, 0xD8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x07, 0xFF, 0xF6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x08, 0xFF, 0xF5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x24, 0xFF, 0xD8, 0xFF, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x69,
    0xFF, 0x92, 0xFF, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0xE1, 0xF4,
    0x21, 0xFF, 0xFE, 0x95, 0x30, 0x0D, 0x0C, 0x4A, 0xD3, 0xF4, 0x4B, 0x00,
    0x2C, 0x7E, 0xBD, 0xE6, 0xFA, 0xF5, 0xD6, 0x91, 0x20, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x15, 0x84, 0xD2, 0xF1, 0xF8, 0xD5, 0x94, 0x36, 0x00, 0x00,
    0x00, 0x41, 0xE8, 0x8E, 0x2D, 0x08, 0x1A, 0x72, 0xF9, 0xFF, 0x00, 0x00,
    0x2A, 0xF3, 0x5D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7B, 0xFF, 0x00, 0x00,
    0xBE, 0xBE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0xFF, 0x00, 0x2F,
    0xFF, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x83,
    0xFF, 0x2E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB9,
    0xFF, 0x14, 0x69, 0xC5, 0xF1, 0xF8, 0xDE, 0x9A, 0x25, 0x00, 0x00, 0xE2,
    0xFF, 0xC5, 0xC8, 0x42, 0x0B, 0x0B, 0x47, 0xD1, 0xF6, 0x4E, 0x00, 0xF2,
    0xFF, 0xD5, 0x09, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xDF, 0xF4, 0x22, 0xFC,
    0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x67, 0xFF, 0x93, 0xF4,
    0xFF, 0x1D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x23, 0xFF, 0xD8, 0xE2,
    0xFF, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xF6, 0xB9,
    0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xF5, 0x7D,
    0xFF, 0x27, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x23, 0xFF, 0xD5, 0x25,
    0xFD, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x66, 0xFF, 0x8B, 0x00,
    0x9B, 0xE1, 0x10, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xDD, 0xED, 0x19, 0x00,
    0x0A, 0xC1, 0xD2, 0x47, 0x0B, 0x0B, 0x45, 0xCF, 0xEE, 0x3E, 0x00, 0x00,
    0x00, 0x03, 0x6C, 0xC9, 0xF2, 0xF7, 0xD9, 0x8F, 0x1B, 0x00, 0x00, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1, 0xFF, 0x70, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x32, 0xFF, 0xF1, 0x0D, 0x38,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA3, 0xFF, 0x8D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xFA, 0xFC, 0x1F, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x86, 0xFF, 0xAA, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xED, 0xFF, 0x39, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x68, 0xFF, 0xC8, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x01, 0xD7, 0xFF, 0x56, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x4B, 0xFF, 0xE1, 0x03, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xBC, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x2E, 0xFF, 0xF3, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x9E, 0xFF, 0x91, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x17, 0xF8, 0xFD, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x81, 0xFF, 0xAE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x08, 0xEA, 0xFF, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x63, 0xFF, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x0C, 0x81, 0xD3, 0xF6, 0xF6, 0xD3, 0x81, 0x0B, 0x00, 0x00, 0x00,
    0x12, 0xD5, 0xF7, 0x6D, 0x18, 0x17, 0x6C, 0xF7, 0xD3, 0x10, 0x00, 0x00,
    0x92, 0xFF, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x7C, 0xFF, 0x90, 0x00, 0x00,
    0xE3, 0xFF, 0x22, 0x00, 0x00, 0x00, 0x00, 0x23, 0xFF, 0xE1, 0x00, 0x00,
    0xF9, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xF8, 0x00, 0x00,
    0xDC, 0xFF, 0x22, 0x00, 0x00, 0x00, 0x00, 0x23, 0xFF, 0xDB, 0x00, 0x00,
    0x85, 0xFF, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x7C, 0xFF, 0x82, 0x00, 0x00,
    0x0B, 0xB4, 0xF7, 0x6D, 0x17, 0x17, 0x6C, 0xF7, 0xB2, 0x0A, 0x00, 0x00,
    0x00, 0x0C, 0x87, 0xFB, 0xFF, 0xFF, 0xFB, 0x88, 0x0C, 0x00, 0x00, 0x00,
    0x53, 0xED, 0xB4, 0x39, 0x09, 0x09, 0x39, 0xB4, 0xEC, 0x50, 0x00, 0x4B,
    0xFF, 0xB4, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0xB4, 0xFE, 0x48, 0xC4,
    0xFF, 0x39, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x39, 0xFF, 0xC3, 0xF6,
    0xFF, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xF6, 0xF5,
    0xFF, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF, 0xF4, 0xCA,
    0xFF, 0x39, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x39, 0xFF, 0xC9, 0x65,
    0xFF, 0xB3, 0x01, 0x00, 0x00, 0x00, 0x00, 0x01, 0xB4, 0xFF, 0x63, 0x01,
    0x9C, 0xFF, 0xB3, 0x39, 0x09, 0x09, 0x39, 0xB4, 0xFF, 0x99, 0x01, 0x00,
    0x00, 0x49, 0xAB, 0xE2, 0xF9, 0xF9, 0xE2, 0xAB, 0x47, 0x00, 0x00, 0x00,
    0x00, 0x1B, 0x8E, 0xD7, 0xF6, 0xF1, 0xC9, 0x6B, 0x03, 0x00, 0x00, 0x00,
    0x41, 0xEF, 0xCF, 0x45, 0x0B, 0x0C, 0x49, 0xD5, 0xBF, 0x08, 0x00, 0x1B,
    0xEF, 0xDD, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x13, 0xE5, 0x97, 0x00, 0x8C,
    0xFF, 0x65, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6F, 0xFC, 0x22, 0xD7,
    0xFF, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x28, 0xFF, 0x7B, 0xF6,
    0xFF, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFF, 0xB7, 0xF7,
    0xFF, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xE0, 0xDA,
    0xFF, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0xFF, 0xF2, 0x95,
    0xFF, 0x65, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0xFC, 0x24,
    0xF6, 0xDC, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xD7, 0xFF, 0xF1, 0x00,
    0x52, 0xF8, 0xCE, 0x44, 0x0B, 0x0B, 0x42, 0xCA, 0xC3, 0xFF, 0xE0, 0x00,
    0x00, 0x28, 0x9D, 0xE0, 0xF9, 0xF1, 0xC4, 0x68, 0x15, 0xFF, 0xB7, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xFF, 0x82, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x65, 0xFF, 0x2C, 0x00,
    0xFF, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC2, 0xBA, 0x00, 0x00,
    0xFF, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x61, 0xF1, 0x27, 0x00, 0x00,
    0xFF, 0xF9, 0x72, 0x1A, 0x08, 0x2C, 0x8F, 0xE7, 0x3E, 0x00, 0x00, 0x00,
    0x36, 0x95, 0xD6, 0xF8, 0xF2, 0xD2, 0x84, 0x14, 0x00, 0x00, 0x00, 0x87,
    0xF3, 0x87, 0xF4, 0xFF, 0xF4, 0x87, 0xF4, 0x89, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x87, 0xF3, 0x87, 0xF4,
    0xFF, 0xF3, 0x8C, 0xF4, 0x89, 0x00, 0x00, 0x87, 0xF3, 0x87, 0x00, 0x00,
    0xF4, 0xFF, 0xF3, 0x00, 0x00, 0x87, 0xF4, 0x87, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFF, 0xEF, 0x00, 0x00, 0x18,
    0xFF, 0xCE, 0x00, 0x00, 0x52, 0xFF, 0x89, 0x00, 0x01, 0xC0, 0xFA, 0x28,
    0x00, 0x8A, 0xFF, 0x75, 0x00, 0x03, 0xA6, 0x70, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x72,
    0xD0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0x58,
    0xB6, 0xFC, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x3E,
    0x9C, 0xF1, 0xFF, 0xFF, 0xEB, 0x92, 0x33, 0x00, 0x00, 0x00, 0x00, 0x24,
    0x81, 0xDE, 0xFF, 0xFF, 0xFA, 0xAF, 0x50, 0x05, 0x00, 0x00, 0x00, 0x10,
    0x67, 0xC5, 0xFF, 0xFF, 0xFF, 0xCB, 0x6D, 0x13, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xAB, 0xF8, 0xFF, 0xFF, 0xE5, 0x89, 0x2A, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFE, 0x86, 0x04, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAB, 0xF8, 0xFF, 0xFF, 0xDF,
    0x82, 0x24, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11,
    0x68, 0xC6, 0xFF, 0xFF, 0xFF, 0xC6, 0x68, 0x11, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0x82, 0xDE, 0xFF, 0xFF, 0xF8, 0xAB,
    0x4D, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x3F,
    0x9D, 0xF1, 0xFF, 0xFF, 0xEA, 0x91, 0x33, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x09, 0x59, 0xB7, 0xFC, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x73,
    0xD1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0x72,
    0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xFC, 0xB6, 0x58, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x34, 0x93, 0xEC, 0xFF, 0xFF, 0xF1, 0x9B, 0x3D,
    0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x50, 0xAF,
    0xFA, 0xFF, 0xFF, 0xDE, 0x81, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x14, 0x6D, 0xCC, 0xFF, 0xFF, 0xFF, 0xC5, 0x67, 0x10,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2B, 0x8A, 0xE5,
    0xFF, 0xFF, 0xF8, 0xAB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x04, 0x87, 0xFE, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x25, 0x83, 0xDF, 0xFF, 0xFF, 0xF8, 0xAB, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x11, 0x68, 0xC6, 0xFF, 0xFF, 0xFF, 0xC6, 0x68, 0x11,
    0x00, 0x00, 0x00, 0x04, 0x4D, 0xAC, 0xF8, 0xFF, 0xFF, 0xDE, 0x82, 0x24,
    0x00, 0x00, 0x00, 0x00, 0x33, 0x91, 0xEA, 0xFF, 0xFF, 0xF1, 0x9C, 0x3E,
    0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFC, 0xB7, 0x59,
    0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD1, 0x73,
    0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x2E, 0x83, 0xC5, 0xEE, 0xFB, 0xEC, 0xBC, 0x5E, 0x01, 0x00, 0xFF,
    0xFF, 0x9E, 0x2B, 0x0A, 0x26, 0x8C, 0xFC, 0xB6, 0x07, 0xFF, 0x9F, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8A, 0xFF, 0x7F, 0xFF, 0x2A, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x26, 0xFF, 0xDC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x07, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2A, 0xFF,
    0xE4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x99, 0xFF, 0x98, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x02, 0x7D, 0xFF, 0xE4, 0x19, 0x00, 0x00, 0x00,
    0x1F, 0x6A, 0xD4, 0xFF, 0xC1, 0x20, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xE1,
    0x9D, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x89, 0xF3, 0x87,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0xFF, 0xF3, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x8C, 0xF4, 0x87, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x6F, 0xB7, 0xDC, 0xF3,
    0xF3, 0xD9, 0xB6, 0x66, 0x15, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x1B, 0x9C, 0xFB, 0xC4, 0x6A, 0x33, 0x17, 0x07, 0x20, 0x47,
    0x9B, 0xE8, 0x7E, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x42, 0xEB,
    0xD9, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0xA2,
    0xD0, 0x13, 0x00, 0x00, 0x00, 0x00, 0x46, 0xFB, 0xBF, 0x0D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xCF, 0x10,
    0x00, 0x00, 0x24, 0xF0, 0xDB, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8A, 0xA2, 0x00, 0x00, 0xB0,
    0xFF, 0x40, 0x00, 0x00, 0x00, 0x50, 0xBF, 0xF1, 0xF6, 0xD1, 0x76, 0x08,
    0xFF, 0xFF, 0x00, 0x00, 0x07, 0xDF, 0x2E, 0x32, 0xFF, 0xC2, 0x00, 0x00,
    0x00, 0x84, 0xFF, 0xA7, 0x26, 0x06, 0x27, 0xA2, 0xC9, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x78, 0x91, 0x86, 0xFF, 0x6A, 0x00, 0x00, 0x44, 0xFF, 0xC5,
    0x01, 0x00, 0x00, 0x00, 0x00, 0xB5, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x30,
    0xD2, 0xCA, 0xFF, 0x30, 0x00, 0x00, 0xB2, 0xFF, 0x4E, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x38, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x0E, 0xF2, 0xE8, 0xFF,
    0x0E, 0x00, 0x00, 0xEA, 0xFF, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x05, 0xF7, 0xFA, 0xFF, 0x04, 0x00, 0x00,
    0xFB, 0xFF, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x1D, 0xE1, 0xE9, 0xFF, 0x14, 0x00, 0x00, 0xEA, 0xFF, 0x1E,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x58,
    0xA7, 0xCC, 0xFF, 0x30, 0x00, 0x00, 0xB2, 0xFF, 0x4E, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x39, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xC2, 0x43, 0x8A, 0xFF,
    0x6F, 0x00, 0x00, 0x46, 0xFF, 0xC3, 0x01, 0x00, 0x00, 0x00, 0x00, 0xB5,
    0xFF, 0xFF, 0x00, 0x00, 0x76, 0xA5, 0x00, 0x39, 0xFF, 0xC4, 0x00, 0x00,
    0x00, 0x87, 0xFF, 0xA6, 0x27, 0x05, 0x25, 0xA1, 0xC9, 0xFF, 0xFF, 0x2A,
    0xA1, 0xA1, 0x08, 0x00, 0x00, 0xB8, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x53,
    0xC1, 0xF2, 0xF7, 0xD3, 0x79, 0x08, 0xF6, 0xDC, 0xA0, 0x3C, 0x00, 0x00,
    0x00, 0x00, 0x29, 0xF3, 0xDE, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x4C, 0xFD, 0xC7, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4A, 0xEE,
    0xDD, 0x4A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0x8B,
    0x26, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xA5, 0xFD, 0xC7,
    0x74, 0x31, 0x15, 0x05, 0x14, 0x3E, 0x86, 0xE8, 0xA4, 0x16, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x25, 0x77, 0xBC, 0xE0, 0xF6,
    0xF7, 0xE5, 0xBC, 0x80, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0xFF, 0xF5, 0x0E, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1,
    0xEE, 0xFF, 0x64, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x22, 0xE8, 0x64, 0xFF, 0xC4, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x8F,
    0x0B, 0xF3, 0xFF, 0x25, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x01, 0xDF, 0x2F, 0x00, 0x9E, 0xFF, 0x85, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x42, 0xCF, 0x00,
    0x00, 0x3D, 0xFF, 0xE3, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xA2, 0x6F, 0x00, 0x00, 0x00, 0xDB, 0xFF, 0x46, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xEF, 0x14, 0x00,
    0x00, 0x00, 0x7B, 0xFF, 0xA7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x62, 0xAF, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFD, 0xF7, 0x10,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC3, 0x4F, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xBA, 0xFF, 0x68, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x23, 0xE9, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x59, 0xFF, 0xC8,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x83, 0x8F, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x08, 0xEF, 0xFF, 0x29, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x02, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x89, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0xCC, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x37, 0xFF, 0xE6, 0x03, 0x00, 0x00, 0x00, 0x00,
    0xA4, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD6,
    0xFF, 0x4A, 0x00, 0x00, 0x00, 0x0E, 0xEF, 0x12, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x75, 0xFF, 0xAB, 0x00, 0x00, 0x00, 0x64,
    0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18,
    0xFC, 0xF8, 0x12, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xA0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xA8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF5, 0xD4, 0x8A, 0x14, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x01, 0x0E, 0x37, 0x98,
    0xFE, 0xE2, 0x1A, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x85, 0xFF, 0x9B, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0xFF, 0xE4, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xFF, 0xF9,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x1F, 0xFF, 0xDF, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x86, 0xFF, 0x92, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x01, 0x0D, 0x36, 0x97, 0xFE, 0xC3, 0x12, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x9E, 0x1D, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x04, 0x18, 0x4C,
    0xBB, 0xF9, 0x72, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x01, 0xB0, 0xFF, 0x60, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0xFF, 0xCD, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xFF,
    0xF7, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x0A, 0xFF, 0xF3, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0xC9, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xB3, 0xFF, 0x65, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x03, 0x17, 0x4C, 0xBC, 0xFF, 0x97,
    0x02, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0xF0, 0xD0,
    0x99, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0x80, 0xC7, 0xE9,
    0xFB, 0xF4, 0xDF, 0xBE, 0x91, 0x5C, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x7C,
    0xEF, 0x8A, 0x35, 0x0F, 0x05, 0x18, 0x4A, 0xA9, 0xFE, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x9E, 0xEA, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x56, 0xFD, 0xFF, 0x00, 0x00, 0x6E, 0xFF, 0x47, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x93, 0xFF, 0x00, 0x10, 0xF1, 0xC3, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x27, 0xFF, 0x00,
    0x70, 0xFF, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xB5, 0xFF, 0x37, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE3, 0xFF, 0x14, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xF6, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xF5, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0xFF, 0x14, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xB1, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x68, 0xFF, 0x6F, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xE7, 0xC8, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0xFF, 0xCC,
    0x00, 0x59, 0xFF, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xB8, 0xFF, 0x53, 0x00, 0x00, 0x7F, 0xEF, 0x37, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8E, 0xFF, 0xA4, 0x00, 0x00, 0x00, 0x00, 0x60,
    0xEB, 0x96, 0x3D, 0x12, 0x07, 0x24, 0x56, 0xC9, 0xFE, 0x94, 0x05, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x10, 0x75, 0xBE, 0xE9, 0xFB, 0xF3, 0xD2, 0x94,
    0x30, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xEE,
    0xD9, 0xA5, 0x62, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x04, 0x16, 0x3B, 0x7F, 0xE7, 0xEA, 0x61, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x9D,
    0xFF, 0x91, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xA1, 0xFF, 0x6C, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xED, 0xF0, 0x11,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x89, 0xFF, 0x71, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x46, 0xFF, 0xB7, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xFF, 0xE2,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x08, 0xFF, 0xF6, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFF, 0xF5, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xFF, 0xE1,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x4A, 0xFF, 0xB5, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xFF, 0x6F, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF0, 0xEF, 0x0F,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xAA, 0xFF, 0x69, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x0B, 0xA5, 0xFF, 0x8E, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x03, 0x15, 0x3B, 0x81, 0xEA, 0xE9, 0x5E, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xEF, 0xDA, 0xA6, 0x61, 0x08,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0x80, 0xC4, 0xE7,
    0xFA, 0xF6, 0xE3, 0xC3, 0x96, 0x61, 0x20, 0x00, 0x00, 0x00, 0x01, 0x81,
    0xF1, 0x90, 0x3B, 0x12, 0x04, 0x13, 0x41, 0x9D, 0xFC, 0xFF, 0xFF, 0x00,
    0x00, 0x01, 0xA8, 0xE9, 0x2E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x49, 0xFB, 0xFF, 0x00, 0x00, 0x78, 0xFF, 0x45, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0xFF, 0x00, 0x14, 0xF5, 0xC0, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x25, 0xFF, 0x00,
    0x74, 0xFF, 0x69, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xB8, 0xFF, 0x35, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE3, 0xFF, 0x14, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xF7, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xF6, 0xFF, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE2, 0xFF, 0x15, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xB5, 0xFF, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x6F, 0xFF, 0x73, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x10, 0xF1, 0xD0, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x6D, 0xFF, 0x5E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x9A, 0xF5, 0x49, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x21, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x74,
    0xF3, 0xAA, 0x4D, 0x18, 0x05, 0x0B, 0x27, 0x5A, 0xAC, 0xFB, 0xF9, 0xA6,
    0x00, 0x00, 0x00, 0x00, 0x15, 0x78, 0xBF, 0xE6, 0xFA, 0xF7, 0xE9, 0xCA,
    0x9F, 0x5E, 0x15, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04,
    0xFF, 0xFA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 0xEA,
    0x00, 0x00, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x2D, 0xFF, 0xC2, 0x00, 0x00,
    0xFF, 0x42, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x76, 0x00, 0x00, 0xFF, 0xCF,
    0x2B, 0x07, 0x44, 0xEA, 0xDB, 0x0C, 0x00, 0x00, 0x43, 0xAE, 0xEC, 0xFA,
    0xE1, 0x96, 0x17, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x00, 0x34, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x18, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0xC5, 0x99, 0x02,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A,
    0xD4, 0x85, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x25, 0xDE, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x33, 0xE5, 0x5D, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x42, 0xE8, 0x4B, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x53,
    0xE8, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x66, 0xE3, 0x2D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xCD, 0x0E, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xDD, 0xFF,
    0xC5, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x1F, 0xE2, 0xFF, 0xBE, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x24, 0xE6, 0xFF, 0xB7, 0x06,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x2A, 0xEA, 0xFF, 0xAF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x30, 0xEE, 0xFF, 0xA7, 0x02, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x35, 0xF1,
    0xFF, 0x9E, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x3C, 0xF4, 0xFF, 0x95, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x43, 0xF7, 0xFF, 0x8C,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x49, 0xF9, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x6C, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4E, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xE4, 0x07, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC9, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xCF, 0xFF, 0x6C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x46, 0xD6, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x50, 0xFF, 0xE5, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xC2, 0x5D, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x01, 0xCF, 0xFF,
    0x6D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0xDD, 0x03, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x4F, 0xFF, 0xE5, 0x08, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xB9, 0x65, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0xCE, 0xFF, 0x6E, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x35, 0xE3, 0x06, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x4F, 0xFF, 0xE6, 0x08, 0x00, 0x00, 0x00, 0x00, 0xB1, 0x6E,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0xCD, 0xFF, 0x6F, 0x00, 0x00, 0x00, 0x2D, 0xE7, 0x09, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x4E, 0xFF, 0xE7,
    0x09, 0x00, 0x00, 0xA9, 0x76, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xCD, 0xFF, 0x70, 0x00, 0x27,
    0xEA, 0x0C, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x4E, 0xFF, 0xE7, 0x09, 0xA0, 0x7E, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xCC, 0xFF, 0x91, 0xED, 0x10, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4D,
    0xFF, 0xFF, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCC, 0xF5, 0x15,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0x64, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xD1, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xD9, 0xFF, 0x87,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x37, 0xFC, 0xFC, 0x39, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x82, 0xFF,
    0xDB, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x04, 0xCB, 0xFF, 0x95, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x28,
    0xF6, 0xFE, 0x45, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x6D, 0xFF, 0xE3, 0x10, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x01, 0xBB, 0xFF, 0xA4, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x1B, 0xEE, 0xFF, 0x53, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x59, 0xFF, 0xEB, 0x17, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA7, 0xFF, 0xB2,
    0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x11, 0xE4, 0xFF, 0x62, 0x00, 0x00, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x45, 0xFE,
    0xF2, 0x1F, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x93, 0xFF, 0xBF, 0x01, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09,
    0xD8, 0xFF, 0x71, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0xFB, 0xF7, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x7E, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xC9, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x18, 0x7F, 0xC6, 0xEA, 0xFA, 0xE9, 0xC7, 0x80,
    0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0xF3, 0x9E, 0x45,
    0x16, 0x05, 0x16, 0x45, 0x9E, 0xF4, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x8E, 0xF1, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0xF1,
    0x9E, 0x00, 0x00, 0x00, 0x62, 0xFF, 0x55, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x55, 0xFF, 0x6D, 0x00, 0x0D, 0xEB, 0xCA, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCC, 0xF1,
    0x10, 0x6B, 0xFF, 0x6F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x70, 0xFF, 0x70, 0xB3, 0xFF, 0x38, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3A, 0xFF, 0xB4, 0xE1,
    0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x16, 0xFF, 0xE2, 0xF6, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xF6, 0xF6, 0xFF, 0x06,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07,
    0xFF, 0xF5, 0xE1, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x16, 0xFF, 0xDF, 0xB4, 0xFF, 0x38, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3A, 0xFF, 0xB0,
    0x6D, 0xFF, 0x6F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x70, 0xFF, 0x67, 0x0E, 0xEC, 0xCA, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCB, 0xE9, 0x0B, 0x00, 0x63,
    0xFF, 0x54, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
    0xFF, 0x5F, 0x00, 0x00, 0x00, 0x8E, 0xF1, 0x3D, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x3D, 0xF1, 0x8A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70,
    0xF2, 0x9D, 0x44, 0x14, 0x05, 0x14, 0x44, 0x9E, 0xF1, 0x6C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x7E, 0xC5, 0xEB, 0xFB, 0xEB, 0xC5,
    0x7D, 0x16, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFA, 0xE4, 0xAB, 0x40, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x02, 0x15, 0x4E, 0xC8, 0xFF, 0x89, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xBF, 0xFF, 0x5A,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3D,
    0xFF, 0xC6, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x0A, 0xFF, 0xF4, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x0A, 0xFF, 0xF4, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x3E, 0xFF, 0xC6, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xC0, 0xFF, 0x59, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x01, 0x13, 0x4E, 0xC8, 0xFF, 0x89, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xE5, 0xAB, 0x42,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x7F,
    0xC6, 0xEA, 0xFA, 0xE9, 0xC7, 0x80, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x70, 0xF3, 0x9E, 0x45, 0x16, 0x05, 0x16, 0x45, 0x9E, 0xF4,
    0x7B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8E, 0xF1, 0x3D, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x3E, 0xF1, 0x9E, 0x00, 0x00, 0x00, 0x62, 0xFF,
    0x55, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xFF,
    0x6C, 0x00, 0x0D, 0xEB, 0xCA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xCC, 0xF0, 0x0F, 0x6B, 0xFF, 0x6F, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x6E,
    0xB3, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x3A, 0xFF, 0xB3, 0xE1, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0xFF, 0xE1, 0xF6, 0xFF,
    0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x07, 0xFF, 0xF5, 0xF6, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xF7, 0xE2, 0xFF, 0x14, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0xFF,
    0xE5, 0xB6, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x3A, 0xFF, 0xB8, 0x71, 0xFF, 0x6F, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0xFF, 0x73, 0x11,
    0xF2, 0xCA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xCB, 0xF6, 0x16, 0x00, 0x70, 0xFF, 0x54, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x9D,
    0xF1, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3D, 0xF1, 0xB3,
    0x03, 0x00, 0x00, 0x00, 0x00, 0x75, 0xF1, 0x9D, 0x44, 0x14, 0x05, 0x14,
    0x44, 0x9E, 0xFA, 0x93, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15,
    0x78, 0xBD, 0xE5, 0xF9, 0xFF, 0xEE, 0x93, 0x2C, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xD0, 0xF6, 0x34,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x2F, 0xF4, 0xF5, 0x7B, 0x26, 0x07, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x32, 0xE5, 0xFF, 0xFF,
    0xFF, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x0A, 0x69, 0xBC, 0xE6, 0x1F, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xED, 0xC1, 0x6A, 0x05, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x03, 0x13, 0x42,
    0xA9, 0xFF, 0xC7, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x93, 0xFF, 0x8B, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x22, 0xFF, 0xDF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xF8, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x22, 0xFF, 0xDA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x94, 0xFF, 0x85, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x02, 0x12, 0x42,
    0xA8, 0xFF, 0xAC, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC7, 0x38, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x09, 0x34, 0xB5,
    0xFF, 0xBC, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xC8, 0xFF, 0x91, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x31, 0xFE, 0xF8, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBD, 0xFF, 0x62, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x62, 0xFF, 0xBD, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF8, 0xFD, 0x1A, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xAC, 0xFF, 0x73, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0xFF, 0xCE, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x07, 0xEF, 0xFF, 0xFF, 0xFF, 0x20, 0x00, 0x00, 0x45, 0xA6,
    0xDE, 0xF6, 0xFA, 0xEA, 0xC7, 0x94, 0x59, 0x1D, 0x00, 0x03, 0x9E, 0xFD,
    0x9C, 0x36, 0x13, 0x05, 0x1C, 0x5A, 0xD6, 0xFF, 0xFF, 0x00, 0x70, 0xFF,
    0x77, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xD6, 0xFF, 0x00, 0xD5,
    0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x58, 0xFF, 0x00,
    0xF9, 0xFF, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0xFF,
    0x00, 0xF1, 0xFF, 0x35, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xBB, 0xFF, 0xBF, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x44, 0xFE, 0xFF, 0xE1, 0x6E, 0x13, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0xEC, 0xFF, 0xFF, 0xFB, 0xC0, 0x7C,
    0x37, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x70, 0xC9, 0xFD, 0xFF,
    0xFF, 0xFF, 0xE1, 0x76, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11,
    0x52, 0x98, 0xE7, 0xFF, 0xFF, 0xD2, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x03, 0x57, 0xEB, 0xFF, 0x99, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0xFF, 0xE4, 0xFE, 0x0D, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xFF, 0xF4, 0xFF, 0x46,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xFF, 0xC9, 0xFF,
    0xCA, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x94, 0xFF, 0x60,
    0xFF, 0xFF, 0xD5, 0x60, 0x22, 0x07, 0x04, 0x18, 0x4B, 0xB4, 0xFE, 0x8B,
    0x00, 0x23, 0x67, 0x9E, 0xCA, 0xE8, 0xF8, 0xFC, 0xEF, 0xCE, 0x94, 0x32,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF8, 0xFF,
    0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xF6,
    0x00, 0x00, 0x00, 0x00, 0xE7, 0xFF, 0x1D, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x1F, 0xE6, 0x00, 0x00, 0x00, 0x00, 0xBD, 0xFF,
    0x4B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4B, 0xBD,
    0x00, 0x00, 0x00, 0x00, 0x77, 0xFF, 0x9C, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x9D, 0x7A, 0x00, 0x00, 0x00, 0x00, 0x15, 0xED,
    0xFB, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0xEB, 0x17,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0xED, 0xF7, 0x8A, 0x38, 0x0F, 0x03,
    0x0F, 0x38, 0x8A, 0xE8, 0x46, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x15, 0x79, 0xBE, 0xE8, 0xF8, 0xF9, 0xEA, 0xC2, 0x7F, 0x19, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x48, 0xFF, 0xDA,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xED,
    0x18, 0x00, 0x00, 0x03, 0xE6, 0xFF, 0x3A, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x5C, 0xB4, 0x00, 0x00, 0x00, 0x00, 0x8A, 0xFF,
    0x9A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0x54,
    0x00, 0x00, 0x00, 0x00, 0x2B, 0xFF, 0xF0, 0x08, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x1D, 0xEB, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCB,
    0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7C, 0x94, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xDB, 0x35, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13,
    0xF9, 0xFC, 0x1A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3C, 0xD4, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAD, 0xFF, 0x76, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x9B, 0x75, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x4E, 0xFF, 0xD5, 0x00, 0x00, 0x00, 0x00, 0x09, 0xED, 0x19, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xEA, 0xFF, 0x35, 0x00, 0x00,
    0x00, 0x5B, 0xB6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x90, 0xFF, 0x94, 0x00, 0x00, 0x00, 0xBB, 0x56, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xFF, 0xED, 0x06, 0x00,
    0x1D, 0xEC, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xD1, 0xFF, 0x53, 0x00, 0x7B, 0x96, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x72, 0xFF, 0xB2, 0x00,
    0xDA, 0x37, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x16, 0xFB, 0xFB, 0x51, 0xD6, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB3, 0xFF, 0xED,
    0x77, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x54, 0xFF, 0xFD, 0x1A, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE4, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x86, 0xFF, 0x9A, 0x00, 0x00, 0x00, 0x00, 0x70, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0x00, 0x2A, 0xFF, 0xE5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xCB, 0xFF, 0xDF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDA,
    0x2E, 0x00, 0x00, 0x00, 0xE6, 0xFF, 0x29, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x12, 0xF1, 0xE9, 0xFF, 0x24, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0xE8,
    0x01, 0x00, 0x00, 0x00, 0xA3, 0xFF, 0x6D, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x55, 0xB4, 0xA5, 0xFF, 0x69, 0x00, 0x00, 0x00, 0x00, 0x00, 0x62, 0xA6,
    0x00, 0x00, 0x00, 0x00, 0x60, 0xFF, 0xB1, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x99, 0x70, 0x60, 0xFF, 0xAF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA6, 0x62,
    0x00, 0x00, 0x00, 0x00, 0x1C, 0xFF, 0xF1, 0x03, 0x00, 0x00, 0x00, 0x00,
    0xDE, 0x2B, 0x1B, 0xFF, 0xF0, 0x03, 0x00, 0x00, 0x00, 0x01, 0xE8, 0x1E,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xD9, 0xFF, 0x39, 0x00, 0x00, 0x00, 0x23,
    0xE5, 0x00, 0x00, 0xD6, 0xFF, 0x39, 0x00, 0x00, 0x00, 0x2E, 0xDB, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x95, 0xFF, 0x7D, 0x00, 0x00, 0x00, 0x67,
    0xA1, 0x00, 0x00, 0x91, 0xFF, 0x7E, 0x00, 0x00, 0x00, 0x72, 0x97, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x52, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0xAC,
    0x5C, 0x00, 0x00, 0x4C, 0xFF, 0xC4, 0x00, 0x00, 0x00, 0xB6, 0x53, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0xFD, 0xF9, 0x0A, 0x00, 0x02, 0xED,
    0x18, 0x00, 0x00, 0x0C, 0xFA, 0xFB, 0x0E, 0x00, 0x05, 0xF1, 0x11, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCB, 0xFF, 0x48, 0x00, 0x35, 0xD3,
    0x00, 0x00, 0x00, 0x00, 0xC2, 0xFF, 0x4E, 0x00, 0x3E, 0xCC, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x87, 0xFF, 0x8C, 0x00, 0x7A, 0x8E,
    0x00, 0x00, 0x00, 0x00, 0x7D, 0xFF, 0x93, 0x00, 0x81, 0x88, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0xFF, 0xD0, 0x00, 0xBF, 0x49,
    0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0xD9, 0x00, 0xC5, 0x44, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0xF7, 0xFE, 0x1F, 0xF2, 0x0B,
    0x00, 0x00, 0x00, 0x00, 0x03, 0xF0, 0xFF, 0x2C, 0xF3, 0x08, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBD, 0xFF, 0xA0, 0xC0, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xAE, 0xFF, 0xB0, 0xBD, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x79, 0xFF, 0xFD, 0x7B, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x69, 0xFF, 0xFF, 0x79, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0xFF, 0xFF, 0x36, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0xFF, 0xFF, 0x35, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xEF, 0xEF, 0x02, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDF, 0xEE, 0x02, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAC, 0x00, 0x00, 0x08,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xBF, 0xFF, 0x9C,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7A, 0xB5, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x27, 0xF8, 0xFE, 0x3D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26,
    0xEB, 0x1D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xD5, 0x06,
    0x00, 0x00, 0x00, 0x01, 0xC1, 0x6D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x06, 0xD8, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x67, 0xC7, 0x02, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xF7, 0x24, 0x00,
    0x1A, 0xEA, 0x2B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x9E, 0xFF, 0xBB, 0x00, 0xAE, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13, 0xEB, 0xFF, 0xA4, 0xD5, 0x06,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x5E, 0xFF, 0xFF, 0xA4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x31, 0xEB, 0xF8, 0xFF, 0x43, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xCD, 0x5B,
    0x7B, 0xFF, 0xDD, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x75, 0xB7, 0x00, 0x05, 0xD1, 0xFF, 0x8C, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x23, 0xEA, 0x1F, 0x00, 0x00, 0x34,
    0xFC, 0xFC, 0x33, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC,
    0x70, 0x00, 0x00, 0x00, 0x00, 0x8D, 0xFF, 0xCF, 0x04, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x62, 0xC9, 0x02, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xDE,
    0xFF, 0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x17, 0xE9, 0x2E, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x44, 0xFF, 0xF7, 0x25, 0x00, 0x00, 0x00, 0x00,
    0xAA, 0x85, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9E, 0xFF,
    0xC0, 0x01, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x78, 0x00, 0x00, 0x00,
    0x00, 0xB8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xAC, 0x00, 0x00, 0x00, 0x94, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x00, 0x1F, 0xF6, 0xFF, 0x3A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x28, 0xEB, 0x17, 0x00, 0x00, 0x00, 0x82, 0xFF, 0xCB, 0x01, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xBA, 0x71, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xE3,
    0xFF, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0xD5, 0x04, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x59, 0xFF, 0xE7, 0x0C, 0x00, 0x00, 0x00, 0x08, 0xDF,
    0x43, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xFF, 0x88, 0x00,
    0x00, 0x00, 0x7F, 0xAD, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x33, 0xFD, 0xF8, 0x23, 0x00, 0x1F, 0xED, 0x1F, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x9D, 0xFF, 0xB0, 0x00, 0xAC, 0x7F, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x17, 0xF1, 0xFF,
    0x85, 0xDF, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x74, 0xFF, 0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0xE4,
    0xFF, 0x87, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x03, 0xBD, 0xFF, 0xBF, 0x03, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x85, 0xFF, 0xE6, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x4B, 0xFE, 0xFB, 0x3D, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0xEE, 0xFF, 0x73, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xCC, 0xFF,
    0xAE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x9A, 0xFF, 0xDB, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x5F, 0xFF, 0xF6, 0x2F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x2E, 0xF6, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xDA, 0xFF, 0x9B, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAD, 0xFF, 0xCE,
    0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x73,
    0xFF, 0xEF, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x3C, 0xFB, 0xFE, 0x4D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x17, 0xE6, 0xFF, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xBF, 0xFF, 0xBF, 0x03, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x88, 0xFF, 0xE6, 0x17,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFE,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x38, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x38, 0xD9, 0xF9, 0x0D, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8B, 0xFF, 0x55, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x3C, 0xFF, 0xA3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xEB, 0xED, 0x04,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0x40, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x51, 0xFF, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xF7, 0xDC,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x2B, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x66, 0xFF, 0x7A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x19, 0xFE,
    0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC9, 0xFE, 0x18, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x7B, 0xFF, 0x65, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C,
    0xFF, 0xB3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDD, 0xF7, 0x0A, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8F, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x41, 0xFF, 0x9F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xEE, 0xEA, 0x02,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xA4, 0xFF, 0x3B, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x56, 0xFF, 0x8A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0xF9, 0xD8,
    0x2C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x2C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2A,
    0xED, 0xFF, 0xED, 0x2A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x1D, 0xE3, 0xFF, 0xFF, 0xFF, 0xE3, 0x1D, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x12, 0xD6, 0xFF, 0xEC, 0x6E, 0xEC, 0xFF, 0xD6, 0x12,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xC7, 0xFF, 0xD6, 0x22, 0x00, 0x23,
    0xD6, 0xFF, 0xC6, 0x0A, 0x00, 0x00, 0x00, 0x04, 0xB5, 0xFF, 0xB8, 0x0F,
    0x00, 0x00, 0x00, 0x0F, 0xB8, 0xFF, 0xB5, 0x04, 0x00, 0x01, 0xA2, 0xFF,
    0x92, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x93, 0xFF, 0xA1, 0x01,
    0x8C, 0xFB, 0x69, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x69, 0xFB, 0x8B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x89, 0xFF, 0x83, 0x00, 0x00, 0x00, 0x9A, 0xFC, 0x3C,
    0x00, 0x00, 0x02, 0xAA, 0xDF, 0x0F, 0x00, 0x00, 0x06, 0xB9, 0xA5, 0x00,
    0x30, 0x88, 0xC8, 0xEF, 0xFB, 0xED, 0xC0, 0x65, 0x02, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFD, 0x82, 0x20, 0x0A, 0x2C, 0x98, 0xFE, 0xB8, 0x05, 0x00,
    0x00, 0x00, 0xFF, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x91, 0xFF, 0x74,
    0x00, 0x00, 0x00, 0xFF, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x28, 0xFF,
    0xCF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04,
    0xFF, 0xF5, 0x00, 0x00, 0x00, 0x22, 0x91, 0xD3, 0xF3, 0xFE, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x41, 0xF4, 0xE8, 0x64, 0x1E, 0x06, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0xD1, 0xFF, 0x43, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0xF9, 0xFF, 0x0D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x08, 0xFF, 0xFF, 0x00, 0x00, 0xD2, 0xFF, 0x4B, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x52, 0xFF, 0xFF, 0x00, 0x00, 0x46, 0xF9, 0xEE,
    0x69, 0x1D, 0x07, 0x1F, 0x71, 0xF0, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x27,
    0x9A, 0xD8, 0xF5, 0xF8, 0xDD, 0xA1, 0x34, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x03, 0x74, 0xD2,
    0xF5, 0xF1, 0xBB, 0x42, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xA7, 0x9F,
    0x25, 0x06, 0x28, 0xA9, 0xFE, 0x65, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB3,
    0x00, 0x00, 0x00, 0x00, 0x02, 0xC3, 0xF9, 0x29, 0x00, 0x00, 0xFF, 0xFF,
    0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xFF, 0x98, 0x00, 0x00, 0xFF,
    0xFF, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xDA, 0x00, 0x00,
    0xFF, 0xFF, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xF6, 0x00,
    0x00, 0xFF, 0xFF, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xF6,
    0x00, 0x00, 0xFF, 0xFF, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF,
    0xD9, 0x00, 0x00, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55,
    0xFF, 0x97, 0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x02,
    0xC3, 0xF9, 0x28, 0x00, 0x00, 0xFF, 0xFF, 0xC7, 0x94, 0x22, 0x05, 0x27,
    0xA8, 0xFE, 0x66, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x0C, 0x86, 0xD8, 0xF7,
    0xF2, 0xBC, 0x43, 0x00, 0x00, 0x00, 0x00, 0x12, 0x7F, 0xCD, 0xF2, 0xFB,
    0xE9, 0xC0, 0x82, 0x2E, 0x00, 0x34, 0xE6, 0xC9, 0x43, 0x0B, 0x0D, 0x32,
    0x9D, 0xFF, 0xFF, 0x15, 0xE8, 0xD5, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x9B, 0xFF, 0x88, 0xFF, 0x5E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2B,
    0xFF, 0xD4, 0xFF, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xF6, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF6,
    0xFF, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD6, 0xFF,
    0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0xFF, 0x53,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0xEE, 0xC1, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x42, 0xFF, 0xBE, 0x00, 0x3E, 0xEE, 0xAA, 0x29,
    0x05, 0x17, 0x60, 0xEC, 0xE7, 0x2C, 0x00, 0x00, 0x1A, 0x8D, 0xD7, 0xF6,
    0xF2, 0xD5, 0x89, 0x1B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x43, 0xBB, 0xF1, 0xF5, 0xD2, 0x73, 0x03, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x69, 0xFE, 0xA7, 0x27, 0x06, 0x25, 0xA1, 0xA7, 0xFF, 0xFF, 0x00,
    0x00, 0x2B, 0xFA, 0xC0, 0x01, 0x00, 0x00, 0x00, 0x00, 0xB6, 0xFF, 0xFF,
    0x00, 0x00, 0x99, 0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46, 0xFF,
    0xFF, 0x00, 0x00, 0xDB, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13,
    0xFF, 0xFF, 0x00, 0x00, 0xF7, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x02, 0xFF, 0xFF, 0x00, 0x00, 0xF7, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x01, 0xFF, 0xFF, 0x00, 0x00, 0xDB, 0xFF, 0x1C, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x19, 0xFF, 0xFF, 0x00, 0x00, 0x98, 0xFF, 0x53, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x41, 0xFF, 0xFF, 0x00, 0x00, 0x2A, 0xFA, 0xC0, 0x01,
    0x00, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x66, 0xFE,
    0xA6, 0x26, 0x05, 0x22, 0x97, 0xC7, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x42, 0xBB, 0xF2, 0xF7, 0xD9, 0x86, 0x0C, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0x15, 0x86, 0xD3, 0xF5, 0xF6, 0xDA, 0x98, 0x27, 0x00, 0x00, 0x00,
    0x37, 0xE9, 0xC9, 0x43, 0x0B, 0x09, 0x38, 0xB5, 0xF7, 0x54, 0x00, 0x16,
    0xEA, 0xDF, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x02, 0xC8, 0xF6, 0x22, 0x88,
    0xFF, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x49, 0xFF, 0x91, 0xD5,
    0xFF, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x17, 0xFF, 0xD4, 0xF6,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0xF6,
    0xFF, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4,
    0xFF, 0x1D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x85,
    0xFF, 0x5B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x13,
    0xE6, 0xD3, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0xFF, 0xB6, 0x00,
    0x2F, 0xE2, 0xC7, 0x43, 0x0B, 0x09, 0x28, 0x7E, 0xF8, 0xD6, 0x20, 0x00,
    0x00, 0x0F, 0x7A, 0xCB, 0xF2, 0xF9, 0xE4, 0xC0, 0x6E, 0x0C, 0x00, 0x00,
    0x00, 0x00, 0x47, 0xC4, 0xF5, 0xF4, 0xBC, 0x4B, 0x00, 0x00, 0x43, 0xFD,
    0xB7, 0x1E, 0x10, 0x98, 0xFF, 0x00, 0x00, 0xBB, 0xFF, 0x2E, 0x00, 0x00,
    0x14, 0xFF, 0x00, 0x00, 0xF0, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x88, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x43, 0xBB, 0xF1, 0xF7, 0xD8,
    0x86, 0x0D, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x69, 0xFE, 0xA7, 0x27, 0x06,
    0x23, 0x99, 0xC9, 0xFF, 0xFF, 0x00, 0x00, 0x2B, 0xFA, 0xC0, 0x01, 0x00,
    0x00, 0x00, 0x00, 0xB6, 0xFF, 0xFF, 0x00, 0x00, 0x99, 0xFF, 0x52, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x42, 0xFF, 0xFF, 0x00, 0x00, 0xDB, 0xFF, 0x1C,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x19, 0xFF, 0xFF, 0x00, 0x00, 0xF7, 0xFF,
    0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x00, 0x00, 0xF7,
    0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xFF, 0xFF, 0x00, 0x00,
    0xDB, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0xFF, 0xFF, 0x00,
    0x00, 0x98, 0xFF, 0x53, 0x00, 0x00, 0x00, 0x00, 0x00, 0x45, 0xFF, 0xFF,
    0x00, 0x00, 0x2A, 0xFA, 0xC0, 0x01, 0x00, 0x00, 0x00, 0x00, 0xB3, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x66, 0xFE, 0xA6, 0x26, 0x05, 0x24, 0x9F, 0xA7,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x42, 0xBB, 0xF2, 0xF6, 0xD3, 0x74,
    0x05, 0xFF, 0xFD, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x0F, 0xFF, 0xEC, 0x00, 0x00, 0x00, 0xFF, 0x22, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x3D, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xA6, 0xFF, 0x50, 0x00, 0x00, 0x00, 0xFF, 0xF8, 0x70,
    0x1A, 0x05, 0x27, 0x98, 0xFF, 0x91, 0x00, 0x00, 0x00, 0x00, 0x36, 0x92,
    0xD0, 0xF2, 0xFC, 0xEB, 0xB6, 0x4F, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x01, 0x67, 0xCD, 0xF5, 0xF4, 0xC7, 0x52, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x9A, 0x83, 0x1A, 0x0B, 0x40, 0xDE, 0xFF, 0x50,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xA4, 0x00, 0x00, 0x00, 0x00, 0x4F,
    0xFF, 0xC2, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x3B, 0x00, 0x00, 0x00,
    0x00, 0x17, 0xFF, 0xF1, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x16, 0x00,
    0x00, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x83,
    0xF3, 0x81, 0x00, 0x00, 0x00, 0xF3, 0xFF, 0xF3, 0x00, 0x00, 0x00, 0x86,
    0xF4, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x83, 0xF3, 0x81, 0x00, 0x00, 0x00, 0x00, 0xF3, 0xFF, 0xF3,
    0x00, 0x00, 0x00, 0x00, 0x86, 0xF4, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xFB, 0xFF,
    0x11, 0x00, 0x00, 0x17, 0xFF, 0xE2, 0xFF, 0x42, 0x00, 0x00, 0x4F, 0xFF,
    0x9F, 0xFF, 0xC5, 0x1D, 0x22, 0xD0, 0xF1, 0x23, 0x4E, 0xC2, 0xF6, 0xF2,
    0xB5, 0x2C, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x7C, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x47, 0xE9, 0x47, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x59, 0xE7, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x6D, 0xE2, 0x2A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x83, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x98, 0xEB, 0xFF, 0xE6, 0x16, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xBA, 0x0F, 0xC2, 0xFF, 0xB8,
    0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x06, 0x00, 0x1B,
    0xEC, 0xFF, 0x77, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x4B, 0xFE, 0xFB, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x8D, 0xFF, 0xDF, 0x10, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x05, 0xC9, 0xFF, 0xAD, 0x00,
    0x00, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x60, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xD8, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x60, 0xCA, 0xF5, 0xEF,
    0xC4, 0x58, 0x00, 0x01, 0x68, 0xCD, 0xF4, 0xF3, 0xC4, 0x4B, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x96, 0x86, 0x1B, 0x0B, 0x40, 0xDC, 0xFF,
    0x6D, 0x9F, 0x86, 0x1B, 0x0B, 0x41, 0xDE, 0xFE, 0x48, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xA7, 0x00, 0x00, 0x00, 0x00, 0x48, 0xFF, 0xFA, 0xA7,
    0x00, 0x00, 0x00, 0x00, 0x4B, 0xFF, 0xBE, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xFF, 0x3C, 0x00, 0x00,
    0x00, 0x00, 0x12, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x16,
    0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 0x16, 0x00, 0x00, 0x00, 0x00,
    0x01, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x01, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x67, 0xCD, 0xF5, 0xF4,
    0xC7, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x9A, 0x83, 0x1A,
    0x0C, 0x42, 0xDF, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xA4,
    0x00, 0x00, 0x00, 0x00, 0x52, 0xFF, 0xC2, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x18, 0xFF, 0xF1, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x16, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x18, 0x89, 0xD4, 0xF5, 0xF5, 0xD4, 0x89,
    0x17, 0x00, 0x00, 0x00, 0x3B, 0xEC, 0xC7, 0x41, 0x0B, 0x0B, 0x42, 0xC9,
    0xEB, 0x3B, 0x00, 0x18, 0xEC, 0xD5, 0x09, 0x00, 0x00, 0x00, 0x00, 0x0A,
    0xD8, 0xEB, 0x17, 0x8A, 0xFF, 0x5F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x61, 0xFF, 0x89, 0xD5, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x22, 0xFF, 0xD4, 0xF6, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x07, 0xFF, 0xF5, 0xF6, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x07, 0xFF, 0xF5, 0xD5, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x21, 0xFF, 0xD4, 0x8A, 0xFF, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x61, 0xFF, 0x89, 0x18, 0xEC, 0xD7, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x0A,
    0xD7, 0xEC, 0x18, 0x00, 0x3C, 0xEC, 0xC9, 0x41, 0x0A, 0x0A, 0x41, 0xC8,
    0xEC, 0x3B, 0x00, 0x00, 0x00, 0x18, 0x8A, 0xD5, 0xF6, 0xF6, 0xD5, 0x8A,
    0x18, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x0D, 0x86, 0xD8, 0xF7, 0xF1,
    0xBB, 0x42, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xCA, 0x97, 0x23, 0x06,
    0x28, 0xA9, 0xFE, 0x65, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xB2, 0x00, 0x00,
    0x00, 0x00, 0x02, 0xC3, 0xF9, 0x29, 0x00, 0x00, 0xFF, 0xFF, 0x40, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x55, 0xFF, 0x98, 0x00, 0x00, 0xFF, 0xFF, 0x17,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xDA, 0x00, 0x00, 0xFF, 0xFF,
    0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xF6, 0x00, 0x00, 0xFF,
    0xFF, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xFF, 0xF6, 0x00, 0x00,
    0xFF, 0xFF, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xFF, 0xD9, 0x00,
    0x00, 0xFF, 0xFF, 0x43, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xFF, 0x97,
    0x00, 0x00, 0xFF, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x02, 0xC3, 0xF9,
    0x28, 0x00, 0x00, 0xFF, 0xFF, 0xA7, 0x9D, 0x24, 0x05, 0x27, 0xA8, 0xFE,
    0x66, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x04, 0x74, 0xD2, 0xF6, 0xF2, 0xBC,
    0x43, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x43, 0xBB,
    0xF1, 0xF7, 0xD8, 0x86, 0x0D, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x69, 0xFE,
    0xA7, 0x27, 0x06, 0x23, 0x99, 0xC9, 0xFF, 0xFF, 0x00, 0x00, 0x2B, 0xFA,
    0xC0, 0x01, 0x00, 0x00, 0x00, 0x00, 0xB6, 0xFF, 0xFF, 0x00, 0x00, 0x99,
    0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0x42, 0xFF, 0xFF, 0x00, 0x00,
    0xDB, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x19, 0xFF, 0xFF, 0x00,
    0x00, 0xF7, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF,
    0x00, 0x00, 0xF7, 0xFF, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xFF,
    0xFF, 0x00, 0x00, 0xDB, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12,
    0xFF, 0xFF, 0x00, 0x00, 0x98, 0xFF, 0x53, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x45, 0xFF, 0xFF, 0x00, 0x00, 0x2A, 0xFA, 0xC0, 0x01, 0x00, 0x00, 0x00,
    0x00, 0xB3, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x66, 0xFE, 0xA6, 0x26, 0x05,
    0x24, 0x9F, 0xA7, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x42, 0xBB, 0xF2,
    0xF6, 0xD3, 0x74, 0x03, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x2E, 0xA6, 0xE5, 0xFD, 0xFF, 0xFF,
    0x00, 0x00, 0xFF, 0xFF, 0x45, 0xF6, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0xFF, 0xFF, 0xE6, 0x99, 0x2F, 0x0C, 0x0D, 0x64, 0xFF, 0x00, 0x00,
    0xFF, 0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x26, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x31, 0xA5, 0xDB, 0xF7, 0xF0, 0xC6, 0x7D, 0x29, 0x00, 0x53,
    0xFC, 0xAB, 0x2C, 0x08, 0x11, 0x47, 0xD4, 0xFF, 0x00, 0xD8, 0xFF, 0x11,
    0x00, 0x00, 0x00, 0x00, 0x27, 0xFF, 0x00, 0xF6, 0xFF, 0x3D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xBE, 0xFF, 0xF1, 0x83, 0x23, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x22, 0xCD, 0xFF, 0xFF, 0xFF, 0xCC, 0x75, 0x18, 0x00,
    0x00, 0x00, 0x01, 0x45, 0xA2, 0xF1, 0xFF, 0xFF, 0xFB, 0x97, 0x0B, 0x00,
    0x00, 0x00, 0x00, 0x07, 0x45, 0x98, 0xF6, 0xFF, 0xA4, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 0xF3, 0xFF, 0x28, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x19, 0xFF, 0xD1, 0xFF, 0xD7, 0x53, 0x18, 0x05, 0x10, 0x3F,
    0xC2, 0xF6, 0x42, 0x30, 0x86, 0xC4, 0xEB, 0xFB, 0xF7, 0xD9, 0x98, 0x26,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x34, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xEF, 0xFF, 0x09, 0x00, 0x0F, 0xFF, 0xE4, 0x00, 0x00, 0xAD, 0xFF, 0x5C,
    0x0A, 0x7E, 0xFF, 0x93, 0x00, 0x00, 0x18, 0xAA, 0xEC, 0xFA, 0xE0, 0x8F,
    0x0A, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00,
    0x18, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xF2, 0xFF, 0x17, 0x00, 0x00,
    0x00, 0x00, 0x3E, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xC3, 0xFF, 0x4E,
    0x00, 0x00, 0x00, 0x00, 0xA8, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x52,
    0xFF, 0xDD, 0x40, 0x0B, 0x19, 0x85, 0x9B, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x55, 0xC8, 0xF5, 0xF6, 0xCF, 0x68, 0x01, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB4, 0x00, 0x00, 0x00, 0x00, 0xFC,
    0xFF, 0xFF, 0xFF, 0x00, 0x61, 0xFF, 0xCE, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xC3, 0x54, 0x00, 0x00, 0x07, 0xEA, 0xFF, 0x3D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x32, 0xE1, 0x03, 0x00, 0x00, 0x00, 0x84, 0xFF, 0xAC,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xA0, 0x77, 0x00, 0x00, 0x00, 0x00, 0x1A,
    0xFA, 0xFC, 0x1E, 0x00, 0x00, 0x00, 0x15, 0xEE, 0x12, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xA7, 0xFF, 0x89, 0x00, 0x00, 0x00, 0x7C, 0x9A, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0xED, 0x0A, 0x00, 0x05, 0xE5, 0x2C,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCA, 0xFF, 0x66, 0x00, 0x59,
    0xBD, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5B, 0xFF, 0xD4,
    0x00, 0xC7, 0x4E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05,
    0xE7, 0xFF, 0x78, 0xDD, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x7E, 0xFF, 0xFE, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x16, 0xF8, 0xF3, 0x0F, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x20, 0x00, 0x00, 0x00, 0x78, 0xFF,
    0x64, 0x00, 0x00, 0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x6D, 0xFF,
    0xB2, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD1, 0xFF, 0xBC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x9F, 0x70, 0x00, 0x00, 0x19, 0xFD, 0xF8, 0x0F, 0x00, 0x00,
    0x00, 0x2A, 0xE8, 0xF8, 0xFC, 0x17, 0x00, 0x00, 0x00, 0x06, 0xED, 0x1B,
    0x00, 0x00, 0x00, 0xC0, 0xFF, 0x5E, 0x00, 0x00, 0x00, 0x83, 0x8E, 0xAF,
    0xFF, 0x6D, 0x00, 0x00, 0x00, 0x4C, 0xC2, 0x00, 0x00, 0x00, 0x00, 0x69,
    0xFF, 0xB4, 0x00, 0x00, 0x00, 0xDB, 0x34, 0x56, 0xFF, 0xC6, 0x00, 0x00,
    0x00, 0xA3, 0x6B, 0x00, 0x00, 0x00, 0x00, 0x16, 0xFC, 0xF9, 0x10, 0x00,
    0x35, 0xDB, 0x00, 0x09, 0xF3, 0xFF, 0x1F, 0x00, 0x07, 0xEE, 0x17, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xBC, 0xFF, 0x5F, 0x00, 0x8E, 0x82, 0x00, 0x00,
    0xA5, 0xFF, 0x77, 0x00, 0x4F, 0xBD, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x66, 0xFF, 0xB5, 0x02, 0xE5, 0x29, 0x00, 0x00, 0x4C, 0xFF, 0xD0, 0x00,
    0xA6, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0xFB, 0xFA, 0x51,
    0xCF, 0x00, 0x00, 0x00, 0x05, 0xED, 0xFF, 0x31, 0xEE, 0x14, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xB9, 0xFF, 0xE7, 0x76, 0x00, 0x00, 0x00,
    0x00, 0x9A, 0xFF, 0xCE, 0xB8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x62, 0xFF, 0xFE, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x41, 0xFF, 0xFF,
    0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0xFA, 0xC4,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xE6, 0xFA, 0x10, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x98, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x00, 0x00, 0x3C, 0xFD, 0xFC, 0x36, 0x00, 0x00, 0x00, 0x37, 0xE7,
    0x19, 0x00, 0x00, 0x00, 0x00, 0x8C, 0xFF, 0xD6, 0x08, 0x00, 0x0D, 0xDC,
    0x4E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0xD5, 0xFF, 0x8C, 0x00, 0xA1,
    0x97, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x34, 0xFB, 0xFD, 0x8C,
    0xD7, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x83, 0xFF,
    0xFF, 0x45, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38,
    0xFF, 0xFF, 0xBD, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A,
    0xD8, 0x6D, 0xE6, 0xFF, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x9A, 0xA0, 0x00, 0x3C, 0xFB, 0xFE, 0x4F, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x50, 0xDD, 0x0D, 0x00, 0x00, 0x72, 0xFF, 0xF0, 0x24, 0x00, 0x00, 0x00,
    0x19, 0xE8, 0x3A, 0x00, 0x00, 0x00, 0x00, 0xAB, 0xFF, 0xD2, 0x0A, 0x00,
    0xFF, 0xFF, 0xFF, 0xFF, 0x10, 0x00, 0xB0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD4, 0x00, 0x00, 0x00, 0x00, 0xF0,
    0xFF, 0xFF, 0xFF, 0x00, 0x48, 0xFF, 0xDE, 0x02, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xB9, 0x5A, 0x00, 0x00, 0x01, 0xDD, 0xFF, 0x49, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x25, 0xE7, 0x06, 0x00, 0x00, 0x00, 0x76, 0xFF, 0xB2,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x8F, 0x84, 0x00, 0x00, 0x00, 0x00, 0x14,
    0xF8, 0xFD, 0x1E, 0x00, 0x00, 0x00, 0x0A, 0xEC, 0x1D, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xA4, 0xFF, 0x85, 0x00, 0x00, 0x00, 0x65, 0xAE, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x3B, 0xFF, 0xE8, 0x05, 0x00, 0x00, 0xD0, 0x44,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD2, 0xFF, 0x58, 0x00, 0x3B,
    0xD8, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x69, 0xFF, 0xC1,
    0x00, 0xA6, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D,
    0xF3, 0xFF, 0x42, 0xEE, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x97, 0xFF, 0xED, 0x98, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x2E, 0xFF, 0xFF, 0x2E, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC5, 0xC3, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBD, 0x58, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2B, 0xE7,
    0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0x4A, 0x02, 0x09,
    0xB6, 0x69, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,
    0xF9, 0xDA, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0xED, 0xFF, 0x91, 0xFF, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x10, 0xD8, 0xFF, 0xB7, 0x03, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x03, 0xB9, 0xFF, 0xD6, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x93, 0xFF, 0xEC, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x68, 0xFF,
    0xFA, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0xFB, 0xFF, 0x63,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0xED, 0xFF, 0x8D, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x10, 0xD7, 0xFF, 0xB4, 0x02, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x03, 0xB9, 0xFF, 0xD3, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xFF, 0x92, 0xFF, 0xEA, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x06, 0x7B, 0xCD, 0xF0, 0xFD, 0x74, 0x00, 0x00, 0x00,
    0x00, 0x86, 0xFF, 0x97, 0x19, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0xDB,
    0xFF, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF9, 0xFF, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x08, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0xFF,
    0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x38, 0xCE, 0xF5, 0x46, 0x00,
    0x00, 0x00, 0x00, 0xD8, 0xFF, 0xFF, 0xD4, 0x2B, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x0A, 0x40, 0xD8, 0xEE, 0x37, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x44, 0xFF, 0xC2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x0E, 0xFF, 0xF1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xF3, 0xFF, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xCE, 0xFF, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x73,
    0xFF, 0xA4, 0x1D, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x6F, 0xC8,
    0xF0, 0xFD, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0x38, 0xFE, 0xF3, 0xD3, 0x84, 0x08, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x01, 0x14, 0x90, 0xFF, 0x8B, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x17, 0xFF, 0xDD, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x02, 0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xF2, 0xFF, 0x07, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xCC, 0xFF, 0x34, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x50, 0xFA, 0xC6, 0x32, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x39, 0xE4, 0xFF, 0xFF, 0xA8, 0x00, 0x00, 0x00, 0x00, 0x40, 0xF4, 0xD1,
    0x38, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC8, 0xFF, 0x3F, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xF4, 0xFF, 0x0C, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF,
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFE, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xF3, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x21, 0xFF, 0xD0, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x01, 0x17, 0x9C, 0xFF, 0x79, 0x00, 0x00, 0x00, 0x00, 0x38, 0xFE, 0xF3,
    0xCF, 0x79, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x00, 0x21,
    0x9A, 0xE4, 0xF4, 0xCA, 0x75, 0x16, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08,
    0xA9, 0x64, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0xA0, 0x40, 0x0E,
    0x15, 0x5A, 0xD9, 0xFF, 0xFF, 0xB7, 0x48, 0x10, 0x0F, 0x42, 0xA1, 0xF8,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0x5E, 0x5E, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x16, 0x76, 0xCB, 0xF5, 0xE5, 0x9B, 0x20, 0x00
    };

    /* This struct will be read by the CPU only */
    static const nema_glyph_t DejaVuSerif12pt8bGlyphs0[] = {
    {     0,   0,   8,    0,    1 },   // 0x20 ' '
    {     0,   3,  10,    3,  -17 },   // 0x21 '!'
    {    54,   7,  11,    2,  -17 },   // 0x22 '"'
    {   103,  16,  20,    2,  -16 },   // 0x23 '#'
    {   375,  11,  15,    2,  -17 },   // 0x24 '$'
    {   617,  20,  23,    2,  -17 },   // 0x25 '%'
    {   977,  19,  21,    1,  -17 },   // 0x26 '&'
    {  1319,   2,   7,    2,  -17 },   // 0x27 '''
    {  1333,   5,   9,    2,  -17 },   // 0x28 '('
    {  1443,   5,   9,    2,  -17 },   // 0x29 ')'
    {  1553,  11,  12,    0,  -17 },   // 0x2A '*'
    {  1674,  14,  20,    3,  -13 },   // 0x2B '+'
    {  1870,   4,   8,    1,   -2 },   // 0x2C ','
    {  1894,   6,   8,    1,   -6 },   // 0x2D '-'
    {  1906,   3,   7,    2,   -2 },   // 0x2E '.'
    {  1915,   8,   8,    0,  -17 },   // 0x2F '/'
    {  2075,  12,  15,    2,  -17 },   // 0x30 '0'
    {  2291,   9,  15,    2,  -17 },   // 0x31 '1'
    {  2453,  11,  15,    2,  -17 },   // 0x32 '2'
    {  2651,  12,  15,    2,  -17 },   // 0x33 '3'
    {  2867,  13,  15,    1,  -17 },   // 0x34 '4'
    {  3101,  11,  15,    2,  -17 },   // 0x35 '5'
    {  3299,  12,  15,    2,  -17 },   // 0x36 '6'
    {  3515,  12,  15,    2,  -17 },   // 0x37 '7'
    {  3731,  12,  15,    2,  -17 },   // 0x38 '8'
    {  3947,  12,  15,    2,  -17 },   // 0x39 '9'
    {  4163,   3,   8,    3,   -9 },   // 0x3A ':'
    {  4193,   5,   8,    0,   -9 },   // 0x3B ';'
    {  4258,  15,  20,    3,  -13 },   // 0x3C '<'
    {  4453,  15,  20,    3,  -10 },   // 0x3D '='
    {  4558,  15,  20,    3,  -13 },   // 0x3E '>'
    {  4753,  10,  13,    2,  -17 },   // 0x3F '?'
    {  4933,  21,  24,    2,  -16 },   // 0x40 '@'
    {  5374,  18,  17,    0,  -17 },   // 0x41 'A'
    {  5698,  15,  18,    1,  -17 },   // 0x42 'B'
    {  5968,  16,  18,    1,  -17 },   // 0x43 'C'
    {  6256,  16,  19,    1,  -17 },   // 0x44 'D'
    {  6544,  14,  18,    1,  -17 },   // 0x45 'E'
    {  6796,  14,  17,    1,  -17 },   // 0x46 'F'
    {  7048,  16,  19,    1,  -17 },   // 0x47 'G'
    {  7336,  18,  21,    1,  -17 },   // 0x48 'H'
    {  7660,   6,   9,    1,  -17 },   // 0x49 'I'
    {  7768,  10,  10,   -2,  -17 },   // 0x4A 'J'
    {  7998,  16,  18,    1,  -17 },   // 0x4B 'K'
    {  8286,  14,  16,    1,  -17 },   // 0x4C 'L'
    {  8538,  21,  25,    1,  -17 },   // 0x4D 'M'
    {  8916,  18,  21,    1,  -17 },   // 0x4E 'N'
    {  9240,  17,  20,    1,  -17 },   // 0x4F 'O'
    {  9546,  14,  16,    1,  -17 },   // 0x50 'P'
    {  9798,  17,  20,    1,  -17 },   // 0x51 'Q'
    { 10172,  18,  18,    1,  -17 },   // 0x52 'R'
    { 10496,  13,  16,    2,  -17 },   // 0x53 'S'
    { 10730,  16,  16,    0,  -17 },   // 0x54 'T'
    { 11018,  18,  20,    1,  -17 },   // 0x55 'U'
    { 11342,  18,  17,    0,  -17 },   // 0x56 'V'
    { 11666,  24,  25,    0,  -17 },   // 0x57 'W'
    { 12098,  17,  17,    0,  -17 },   // 0x58 'X'
    { 12404,  16,  16,    0,  -17 },   // 0x59 'Y'
    { 12692,  15,  17,    1,  -17 },   // 0x5A 'Z'
    { 12962,   6,   9,    2,  -17 },   // 0x5B '['
    { 13088,   8,   8,    0,  -17 },   // 0x5C '\'
    { 13248,   6,   9,    1,  -17 },   // 0x5D ']'
    { 13374,  15,  20,    3,  -17 },   // 0x5E '^'
    { 13479,  12,  12,    0,    6 },   // 0x5F '_'
    { 13491,   5,  12,    2,  -18 },   // 0x60 '`'
    { 13511,  13,  14,    1,  -11 },   // 0x61 'a'
    { 13667,  13,  15,    1,  -17 },   // 0x62 'b'
    { 13901,  11,  13,    1,  -11 },   // 0x63 'c'
    { 14033,  13,  15,    1,  -17 },   // 0x64 'd'
    { 14267,  12,  14,    1,  -11 },   // 0x65 'e'
    { 14411,   9,   9,    1,  -17 },   // 0x66 'f'
    { 14573,  13,  15,    1,  -11 },   // 0x67 'g'
    { 14794,  14,  15,    1,  -17 },   // 0x68 'h'
    { 15046,   6,   8,    1,  -17 },   // 0x69 'i'
    { 15154,   7,   7,   -2,  -17 },   // 0x6A 'j'
    { 15315,  14,  15,    1,  -17 },   // 0x6B 'k'
    { 15567,   6,   8,    1,  -17 },   // 0x6C 'l'
    { 15675,  22,  23,    1,  -11 },   // 0x6D 'm'
    { 15939,  14,  15,    1,  -11 },   // 0x6E 'n'
    { 16107,  12,  14,    1,  -11 },   // 0x6F 'o'
    { 16251,  13,  15,    1,  -11 },   // 0x70 'p'
    { 16472,  13,  15,    1,  -11 },   // 0x71 'q'
    { 16693,  11,  11,    1,  -11 },   // 0x72 'r'
    { 16825,  10,  12,    1,  -11 },   // 0x73 's'
    { 16945,   9,  10,    1,  -15 },   // 0x74 't'
    { 17089,  14,  15,    1,  -11 },   // 0x75 'u'
    { 17257,  14,  14,    0,  -11 },   // 0x76 'v'
    { 17425,  20,  21,    0,  -11 },   // 0x77 'w'
    { 17665,  13,  14,    0,  -11 },   // 0x78 'x'
    { 17821,  14,  14,    0,  -11 },   // 0x79 'y'
    { 18059,  11,  13,    1,  -11 },   // 0x7A 'z'
    { 18191,  10,  15,    3,  -17 },   // 0x7B '{'
    { 18411,   2,   8,    3,  -17 },   // 0x7C '|'
    { 18459,  10,  15,    2,  -17 },   // 0x7D '}'
    { 18679,  15,  20,    3,   -9 },   // 0x7E '~'
    { 18754,   0,   0,    0,    0 }
};

/* This struct will be read by the CPU only */
static const nema_font_range_t DejaVuSerif12pt8b_ranges[] =
{
    {0x00000020, 0x0000007e, DejaVuSerif12pt8bGlyphs0},
    {0, 0, NULL}
};

/* This struct will be read by the CPU only */
nema_font_t DejaVuSerif12pt8b =
{
    {
        .base_virt = (void *) DejaVuSerif12pt8bBitmaps,
        .base_phys = (uintptr_t) DejaVuSerif12pt8bBitmaps,
        .size      = (int) sizeof(DejaVuSerif12pt8bBitmaps)
    },
    DejaVuSerif12pt8b_ranges,
    (int)sizeof(DejaVuSerif12pt8bBitmaps),
    DejaVuSerif12pt8bBitmaps,
    0,
    8, 28, 19, 8
};
#endif // DEJAVUSERIF12PT8B_C

