//*****************************************************************************
//
//! @file arial15pt8b.c
//!
//! @brief NemaGFX example.
//!
//
//*****************************************************************************

//*****************************************************************************
//
// Copyright (c) 2020, Ambiq Micro
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// 1. Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. Neither the name of the copyright holder nor the names of its
// contributors may be used to endorse or promote products derived from this
// software without specific prior written permission.
//
// Third party software included in this distribution is subject to the
// additional license terms as defined in the /docs/licenses directory.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
// This is part of revision v2.4.2-1403-gd656d944e of the AmbiqSuite Development Package.
//
//*****************************************************************************

#ifndef ARIAL15PT8B_C
#define ARIAL15PT8B_C

#include "arial15pt8b.h"

#ifndef NEMA_GPU_MEM
#define NEMA_GPU_MEM
#endif // NEMA_GPU_MEM

/* This will be read by the GPU only */
static uint8_t NEMA_GPU_MEM arial15pt8bBitmaps[] =
{
    // 0x20 - 0x7f
    0x48, 0xFF, 0xE4, 0x48, 0xFF, 0xE4, 0x48, 0xFF, 0xE4, 0x43, 0xFF, 0xDF,
    0x32, 0xFF, 0xCF, 0x21, 0xFF, 0xBE, 0x0F, 0xFF, 0xAE, 0x01, 0xFC, 0x9D,
    0x00, 0xEC, 0x8D, 0x00, 0xDB, 0x7C, 0x00, 0xC9, 0x6C, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x34, 0xFF, 0xD0, 0x34, 0xFF, 0xD0, 0x14, 0xFF, 0xEC,
    0x00, 0xD8, 0xFF, 0x28, 0x14, 0xFF, 0xEC, 0x00, 0xD8, 0xFF, 0x28, 0x0A,
    0xFE, 0xE2, 0x00, 0xCD, 0xFF, 0x1D, 0x00, 0xDE, 0xBA, 0x00, 0xA2, 0xF1,
    0x00, 0x00, 0xAF, 0x90, 0x00, 0x73, 0xC6, 0x00, 0x00, 0x00, 0x00, 0x16,
    0xFF, 0x61, 0x00, 0x00, 0x8A, 0xED, 0x00, 0x00, 0x00, 0x00, 0x49, 0xFF,
    0x2E, 0x00, 0x00, 0xBD, 0xBA, 0x00, 0x00, 0x00, 0x00, 0x7C, 0xF7, 0x04,
    0x00, 0x00, 0xEF, 0x87, 0x00, 0x00, 0x00, 0x00, 0xAF, 0xC9, 0x00, 0x00,
    0x23, 0xFF, 0x55, 0x00, 0xCC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xE0, 0xCC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xE0, 0x00, 0x00, 0x4B, 0xFF, 0x2D, 0x00, 0x00, 0xBF, 0xB9, 0x00,
    0x00, 0x00, 0x00, 0x7F, 0xF5, 0x03, 0x00, 0x01, 0xF0, 0x85, 0x00, 0x00,
    0x00, 0x00, 0xB2, 0xC5, 0x00, 0x00, 0x26, 0xFF, 0x51, 0x00, 0x00, 0xCC,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0xCC, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE0, 0x00, 0x4E, 0xFF,
    0x29, 0x00, 0x00, 0xC2, 0xB5, 0x00, 0x00, 0x00, 0x00, 0x81, 0xF4, 0x02,
    0x00, 0x02, 0xF2, 0x82, 0x00, 0x00, 0x00, 0x00, 0xB4, 0xC3, 0x00, 0x00,
    0x28, 0xFF, 0x4F, 0x00, 0x00, 0x00, 0x00, 0xE7, 0x91, 0x00, 0x00, 0x5B,
    0xFF, 0x1D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0x04,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2E, 0xA9, 0xE6, 0xFF, 0xE0, 0x8E,
    0x0D, 0x00, 0x00, 0x00, 0x38, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xC4,
    0x03, 0x00, 0x00, 0xBF, 0xFF, 0x95, 0x21, 0xFF, 0x2D, 0xC7, 0xFF, 0x64,
    0x00, 0x00, 0xF3, 0xDD, 0x00, 0x04, 0xFF, 0x04, 0x26, 0xFF, 0xB0, 0x00,
    0x00, 0xE5, 0xEE, 0x10, 0x04, 0xFF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x8C, 0xFF, 0xDA, 0x63, 0xFF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08,
    0xA6, 0xFF, 0xFF, 0xFF, 0xB2, 0x55, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x33, 0x9F, 0xFF, 0xFF, 0xFF, 0xC9, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x04, 0xFF, 0x55, 0xCC, 0xFF, 0xA0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04,
    0xFF, 0x04, 0x06, 0xDD, 0xFD, 0x10, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF,
    0x04, 0x00, 0xAB, 0xFF, 0x2A, 0x31, 0xFF, 0xAC, 0x00, 0x04, 0xFF, 0x04,
    0x05, 0xDC, 0xFF, 0x14, 0x04, 0xE3, 0xFF, 0x83, 0x1D, 0xFF, 0x25, 0xA9,
    0xFF, 0xC3, 0x00, 0x00, 0x4F, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0,
    0x2C, 0x00, 0x00, 0x00, 0x3A, 0xAD, 0xE9, 0xFF, 0xEF, 0xAB, 0x27, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0x04, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x04, 0xFF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x6C, 0xE6, 0xF5, 0xA8, 0x10, 0x00, 0x00, 0x00, 0x00, 0x33, 0xFE, 0x39,
    0x00, 0x00, 0x00, 0x3D, 0xFF, 0x5A, 0x1A, 0xD2, 0xA5, 0x00, 0x00, 0x00,
    0x00, 0xB9, 0xB3, 0x00, 0x00, 0x00, 0x00, 0xA4, 0xD7, 0x00, 0x00, 0x68,
    0xFE, 0x14, 0x00, 0x00, 0x3D, 0xFE, 0x30, 0x00, 0x00, 0x00, 0x00, 0xCB,
    0xB8, 0x00, 0x00, 0x48, 0xFF, 0x37, 0x00, 0x00, 0xC3, 0xA9, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xCF, 0xBC, 0x00, 0x00, 0x46, 0xFF, 0x36, 0x00, 0x4A,
    0xFC, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xDB, 0x00, 0x00, 0x65,
    0xFD, 0x13, 0x01, 0xCD, 0x9F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x47,
    0xFF, 0x5C, 0x19, 0xD0, 0xA2, 0x00, 0x55, 0xFA, 0x20, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x67, 0xE5, 0xF6, 0xA7, 0x0F, 0x03, 0xD7, 0x95,
    0x00, 0x3D, 0xD4, 0xF8, 0xC7, 0x2F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x60, 0xF6, 0x1A, 0x0C, 0xED, 0x96, 0x12, 0x9D, 0xE2, 0x07, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x06, 0xDF, 0x8B, 0x00, 0x60, 0xFF, 0x19, 0x00,
    0x24, 0xFF, 0x56, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6B, 0xF2, 0x14, 0x00,
    0x87, 0xF9, 0x00, 0x00, 0x05, 0xFF, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x09,
    0xE6, 0x81, 0x00, 0x00, 0x8B, 0xFB, 0x01, 0x00, 0x02, 0xFF, 0x7A, 0x00,
    0x00, 0x00, 0x00, 0x76, 0xED, 0x0F, 0x00, 0x00, 0x64, 0xFF, 0x1C, 0x00,
    0x21, 0xFF, 0x55, 0x00, 0x00, 0x00, 0x0E, 0xED, 0x77, 0x00, 0x00, 0x00,
    0x13, 0xEF, 0x96, 0x11, 0x9C, 0xE0, 0x06, 0x00, 0x00, 0x00, 0x81, 0xE8,
    0x0A, 0x00, 0x00, 0x00, 0x00, 0x3A, 0xD1, 0xF9, 0xC7, 0x2E, 0x00, 0x00,
    0x00, 0x00, 0x0B, 0x93, 0xE9, 0xF0, 0xB7, 0x25, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xAB, 0xFF, 0xFF, 0xFF, 0xFF, 0xE5, 0x10, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x29, 0xFF, 0xDE, 0x2A, 0x15, 0xBB, 0xFF, 0x65, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0x85, 0x00, 0x00, 0x4C, 0xFF, 0x7F,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x24, 0xFF, 0xC4, 0x00, 0x00, 0x75, 0xFF,
    0x46, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA7, 0xFF, 0x79, 0x5C, 0xF8,
    0xAF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0xEE, 0xFF, 0xFF,
    0x98, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C, 0xC7, 0xFF, 0xFE,
    0xFA, 0x39, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x33, 0xF0, 0xEC, 0x54,
    0x5D, 0xFF, 0xE5, 0x17, 0x04, 0x95, 0x59, 0x00, 0x00, 0xCB, 0xFA, 0x2F,
    0x00, 0x00, 0x8F, 0xFF, 0xC1, 0x49, 0xFF, 0xA7, 0x00, 0x10, 0xFF, 0xCD,
    0x00, 0x00, 0x00, 0x03, 0xBD, 0xFF, 0xF2, 0xFF, 0x46, 0x00, 0x14, 0xFF,
    0xF3, 0x15, 0x00, 0x00, 0x00, 0x13, 0xE0, 0xFF, 0xD1, 0x00, 0x00, 0x00,
    0xC7, 0xFF, 0xC6, 0x30, 0x07, 0x27, 0x80, 0xF6, 0xFF, 0xFF, 0x6D, 0x00,
    0x00, 0x2D, 0xEE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE5, 0x5B, 0xEB, 0xFF,
    0x83, 0x00, 0x00, 0x24, 0xA4, 0xE9, 0xF9, 0xDC, 0x8A, 0x12, 0x00, 0x27,
    0xC5, 0x34, 0x20, 0xFF, 0xE0, 0x20, 0xFF, 0xE0, 0x17, 0xFF, 0xD6, 0x00,
    0xED, 0xAB, 0x00, 0xC2, 0x7E, 0x00, 0x00, 0x00, 0xA6, 0xA6, 0x00, 0x00,
    0x49, 0xF8, 0x20, 0x00, 0x06, 0xE0, 0x95, 0x00, 0x00, 0x5F, 0xFF, 0x30,
    0x00, 0x00, 0xD0, 0xDB, 0x00, 0x00, 0x2A, 0xFF, 0x88, 0x00, 0x00, 0x6B,
    0xFF, 0x50, 0x00, 0x00, 0x9D, 0xFF, 0x26, 0x00, 0x00, 0xB3, 0xFF, 0x12,
    0x00, 0x00, 0xC2, 0xFF, 0x08, 0x00, 0x00, 0xB0, 0xFF, 0x17, 0x00, 0x00,
    0x97, 0xFF, 0x2B, 0x00, 0x00, 0x6A, 0xFF, 0x56, 0x00, 0x00, 0x20, 0xFF,
    0x92, 0x00, 0x00, 0x00, 0xD1, 0xD8, 0x00, 0x00, 0x00, 0x61, 0xFF, 0x39,
    0x00, 0x00, 0x05, 0xE1, 0x9E, 0x00, 0x00, 0x00, 0x53, 0xFB, 0x25, 0x00,
    0x00, 0x00, 0xA9, 0xAA, 0x80, 0xC7, 0x02, 0x00, 0x00, 0x0B, 0xE7, 0x6E,
    0x00, 0x00, 0x00, 0x70, 0xF3, 0x19, 0x00, 0x00, 0x0E, 0xF6, 0x85, 0x00,
    0x00, 0x00, 0xA9, 0xED, 0x0A, 0x00, 0x00, 0x62, 0xFF, 0x51, 0x00, 0x00,
    0x2E, 0xFF, 0x92, 0x00, 0x00, 0x06, 0xFD, 0xC5, 0x00, 0x00, 0x00, 0xEF,
    0xDA, 0x00, 0x00, 0x00, 0xE4, 0xEB, 0x00, 0x00, 0x00, 0xF4, 0xE2, 0x00,
    0x00, 0x08, 0xFF, 0xC5, 0x00, 0x00, 0x34, 0xFF, 0x95, 0x00, 0x00, 0x6E,
    0xFF, 0x51, 0x00, 0x00, 0xB4, 0xEF, 0x08, 0x00, 0x18, 0xFB, 0x84, 0x00,
    0x00, 0x79, 0xF5, 0x14, 0x00, 0x0E, 0xEC, 0x77, 0x00, 0x00, 0x84, 0xC9,
    0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD7, 0x83, 0x00, 0x00, 0x00, 0x01,
    0x45, 0x01, 0xC5, 0x6F, 0x0E, 0x3D, 0x00, 0x38, 0xFF, 0xDA, 0xDC, 0xC3,
    0xF3, 0xE9, 0x02, 0x03, 0x30, 0x85, 0xFF, 0xEE, 0x59, 0x20, 0x00, 0x00,
    0x16, 0xDB, 0x93, 0xDA, 0xA5, 0x01, 0x00, 0x00, 0x3E, 0xC2, 0x0B, 0x39,
    0xC0, 0x16, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00, 0x00, 0xE4, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0xE4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xFC, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0xC8, 0x38, 0xFF,
    0xC8, 0x00, 0x49, 0xBB, 0x08, 0xB3, 0x86, 0x1E, 0xBD, 0x0E, 0x5C, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x08, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x08,
    0x30, 0xFF, 0xD0, 0x30, 0xFF, 0xD0, 0x00, 0x00, 0x00, 0x06, 0xF4, 0x6C,
    0x00, 0x00, 0x00, 0x42, 0xFF, 0x25, 0x00, 0x00, 0x00, 0x89, 0xDE, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0x98, 0x00, 0x00, 0x00, 0x18, 0xFE, 0x51, 0x00,
    0x00, 0x00, 0x5E, 0xFB, 0x0F, 0x00, 0x00, 0x00, 0xA5, 0xC4, 0x00, 0x00,
    0x00, 0x01, 0xEA, 0x7D, 0x00, 0x00, 0x00, 0x33, 0xFF, 0x36, 0x00, 0x00,
    0x00, 0x7A, 0xED, 0x02, 0x00, 0x00, 0x00, 0xC1, 0xA9, 0x00, 0x00, 0x00,
    0x0D, 0xFA, 0x62, 0x00, 0x00, 0x00, 0x4F, 0xFF, 0x1C, 0x00, 0x00, 0x00,
    0x96, 0xD5, 0x00, 0x00, 0x00, 0x00, 0xDD, 0x8F, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x06, 0x78, 0xD8, 0xF7, 0xDC, 0x7B, 0x04, 0x00, 0x00, 0x00,
    0x00, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA8, 0x00, 0x00, 0x00, 0x47,
    0xFF, 0xE5, 0x44, 0x0A, 0x42, 0xE5, 0xFF, 0x47, 0x00, 0x00, 0xAE, 0xFF,
    0x45, 0x00, 0x00, 0x00, 0x43, 0xFF, 0xAB, 0x00, 0x00, 0xE7, 0xEC, 0x02,
    0x00, 0x00, 0x00, 0x01, 0xEA, 0xEA, 0x00, 0x0F, 0xFF, 0xC2, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xC1, 0xFF, 0x11, 0x1E, 0xFF, 0xAC, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xAD, 0xFF, 0x20, 0x29, 0xFF, 0xA6, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xA6, 0xFF, 0x28, 0x21, 0xFF, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xAD, 0xFF, 0x1D, 0x10, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1,
    0xFF, 0x0E, 0x00, 0xE9, 0xE9, 0x00, 0x00, 0x00, 0x00, 0x01, 0xEA, 0xE7,
    0x00, 0x00, 0xAD, 0xFF, 0x42, 0x00, 0x00, 0x00, 0x43, 0xFF, 0xAE, 0x00,
    0x00, 0x4E, 0xFF, 0xE4, 0x41, 0x07, 0x41, 0xE4, 0xFF, 0x48, 0x00, 0x00,
    0x00, 0xB0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x00, 0x00, 0x00, 0x00,
    0x07, 0x82, 0xDF, 0xF8, 0xD9, 0x7A, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x14, 0xEC, 0x74, 0x00, 0x00, 0x08, 0xC0, 0xFF, 0x74, 0x00, 0x1A, 0xC6,
    0xFF, 0xFF, 0x74, 0x67, 0xEF, 0xFE, 0xBA, 0xFF, 0x74, 0xD4, 0xD9, 0x41,
    0x50, 0xFF, 0x74, 0x46, 0x05, 0x00, 0x50, 0xFF, 0x74, 0x00, 0x00, 0x00,
    0x50, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x74, 0x00, 0x00, 0x00,
    0x50, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x74, 0x00, 0x00, 0x00,
    0x50, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x74, 0x00, 0x00, 0x00,
    0x50, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x74, 0x00, 0x00, 0x00,
    0x50, 0xFF, 0x74, 0x00, 0x00, 0x22, 0xA1, 0xE5, 0xFA, 0xE8, 0xA3, 0x21,
    0x00, 0x00, 0x00, 0x28, 0xEE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xED, 0x25,
    0x00, 0x00, 0xB0, 0xFF, 0x9F, 0x26, 0x09, 0x30, 0xC1, 0xFF, 0xB2, 0x00,
    0x02, 0xF7, 0xDE, 0x01, 0x00, 0x00, 0x00, 0x10, 0xF1, 0xF8, 0x01, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCD, 0xFE, 0x04, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF4, 0xD2, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x93, 0xFF, 0x65, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x6B, 0xFF, 0xB9, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x76, 0xFF, 0xC8, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x97, 0xFF,
    0xB6, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x09, 0xB2, 0xFF, 0x92, 0x03,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0xB6, 0xFD, 0x6B, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x84, 0xFF, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x16, 0xF8, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x10, 0x4F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x10,
    0x00, 0x00, 0x13, 0x9A, 0xE8, 0xF8, 0xD3, 0x6F, 0x03, 0x00, 0x00, 0x00,
    0x08, 0xD1, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x00, 0x00, 0x00, 0x7E,
    0xFF, 0xAF, 0x26, 0x0A, 0x46, 0xE7, 0xFF, 0x3C, 0x00, 0x00, 0xD4, 0xEE,
    0x07, 0x00, 0x00, 0x00, 0x66, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x71, 0xFF, 0x66, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x0F, 0x5F, 0xF2, 0xE6, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8A, 0xFF,
    0xFF, 0xE4, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9B, 0xDA, 0xF5,
    0xFF, 0xD6, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x92,
    0xFF, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xD8,
    0xFF, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB6, 0xFF,
    0x30, 0x11, 0xFE, 0xCF, 0x00, 0x00, 0x00, 0x00, 0x14, 0xED, 0xFD, 0x13,
    0x00, 0xBC, 0xFF, 0x9E, 0x22, 0x09, 0x3A, 0xCB, 0xFF, 0xAF, 0x00, 0x00,
    0x28, 0xEC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDB, 0x18, 0x00, 0x00, 0x00,
    0x20, 0xA2, 0xE9, 0xFA, 0xDF, 0x8D, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x8C, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x36, 0xFC, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06,
    0xD3, 0xFF, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0xFD,
    0xC2, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2E, 0xFA, 0x91, 0x88,
    0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x03, 0xCC, 0xDF, 0x0B, 0x88, 0xFF,
    0x38, 0x00, 0x00, 0x00, 0x00, 0x77, 0xFF, 0x44, 0x00, 0x88, 0xFF, 0x38,
    0x00, 0x00, 0x00, 0x26, 0xF7, 0x9C, 0x00, 0x00, 0x88, 0xFF, 0x38, 0x00,
    0x00, 0x01, 0xC3, 0xE5, 0x10, 0x00, 0x00, 0x88, 0xFF, 0x38, 0x00, 0x00,
    0x6C, 0xFF, 0x4F, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x38, 0x00, 0x00, 0xC0,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0xC0, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x88, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x88, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x88, 0xFF, 0x38, 0x00, 0x00, 0x00, 0x00, 0x8F, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xA8, 0x00, 0x00, 0x00, 0xBB, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xA8, 0x00, 0x00, 0x00, 0xE8, 0xD7, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x14, 0xFF, 0xA8, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x41, 0xFF, 0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x6D, 0xFF, 0x70, 0xAF, 0xF4, 0xEE, 0xAC, 0x27, 0x00, 0x00,
    0x00, 0x9A, 0xFF, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x30, 0x00, 0x00,
    0xC6, 0xFB, 0x7C, 0x1D, 0x09, 0x34, 0xBD, 0xFF, 0xD0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xE0, 0xFF, 0x2B, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x9E, 0xFF, 0x4C, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xA7, 0xFF, 0x43, 0x15, 0xFF, 0xDB, 0x02, 0x00,
    0x00, 0x00, 0x13, 0xEB, 0xFB, 0x13, 0x00, 0xC4, 0xFF, 0xA8, 0x26, 0x0A,
    0x3A, 0xCB, 0xFF, 0xA1, 0x00, 0x00, 0x2F, 0xF1, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xD6, 0x13, 0x00, 0x00, 0x00, 0x24, 0xA4, 0xE9, 0xFA, 0xE0, 0x8C,
    0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5A, 0xC9, 0xF5, 0xF0, 0xAC, 0x22,
    0x00, 0x00, 0x00, 0x00, 0x84, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE3, 0x10,
    0x00, 0x00, 0x35, 0xFE, 0xED, 0x54, 0x0A, 0x23, 0xB0, 0xFF, 0x8A, 0x00,
    0x00, 0xA1, 0xFE, 0x3D, 0x00, 0x00, 0x00, 0x0A, 0xF1, 0xD2, 0x00, 0x00,
    0xEA, 0xC6, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0xFF,
    0x95, 0x2D, 0xB3, 0xF1, 0xF1, 0xAB, 0x22, 0x00, 0x00, 0x30, 0xFF, 0xB7,
    0xF5, 0xFF, 0xFF, 0xFF, 0xFF, 0xEA, 0x21, 0x00, 0x3B, 0xFF, 0xFF, 0xD9,
    0x43, 0x0C, 0x2C, 0xBA, 0xFF, 0xB2, 0x00, 0x39, 0xFF, 0xFC, 0x27, 0x00,
    0x00, 0x00, 0x0C, 0xE6, 0xFC, 0x0D, 0x2A, 0xFF, 0xD8, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xAA, 0xFF, 0x2C, 0x07, 0xFC, 0xDE, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xAF, 0xFF, 0x22, 0x00, 0xC7, 0xFF, 0x3B, 0x00, 0x00, 0x00, 0x10,
    0xEB, 0xF0, 0x05, 0x00, 0x5F, 0xFF, 0xE4, 0x4B, 0x0A, 0x2D, 0xC1, 0xFF,
    0x96, 0x00, 0x00, 0x01, 0xAC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDC, 0x12,
    0x00, 0x00, 0x00, 0x03, 0x6F, 0xD4, 0xF8, 0xE5, 0x98, 0x15, 0x00, 0x00,
    0x0C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x38, 0x0C,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x2B, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x6A, 0xFF, 0x8E, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x2B, 0xF7, 0xCD, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xC0, 0xFE, 0x39, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x52, 0xFF, 0xA2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD1,
    0xFD, 0x25, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0xFF, 0xAA,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAD, 0xFF, 0x3B, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xF5, 0xE3, 0x01, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8C, 0xFF, 0x49, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xC1, 0xFF, 0x12, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xE8, 0xEA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x03, 0xFD, 0xCE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B,
    0x8C, 0xE2, 0xFA, 0xE1, 0x8D, 0x0B, 0x00, 0x00, 0x00, 0x04, 0xC4, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xC6, 0x05, 0x00, 0x00, 0x5A, 0xFF, 0xDB, 0x3C,
    0x0A, 0x3A, 0xD9, 0xFF, 0x60, 0x00, 0x00, 0x92, 0xFF, 0x4C, 0x00, 0x00,
    0x00, 0x45, 0xFF, 0x9D, 0x00, 0x00, 0x86, 0xFF, 0x4F, 0x00, 0x00, 0x00,
    0x40, 0xFF, 0x93, 0x00, 0x00, 0x32, 0xFC, 0xDA, 0x3A, 0x09, 0x34, 0xD3,
    0xFE, 0x3B, 0x00, 0x00, 0x00, 0x50, 0xE5, 0xFF, 0xFF, 0xFF, 0xEB, 0x5A,
    0x00, 0x00, 0x00, 0x06, 0x95, 0xF7, 0xFF, 0xFF, 0xFF, 0xF9, 0x93, 0x05,
    0x00, 0x00, 0x9A, 0xFF, 0xB8, 0x2F, 0x0A, 0x2D, 0xB1, 0xFF, 0x9B, 0x00,
    0x0B, 0xFB, 0xDE, 0x08, 0x00, 0x00, 0x00, 0x04, 0xD3, 0xFC, 0x14, 0x28,
    0xFF, 0xAA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x99, 0xFF, 0x37, 0x15, 0xFF,
    0xDF, 0x06, 0x00, 0x00, 0x00, 0x02, 0xCE, 0xFF, 0x25, 0x00, 0xC0, 0xFF,
    0xB5, 0x2E, 0x07, 0x28, 0xA8, 0xFF, 0xD2, 0x00, 0x00, 0x27, 0xEB, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0x34, 0x00, 0x00, 0x00, 0x1E, 0x9C, 0xE5,
    0xFB, 0xE8, 0xA4, 0x25, 0x00, 0x00, 0x00, 0x00, 0x13, 0x95, 0xE6, 0xF5,
    0xCF, 0x67, 0x01, 0x00, 0x00, 0x00, 0x13, 0xDA, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xA5, 0x01, 0x00, 0x00, 0x9B, 0xFF, 0xDA, 0x43, 0x0D, 0x3A, 0xD3,
    0xFF, 0x5C, 0x00, 0x04, 0xF3, 0xF7, 0x25, 0x00, 0x00, 0x00, 0x21, 0xF8,
    0xCF, 0x00, 0x22, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCB, 0xFE,
    0x0D, 0x24, 0xFF, 0xB4, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC7, 0xFF, 0x2C,
    0x08, 0xF9, 0xED, 0x12, 0x00, 0x00, 0x00, 0x1A, 0xF5, 0xFF, 0x3B, 0x00,
    0xAC, 0xFF, 0xC6, 0x35, 0x0B, 0x36, 0xCA, 0xFF, 0xFF, 0x3C, 0x00, 0x1F,
    0xE9, 0xFF, 0xFF, 0xFF, 0xFF, 0xF5, 0xB7, 0xFF, 0x32, 0x00, 0x00, 0x21,
    0xAA, 0xF1, 0xF1, 0xB3, 0x2C, 0x95, 0xFF, 0x1B, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xCB, 0xF0, 0x00, 0x00, 0xC8, 0xED, 0x06, 0x00,
    0x00, 0x00, 0x35, 0xFF, 0xAA, 0x00, 0x00, 0x81, 0xFF, 0xA1, 0x1A, 0x09,
    0x4F, 0xEB, 0xFF, 0x32, 0x00, 0x00, 0x0D, 0xE0, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x7B, 0x00, 0x00, 0x00, 0x00, 0x21, 0xAC, 0xF1, 0xF1, 0xC4, 0x50,
    0x00, 0x00, 0x00, 0x30, 0xFF, 0xD0, 0x30, 0xFF, 0xD0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xFF, 0xD0, 0x30, 0xFF, 0xD0,
    0x38, 0xFF, 0xC8, 0x38, 0xFF, 0xC8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x38, 0xFF, 0xC8, 0x38, 0xFF, 0xC8, 0x00, 0x49, 0xBB,
    0x08, 0xB3, 0x86, 0x1E, 0xBD, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x21, 0x8B, 0x81, 0x00, 0x00, 0x00, 0x00, 0x01, 0x47, 0xB3, 0xFD,
    0xFF, 0x94, 0x00, 0x00, 0x0F, 0x6F, 0xDA, 0xFF, 0xF8, 0xB1, 0x5C, 0x0E,
    0x2B, 0x97, 0xF4, 0xF8, 0xB1, 0x5B, 0x0D, 0x00, 0x00, 0x00, 0xE8, 0xFF,
    0xB5, 0x1B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2C, 0x98, 0xF4, 0xF7,
    0xB0, 0x5A, 0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x70, 0xDA, 0xFF,
    0xF8, 0xB0, 0x5B, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x01, 0x48, 0xB4, 0xFD,
    0xFF, 0x94, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22, 0x8C, 0x82,
    0xE4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0xE4, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xE4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x90, 0xE4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x90,
    0xBB, 0x68, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE8, 0xFF,
    0xF0, 0x90, 0x25, 0x00, 0x00, 0x00, 0x00, 0x00, 0x23, 0x78, 0xCD, 0xFF,
    0xFE, 0xB8, 0x4C, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22, 0x77, 0xCC,
    0xFF, 0xDD, 0x74, 0x11, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x44, 0xE0,
    0xFF, 0x94, 0x00, 0x00, 0x00, 0x22, 0x76, 0xCB, 0xFF, 0xDE, 0x75, 0x12,
    0x22, 0x77, 0xCC, 0xFF, 0xFE, 0xB9, 0x4D, 0x02, 0x00, 0x00, 0xE8, 0xFF,
    0xF0, 0x91, 0x25, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBC, 0x69, 0x0B, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x22, 0xA2, 0xE6, 0xFB,
    0xE9, 0xAA, 0x2F, 0x00, 0x00, 0x00, 0x1C, 0xEB, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xF9, 0x43, 0x00, 0x00, 0xAD, 0xFF, 0xAC, 0x2A, 0x08, 0x2A, 0xAC,
    0xFF, 0xDC, 0x00, 0x07, 0xF4, 0xE1, 0x03, 0x00, 0x00, 0x00, 0x03, 0xD8,
    0xFF, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCF, 0xF9,
    0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0xFF, 0x98, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92, 0xFF, 0xC5, 0x0A, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x7A, 0xFF, 0xC3, 0x0D, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x14, 0xF8, 0xDA, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x51, 0xFF, 0x72, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x65, 0xFF, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x80,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x80, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x25, 0x83, 0xC3, 0xEB,
    0xFA, 0xF5, 0xD6, 0x9C, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x09, 0x96, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xB2, 0x13, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xCC, 0xFF, 0xF3, 0x94,
    0x44, 0x16, 0x05, 0x17, 0x37, 0x86, 0xE4, 0xFF, 0xE2, 0x18, 0x00, 0x00,
    0x00, 0x01, 0xBB, 0xFF, 0xBC, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x0C, 0x95, 0xFF, 0xBC, 0x02, 0x00, 0x00, 0x67, 0xFF, 0xA1, 0x02,
    0x00, 0x24, 0xA8, 0xED, 0xE6, 0x7C, 0x02, 0xEE, 0xCC, 0x00, 0x96, 0xFF,
    0x55, 0x00, 0x03, 0xE4, 0xD4, 0x0A, 0x00, 0x37, 0xEE, 0xFF, 0xFF, 0xFF,
    0xFF, 0xA8, 0xFF, 0x97, 0x00, 0x08, 0xEA, 0xBA, 0x00, 0x43, 0xFF, 0x48,
    0x00, 0x0C, 0xE1, 0xFF, 0x88, 0x14, 0x19, 0xA3, 0xFF, 0xFF, 0x62, 0x00,
    0x00, 0x8E, 0xF2, 0x00, 0x95, 0xE5, 0x01, 0x00, 0x7B, 0xFF, 0x92, 0x00,
    0x00, 0x00, 0x07, 0xEA, 0xFF, 0x2D, 0x00, 0x00, 0x66, 0xFF, 0x10, 0xC1,
    0xAA, 0x00, 0x00, 0xDB, 0xF7, 0x12, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xF4,
    0x03, 0x00, 0x00, 0x6D, 0xFF, 0x0C, 0xDC, 0x8E, 0x00, 0x12, 0xFF, 0xBB,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xDC, 0xC2, 0x00, 0x00, 0x00, 0xA4, 0xE6,
    0x00, 0xE2, 0x8F, 0x00, 0x29, 0xFF, 0xA3, 0x00, 0x00, 0x00, 0x00, 0x2E,
    0xFF, 0x8D, 0x00, 0x00, 0x1B, 0xF6, 0x9A, 0x00, 0xC9, 0xAF, 0x00, 0x12,
    0xFF, 0xCF, 0x00, 0x00, 0x00, 0x04, 0xBE, 0xFF, 0x59, 0x00, 0x07, 0xBB,
    0xFB, 0x26, 0x00, 0x9D, 0xED, 0x05, 0x00, 0xCA, 0xFF, 0x81, 0x0E, 0x2D,
    0xBB, 0xFF, 0xFF, 0x58, 0x2F, 0xC3, 0xFF, 0x75, 0x00, 0x00, 0x4D, 0xFF,
    0x66, 0x00, 0x46, 0xFE, 0xFF, 0xFF, 0xFF, 0xF1, 0xC9, 0xFF, 0xFF, 0xFF,
    0xFF, 0x8F, 0x00, 0x00, 0x00, 0x06, 0xDC, 0xF5, 0x38, 0x00, 0x52, 0xD5,
    0xF6, 0xB9, 0x2A, 0x34, 0xDB, 0xF5, 0xC6, 0x52, 0x01, 0xA5, 0xFF, 0x49,
    0x00, 0x48, 0xFD, 0xEE, 0x65, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x1B, 0xB3, 0xFF, 0x9F, 0x00, 0x00, 0x00, 0x66, 0xFC, 0xFF,
    0xD7, 0x85, 0x3F, 0x1F, 0x09, 0x0D, 0x25, 0x4C, 0xA0, 0xF3, 0xFF, 0xAC,
    0x05, 0x00, 0x00, 0x00, 0x00, 0x3A, 0xD3, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xF1, 0x75, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x3F, 0x8F, 0xC6, 0xE7, 0xF8, 0xF5, 0xE0, 0xB8, 0x6F, 0x13,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB7, 0xFF,
    0xB5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x18, 0xFC, 0xFF, 0xFC, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x73, 0xFF, 0xB7, 0xFF, 0x7D, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD1, 0xFB, 0x29, 0xFD, 0xDF, 0x01,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2E, 0xFF, 0xC3, 0x00,
    0xBF, 0xFF, 0x45, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8D,
    0xFF, 0x6C, 0x00, 0x62, 0xFF, 0xA9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x03, 0xE7, 0xF9, 0x12, 0x00, 0x0C, 0xF4, 0xF9, 0x14, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x48, 0xFF, 0xAC, 0x00, 0x00, 0x00, 0x9F, 0xFF,
    0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA6, 0xFF, 0x4C, 0x00, 0x00,
    0x00, 0x3D, 0xFF, 0xD5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xF6, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x39, 0x00, 0x00, 0x00, 0x00,
    0x62, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9D, 0x00,
    0x00, 0x00, 0x00, 0xC0, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F,
    0xFF, 0xF4, 0x0D, 0x00, 0x00, 0x1F, 0xFE, 0xEF, 0x08, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD3, 0xFF, 0x65, 0x00, 0x00, 0x7C, 0xFF, 0x92, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x69, 0xFF, 0xC9, 0x00, 0x00, 0xD8,
    0xFF, 0x2E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xF1, 0xFF,
    0x2D, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF2, 0xD1, 0x7A, 0x07, 0x00,
    0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xB6, 0x01,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x03, 0x0F, 0x43, 0xE1, 0xFF, 0x4A,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x62, 0xFF, 0x87,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0x7A,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x01, 0x0D, 0x44, 0xDF, 0xF8, 0x23,
    0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x51, 0x00,
    0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF4, 0x8A, 0x04,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x0B, 0x33, 0xB2, 0xFF, 0x9A,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xE5, 0xFD,
    0x18, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB8, 0xFF,
    0x3E, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0xE2, 0xFF,
    0x2D, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x03, 0x2C, 0xB0, 0xFF, 0xDE,
    0x01, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x49,
    0x00, 0x88, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF9, 0xE1, 0xA6, 0x35, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x33, 0x9B, 0xD8, 0xF6, 0xF1, 0xC1, 0x5C, 0x01,
    0x00, 0x00, 0x00, 0x02, 0x85, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xA6, 0x01, 0x00, 0x00, 0x80, 0xFF, 0xF4, 0x81, 0x28, 0x09, 0x1A, 0x66,
    0xEC, 0xFF, 0x83, 0x00, 0x29, 0xFB, 0xF8, 0x39, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x31, 0xFA, 0xF3, 0x0F, 0x86, 0xFF, 0x8F, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x87, 0xA1, 0x26, 0xCD, 0xFF, 0x37, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xEA, 0xFF, 0x07, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF9, 0xF9, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE6, 0xFF, 0x0A,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xFF,
    0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x25, 0x4A, 0x0F, 0x7C,
    0xFF, 0x8E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9A, 0xFF, 0x7E,
    0x22, 0xF9, 0xF9, 0x37, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3A, 0xF8, 0xFC,
    0x23, 0x00, 0x88, 0xFF, 0xF6, 0x7E, 0x26, 0x08, 0x23, 0x76, 0xF0, 0xFF,
    0x93, 0x00, 0x00, 0x03, 0x9E, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xB0, 0x07, 0x00, 0x00, 0x00, 0x00, 0x47, 0xAF, 0xDC, 0xF7, 0xF1, 0xBF,
    0x5B, 0x01, 0x00, 0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xF5, 0xDB,
    0x9A, 0x28, 0x00, 0x00, 0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xF7, 0x4E, 0x00, 0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x02,
    0x0E, 0x36, 0xAE, 0xFF, 0xF5, 0x25, 0x00, 0x74, 0xFF, 0x70, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xA6, 0xFF, 0xA1, 0x00, 0x74, 0xFF, 0x70, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x14, 0xF9, 0xF4, 0x05, 0x74, 0xFF, 0x70,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC2, 0xFF, 0x35, 0x74, 0xFF,
    0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9F, 0xFF, 0x4E, 0x74,
    0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x5B,
    0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA6, 0xFF,
    0x4F, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xCE,
    0xFF, 0x2D, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1D,
    0xFC, 0xEF, 0x03, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xA3, 0xFF, 0x98, 0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x01, 0x0E, 0x3B,
    0xAA, 0xFF, 0xF3, 0x1F, 0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xF7, 0x4C, 0x00, 0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xF5, 0xD7, 0x94, 0x24, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF0, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x64, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x64, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x7C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x44, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x44, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x4C, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0x4C, 0x5C, 0xFF, 0x88, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x5C, 0xFF, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x5C, 0xFF, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00,
    0x5C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x40, 0x00, 0x5C,
    0xFF, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF,
    0x88, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x88,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x88, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x88, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x88, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x88, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0x80, 0xCD, 0xEB, 0xF8,
    0xE1, 0xA3, 0x3A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5D, 0xF6, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x86, 0x00, 0x00, 0x00, 0x50, 0xFF, 0xFF,
    0xA6, 0x40, 0x0F, 0x07, 0x27, 0x7D, 0xF5, 0xFF, 0x54, 0x00, 0x0D, 0xE8,
    0xFF, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x43, 0xFE, 0xCD, 0x00,
    0x5E, 0xFF, 0xBB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x90,
    0x7E, 0x03, 0xAF, 0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xD3, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE9, 0xFF, 0x0A, 0x00, 0x00, 0x00,
    0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x50, 0xD6, 0xFF, 0x1C, 0x00,
    0x00, 0x00, 0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x50, 0xB5, 0xFF,
    0x4B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8C, 0xFF, 0x50,
    0x66, 0xFF, 0xAF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8C,
    0xFF, 0x50, 0x10, 0xEB, 0xFF, 0x6B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x03, 0xAD, 0xFF, 0x50, 0x00, 0x4D, 0xFF, 0xFF, 0xAF, 0x48, 0x15, 0x07,
    0x23, 0x69, 0xD5, 0xFF, 0xFC, 0x3B, 0x00, 0x00, 0x51, 0xEF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD9, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x16,
    0x74, 0xC5, 0xE7, 0xF9, 0xE4, 0xAE, 0x59, 0x03, 0x00, 0x00, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD4, 0x64, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x64, 0xFF,
    0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x24, 0xFF,
    0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF,
    0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF,
    0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF,
    0xC4, 0x24, 0xFF, 0xC4, 0x24, 0xFF, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x74, 0xFF,
    0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x74, 0xFF, 0x74, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x74, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x74, 0xFF,
    0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x74, 0xFF, 0x74, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x74, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x74, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x74, 0xFF,
    0x74, 0x50, 0xE0, 0x50, 0x00, 0x00, 0x00, 0x7B, 0xFF, 0x6B, 0x59, 0xFF,
    0x7F, 0x00, 0x00, 0x00, 0x9B, 0xFF, 0x58, 0x22, 0xFF, 0xEA, 0x3F, 0x09,
    0x4C, 0xF4, 0xFF, 0x20, 0x00, 0xA9, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA4,
    0x00, 0x00, 0x08, 0x8C, 0xE4, 0xF9, 0xDC, 0x7F, 0x05, 0x00, 0x88, 0xFF,
    0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0xE2, 0xFF, 0x8E, 0x00, 0x88,
    0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xDE, 0xFF, 0x9A, 0x00, 0x00,
    0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x18, 0xD9, 0xFF, 0xA6, 0x02, 0x00,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x14, 0xD4, 0xFF, 0xB1, 0x04, 0x00,
    0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00, 0x11, 0xCF, 0xFF, 0xBC, 0x07, 0x00,
    0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x0E, 0xC9, 0xFF, 0xC5, 0x0B, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x67, 0xC3, 0xFF, 0xFF, 0x3E, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0xF0, 0xFF, 0xEA, 0xFF, 0xD6,
    0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0xFF, 0xCE, 0x13, 0xBA,
    0xFF, 0x99, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0xCC, 0x11, 0x00,
    0x1A, 0xEE, 0xFF, 0x52, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00,
    0x00, 0x00, 0x56, 0xFF, 0xEE, 0x1D, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C,
    0x00, 0x00, 0x00, 0x00, 0xA4, 0xFF, 0xC1, 0x02, 0x00, 0x00, 0x88, 0xFF,
    0x5C, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xE2, 0xFF, 0x7D, 0x00, 0x00, 0x88,
    0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0xFE, 0xFC, 0x3A, 0x00,
    0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8D, 0xFF, 0xDF,
    0x0F, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88,
    0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88,
    0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x88, 0xFF, 0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x68, 0x88, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x68, 0x84, 0xFF, 0xFF, 0x82, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x95, 0xFF, 0xFF, 0x24, 0x84, 0xFF,
    0xFF, 0xD7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE8, 0xFF, 0xFF,
    0x24, 0x84, 0xFF, 0xD8, 0xFF, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x45,
    0xFF, 0xD6, 0xFF, 0x24, 0x84, 0xFF, 0x86, 0xFF, 0x82, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x9D, 0xD8, 0xAC, 0xFF, 0x24, 0x84, 0xFF, 0x51, 0xE3, 0xD7,
    0x00, 0x00, 0x00, 0x00, 0x05, 0xEE, 0x86, 0xAC, 0xFF, 0x24, 0x84, 0xFF,
    0x50, 0x93, 0xFF, 0x2C, 0x00, 0x00, 0x00, 0x4D, 0xFF, 0x34, 0xAC, 0xFF,
    0x24, 0x84, 0xFF, 0x50, 0x41, 0xFF, 0x82, 0x00, 0x00, 0x00, 0xA5, 0xE1,
    0x00, 0xAC, 0xFF, 0x24, 0x84, 0xFF, 0x50, 0x03, 0xEC, 0xD7, 0x00, 0x00,
    0x09, 0xF3, 0x90, 0x00, 0xAC, 0xFF, 0x24, 0x84, 0xFF, 0x50, 0x00, 0x9E,
    0xFF, 0x2C, 0x00, 0x55, 0xFF, 0x3D, 0x00, 0xAC, 0xFF, 0x24, 0x84, 0xFF,
    0x50, 0x00, 0x4D, 0xFF, 0x82, 0x00, 0xAC, 0xE8, 0x02, 0x00, 0xAC, 0xFF,
    0x24, 0x84, 0xFF, 0x50, 0x00, 0x07, 0xF3, 0xD7, 0x0C, 0xF6, 0x99, 0x00,
    0x00, 0xAC, 0xFF, 0x24, 0x84, 0xFF, 0x50, 0x00, 0x00, 0xAA, 0xFF, 0x83,
    0xFF, 0x47, 0x00, 0x00, 0xAC, 0xFF, 0x24, 0x84, 0xFF, 0x50, 0x00, 0x00,
    0x58, 0xFF, 0xFA, 0xEF, 0x05, 0x00, 0x00, 0xAC, 0xFF, 0x24, 0x84, 0xFF,
    0x50, 0x00, 0x00, 0x0D, 0xF8, 0xFF, 0xA3, 0x00, 0x00, 0x00, 0xAC, 0xFF,
    0x24, 0x84, 0xFF, 0x50, 0x00, 0x00, 0x00, 0xB5, 0xFF, 0x51, 0x00, 0x00,
    0x00, 0xAC, 0xFF, 0x24, 0x78, 0xFF, 0xC5, 0x01, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0xFF, 0x67, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0xFF, 0xEF, 0x17, 0x00, 0x00, 0x00,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0xA9, 0xFF, 0xA6, 0x00, 0x00, 0x00,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0xB1, 0xFF, 0x46, 0x00, 0x00,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x1D, 0xF3, 0xDC, 0x09, 0x00,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x72, 0xFF, 0x85, 0x00,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x03, 0xCE, 0xFA, 0x2A,
    0x00, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x00, 0x35, 0xFD, 0xC3,
    0x01, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x93, 0xFF,
    0x65, 0x04, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x0E, 0xE4,
    0xEE, 0x1A, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x53,
    0xFF, 0xA8, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xB3, 0xFF, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x1F, 0xF4, 0xFF, 0xCC, 0x78, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x2E, 0x9C, 0xDD, 0xF7,
    0xE9, 0xC5, 0x6A, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7E, 0xFD,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0x2C, 0x00, 0x00, 0x00, 0x00,
    0x76, 0xFF, 0xFB, 0x8F, 0x2F, 0x07, 0x16, 0x51, 0xCB, 0xFF, 0xEF, 0x1C,
    0x00, 0x00, 0x20, 0xFB, 0xFA, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06,
    0xAC, 0xFF, 0xB2, 0x00, 0x00, 0x89, 0xFF, 0x8B, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x10, 0xEC, 0xFE, 0x1D, 0x00, 0xCC, 0xFF, 0x30, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x98, 0xFF, 0x6B, 0x00, 0xF3,
    0xFD, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x65, 0xFF,
    0x8C, 0x02, 0xFF, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x51, 0xFF, 0xA1, 0x00, 0xF2, 0xFA, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x5F, 0xFF, 0x8D, 0x00, 0xCF, 0xFF, 0x2A, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x6E, 0x00, 0x80,
    0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xEA, 0xFE,
    0x20, 0x00, 0x1F, 0xF5, 0xFC, 0x49, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03,
    0xA6, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x6B, 0xFF, 0xFB, 0x8D, 0x2C, 0x07,
    0x0F, 0x4A, 0xC5, 0xFF, 0xF1, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xFC,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDF, 0x32, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x26, 0x94, 0xD5, 0xF4, 0xEB, 0xC5, 0x6C, 0x0D, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0xED, 0xC0, 0x59, 0x00,
    0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7B,
    0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x03, 0x14, 0x79, 0xFE, 0xFA,
    0x18, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB1, 0xFF,
    0x5D, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x86, 0xFF,
    0x71, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xBB, 0xFF,
    0x56, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x04, 0x22, 0x8B, 0xFF, 0xF4,
    0x11, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x66,
    0x00, 0x74, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFA, 0xE6, 0xB1, 0x45, 0x00,
    0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x74, 0xFF, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x36, 0x9F, 0xD9, 0xF6, 0xE6, 0xC0, 0x62,
    0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x8B, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xD6, 0x27, 0x00, 0x00, 0x00, 0x00, 0x8A, 0xFF, 0xF5,
    0x81, 0x28, 0x07, 0x1A, 0x5C, 0xD7, 0xFF, 0xE9, 0x15, 0x00, 0x00, 0x32,
    0xFC, 0xF3, 0x33, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xC0, 0xFF, 0xA4,
    0x00, 0x00, 0x98, 0xFF, 0x71, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x1E, 0xF9, 0xF9, 0x12, 0x00, 0xE7, 0xFE, 0x12, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xB3, 0xFF, 0x58, 0x09, 0xFF, 0xE1, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xFF, 0x75, 0x1D, 0xFF,
    0xD4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xFF,
    0x85, 0x09, 0xFF, 0xE2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x7D, 0xFF, 0x72, 0x00, 0xE9, 0xFE, 0x14, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xB0, 0xFF, 0x41, 0x00, 0x9A, 0xFF, 0x75, 0x00,
    0x00, 0x00, 0x00, 0x54, 0x10, 0x00, 0x1B, 0xF7, 0xE9, 0x06, 0x00, 0x33,
    0xFD, 0xF4, 0x35, 0x00, 0x00, 0x17, 0xFD, 0xF4, 0x70, 0xBE, 0xFF, 0x6E,
    0x00, 0x00, 0x00, 0x87, 0xFF, 0xF5, 0x80, 0x26, 0x06, 0x30, 0xD5, 0xFF,
    0xFF, 0xB3, 0x01, 0x00, 0x00, 0x00, 0x02, 0x86, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xEE, 0x49, 0x00, 0x00, 0x00, 0x00, 0x00, 0x33,
    0x9F, 0xD9, 0xF7, 0xEB, 0xC9, 0x7C, 0x76, 0xF3, 0xFF, 0x88, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1A, 0x88,
    0x5E, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF6, 0xE3, 0xAB, 0x32,
    0x00, 0x00, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xF7, 0x33, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00,
    0x0D, 0x38, 0xBF, 0xFF, 0xB7, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x11, 0xFD, 0xF3, 0x00, 0x00, 0x6C, 0xFF, 0x78,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0xFD, 0xED, 0x00, 0x00, 0x6C,
    0xFF, 0x78, 0x00, 0x00, 0x00, 0x01, 0x0C, 0x3B, 0xC4, 0xFF, 0xB0, 0x00,
    0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xEF,
    0x25, 0x00, 0x00, 0x6C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE5,
    0x9B, 0x21, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x13, 0x92,
    0xFF, 0xA7, 0x09, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00,
    0x00, 0x00, 0x98, 0xFF, 0xA6, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x78,
    0x00, 0x00, 0x00, 0x00, 0x0A, 0xDC, 0xFF, 0x72, 0x00, 0x00, 0x00, 0x6C,
    0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x47, 0xFF, 0xF8, 0x23, 0x00,
    0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAD, 0xFF,
    0xB4, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x1E, 0xF6, 0xFF, 0x4C, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x7C, 0xFF, 0xDC, 0x07, 0x00, 0x00, 0x00, 0x49, 0xB0,
    0xE8, 0xFA, 0xEA, 0xBB, 0x62, 0x03, 0x00, 0x00, 0x00, 0x00, 0x86, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0x08, 0x00, 0x00, 0x31, 0xFF,
    0xF3, 0x68, 0x1C, 0x06, 0x16, 0x50, 0xD9, 0xFF, 0x76, 0x00, 0x00, 0x7A,
    0xFF, 0x6D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x26, 0xFF, 0xC5, 0x00, 0x00,
    0x7B, 0xFF, 0x5F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x2F, 0xFE, 0xE7, 0x5B, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x6C, 0xFB, 0xFF, 0xFA, 0xC7, 0x8B, 0x4A, 0x08, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x2B, 0x93, 0xDD, 0xFF, 0xFF, 0xFF, 0xF0,
    0x74, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1C, 0x5A, 0xA1,
    0xF7, 0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x22, 0xE8, 0xFB, 0x18, 0x07, 0xFD, 0xCD, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x94, 0xFF, 0x41, 0x00, 0xD0, 0xFF, 0x40, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xBD, 0xFF, 0x2B, 0x00, 0x5C, 0xFF, 0xF4, 0x7E,
    0x2A, 0x08, 0x0A, 0x34, 0xA6, 0xFF, 0xCD, 0x00, 0x00, 0x00, 0x8C, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6, 0x26, 0x00, 0x00, 0x00, 0x00,
    0x41, 0xA5, 0xDF, 0xF6, 0xF4, 0xD2, 0x82, 0x10, 0x00, 0x00, 0x88, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0x88, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD0, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xD0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xD4, 0x6A, 0xFF,
    0x7A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x12, 0xFF, 0xD2, 0x5C, 0xFF,
    0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 0xC4, 0x47, 0xFF,
    0xAA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46, 0xFF, 0xB0, 0x11, 0xFD,
    0xF1, 0x16, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA1, 0xFF, 0x79, 0x00, 0xB2,
    0xFF, 0xD5, 0x4A, 0x0F, 0x06, 0x29, 0x8F, 0xFF, 0xF7, 0x1F, 0x00, 0x1F,
    0xDD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFB, 0x5E, 0x00, 0x00, 0x00,
    0x11, 0x7F, 0xCF, 0xEE, 0xF7, 0xDD, 0xA2, 0x32, 0x00, 0x00, 0xB9, 0xFF,
    0x4E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xE9, 0xF4, 0x0B,
    0x5A, 0xFF, 0xA5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0xFF,
    0xA0, 0x00, 0x09, 0xF2, 0xF2, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xA2, 0xFF, 0x40, 0x00, 0x00, 0x9D, 0xFF, 0x52, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x09, 0xF2, 0xDF, 0x01, 0x00, 0x00, 0x3E, 0xFF, 0xA8, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x56, 0xFF, 0x81, 0x00, 0x00, 0x00, 0x01, 0xDE, 0xF4,
    0x0A, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xFE, 0x22, 0x00, 0x00, 0x00, 0x00,
    0x81, 0xFF, 0x55, 0x00, 0x00, 0x00, 0x10, 0xF9, 0xC1, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x23, 0xFF, 0xAB, 0x00, 0x00, 0x00, 0x64, 0xFF, 0x61, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xC4, 0xF6, 0x0B, 0x00, 0x00, 0xBE, 0xF5,
    0x0D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x65, 0xFF, 0x58, 0x00, 0x1A,
    0xFD, 0xA2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xF7, 0xAF,
    0x00, 0x72, 0xFF, 0x42, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xA8, 0xF6, 0x0A, 0xC6, 0xE1, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x49, 0xFF, 0x65, 0xFD, 0x83, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x03, 0xE6, 0xEC, 0xFF, 0x24, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8B, 0xFF, 0xC3, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xA0, 0xFF, 0x4B, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xCA, 0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x5E, 0xFF, 0x86, 0x5F,
    0xFF, 0x82, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFC, 0xFE, 0xF9, 0x09, 0x00,
    0x00, 0x00, 0x00, 0x98, 0xFF, 0x43, 0x1E, 0xFF, 0xB9, 0x00, 0x00, 0x00,
    0x00, 0x51, 0xFF, 0xC7, 0xFF, 0x45, 0x00, 0x00, 0x00, 0x00, 0xD2, 0xF7,
    0x08, 0x00, 0xDD, 0xEF, 0x01, 0x00, 0x00, 0x00, 0x95, 0xFF, 0x61, 0xFF,
    0x87, 0x00, 0x00, 0x00, 0x0E, 0xFD, 0xBD, 0x00, 0x00, 0x9D, 0xFF, 0x28,
    0x00, 0x00, 0x00, 0xD8, 0xE3, 0x07, 0xF5, 0xC9, 0x00, 0x00, 0x00, 0x47,
    0xFF, 0x7A, 0x00, 0x00, 0x5C, 0xFF, 0x5F, 0x00, 0x00, 0x1C, 0xFF, 0x9C,
    0x00, 0xB7, 0xFC, 0x0E, 0x00, 0x00, 0x81, 0xFF, 0x37, 0x00, 0x00, 0x1B,
    0xFF, 0x96, 0x00, 0x00, 0x60, 0xFF, 0x55, 0x00, 0x70, 0xFF, 0x4D, 0x00,
    0x00, 0xBB, 0xF1, 0x03, 0x00, 0x00, 0x00, 0xDA, 0xCE, 0x00, 0x00, 0xA3,
    0xFD, 0x11, 0x00, 0x2A, 0xFF, 0x8F, 0x00, 0x03, 0xF2, 0xB1, 0x00, 0x00,
    0x00, 0x00, 0x99, 0xFB, 0x09, 0x00, 0xE5, 0xC8, 0x00, 0x00, 0x00, 0xE2,
    0xD1, 0x00, 0x30, 0xFF, 0x6E, 0x00, 0x00, 0x00, 0x00, 0x59, 0xFF, 0x3C,
    0x2A, 0xFF, 0x81, 0x00, 0x00, 0x00, 0x9C, 0xFE, 0x14, 0x6A, 0xFF, 0x2B,
    0x00, 0x00, 0x00, 0x00, 0x18, 0xFF, 0x73, 0x6D, 0xFF, 0x3A, 0x00, 0x00,
    0x00, 0x56, 0xFF, 0x52, 0xA7, 0xE8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xD7, 0xAA, 0xAE, 0xEF, 0x03, 0x00, 0x00, 0x00, 0x12, 0xFD, 0x86, 0xE3,
    0xA5, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x96, 0xE2, 0xEC, 0xAC, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xC9, 0xD4, 0xFF, 0x62, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x55, 0xFF, 0xFF, 0x65, 0x00, 0x00, 0x00, 0x00, 0x00, 0x82,
    0xFF, 0xFF, 0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x15, 0xFE, 0xFF,
    0x1F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3B, 0xFF, 0xDD, 0x00, 0x00, 0x00,
    0x00, 0x0C, 0xDE, 0xFF, 0x4F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92,
    0xFF, 0x7A, 0x00, 0x00, 0x3F, 0xFE, 0xE1, 0x0B, 0x00, 0x00, 0x00, 0x00,
    0x3D, 0xFE, 0xC4, 0x03, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x8C, 0x00, 0x00,
    0x00, 0x0A, 0xDB, 0xF3, 0x22, 0x00, 0x00, 0x00, 0x00, 0x09, 0xD9, 0xFB,
    0x2E, 0x00, 0x00, 0x91, 0xFF, 0x62, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x39, 0xFD, 0xCD, 0x06, 0x44, 0xFD, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x89, 0xFF, 0xB0, 0xEE, 0xE8, 0x15, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xD5, 0xFF, 0xFF, 0x4B, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9C, 0xFF, 0xF9, 0x26,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x4A, 0xFF, 0xF5,
    0xFF, 0xC7, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x16, 0xE8,
    0xFF, 0x43, 0xE0, 0xFF, 0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xB4, 0xFF, 0x92, 0x00, 0x43, 0xFE, 0xF9, 0x2E, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x6C, 0xFF, 0xD3, 0x08, 0x00, 0x00, 0x90, 0xFF, 0xD0, 0x05, 0x00,
    0x00, 0x00, 0x2A, 0xF6, 0xF7, 0x2D, 0x00, 0x00, 0x00, 0x08, 0xD5, 0xFF,
    0x84, 0x00, 0x00, 0x06, 0xD0, 0xFF, 0x6D, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x31, 0xFA, 0xFC, 0x36, 0x00, 0x8D, 0xFF, 0xB6, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x79, 0xFF, 0xD7, 0x08, 0x9F, 0xFF, 0xA6, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0xFF, 0xD4, 0x06, 0x12, 0xE9, 0xFF,
    0x3C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0xDE, 0xFC, 0x35, 0x00, 0x00,
    0x58, 0xFF, 0xCE, 0x02, 0x00, 0x00, 0x00, 0x00, 0x7D, 0xFF, 0x88, 0x00,
    0x00, 0x00, 0x00, 0xB4, 0xFF, 0x66, 0x00, 0x00, 0x00, 0x1E, 0xF5, 0xD7,
    0x07, 0x00, 0x00, 0x00, 0x00, 0x1D, 0xF3, 0xEB, 0x11, 0x00, 0x00, 0xAC,
    0xFD, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6D, 0xFF, 0xA6, 0x00,
    0x59, 0xFF, 0x8B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xC8,
    0xFF, 0x96, 0xF4, 0xD9, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x2C, 0xFA, 0xFF, 0xFD, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x8D, 0xFF, 0x9A, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF,
    0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x6C, 0xFF, 0x78, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xC4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x7C, 0x00, 0xC4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x7C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xF7, 0xF0,
    0x25, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0D, 0xDA, 0xFE, 0x4D,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xAE, 0xFF, 0x81, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0xFF, 0xB5, 0x02, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0xFE, 0xDC, 0x10, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x2F, 0xF4, 0xF5, 0x2D, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x15, 0xE0, 0xFF, 0x58, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x05, 0xC2, 0xFF, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x99, 0xFF, 0xBF, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x6B, 0xFF, 0xE2, 0x15, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x40, 0xFB, 0xEA, 0x2D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x98, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xB8, 0x98, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xB8, 0xA4, 0xFF, 0xFF, 0xFF, 0x3C, 0xA4, 0xFF, 0xFF, 0xFF, 0x3C, 0xA4,
    0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C,
    0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00,
    0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF,
    0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00,
    0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4,
    0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C, 0x00, 0x00, 0xA4, 0xFF, 0x1C,
    0x00, 0x00, 0xA4, 0xFF, 0xFF, 0xFF, 0x3C, 0xA4, 0xFF, 0xFF, 0xFF, 0x3C,
    0xDD, 0x8E, 0x00, 0x00, 0x00, 0x00, 0x96, 0xD5, 0x00, 0x00, 0x00, 0x00,
    0x4F, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0x0D, 0xFA, 0x62, 0x00, 0x00, 0x00,
    0x00, 0xC1, 0xA9, 0x00, 0x00, 0x00, 0x00, 0x7A, 0xED, 0x02, 0x00, 0x00,
    0x00, 0x33, 0xFF, 0x36, 0x00, 0x00, 0x00, 0x01, 0xEA, 0x7D, 0x00, 0x00,
    0x00, 0x00, 0xA5, 0xC4, 0x00, 0x00, 0x00, 0x00, 0x5E, 0xFB, 0x0F, 0x00,
    0x00, 0x00, 0x18, 0xFE, 0x51, 0x00, 0x00, 0x00, 0x00, 0xD0, 0x98, 0x00,
    0x00, 0x00, 0x00, 0x89, 0xDE, 0x00, 0x00, 0x00, 0x00, 0x42, 0xFF, 0x25,
    0x00, 0x00, 0x00, 0x06, 0xF4, 0x6C, 0xA0, 0xFF, 0xFF, 0xFF, 0x44, 0xA0,
    0xFF, 0xFF, 0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0x00, 0x00, 0x80,
    0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44,
    0x00, 0x00, 0x80, 0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0x00, 0x00,
    0x80, 0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF,
    0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0x00,
    0x00, 0x80, 0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0x00, 0x00, 0x80,
    0xFF, 0x44, 0x00, 0x00, 0x80, 0xFF, 0x44, 0xA0, 0xFF, 0xFF, 0xFF, 0x44,
    0xA0, 0xFF, 0xFF, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x40, 0xFF, 0x9A, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xAE, 0xFF, 0xF6, 0x13, 0x00, 0x00, 0x00,
    0x00, 0x1E, 0xFC, 0x9B, 0xFE, 0x78, 0x00, 0x00, 0x00, 0x00, 0x8A, 0xFB,
    0x19, 0xB9, 0xE3, 0x04, 0x00, 0x00, 0x09, 0xED, 0xB1, 0x00, 0x52, 0xFF,
    0x56, 0x00, 0x00, 0x66, 0xFF, 0x4D, 0x00, 0x04, 0xE6, 0xC5, 0x00, 0x00,
    0xD2, 0xE5, 0x03, 0x00, 0x00, 0x83, 0xFF, 0x34, 0x41, 0xFF, 0x85, 0x00,
    0x00, 0x00, 0x1E, 0xFD, 0xA4, 0x4C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x58, 0x4C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x58, 0x02, 0xBD, 0xFF, 0x70, 0x00,
    0x00, 0x18, 0xE8, 0xDE, 0x03, 0x00, 0x00, 0x43, 0xFD, 0x53, 0x00, 0x00,
    0x3A, 0xAC, 0xE6, 0xFA, 0xF2, 0xC5, 0x57, 0x00, 0x00, 0x00, 0x4B, 0xFC,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x42, 0x00, 0x00, 0xCD, 0xF5, 0x52,
    0x0F, 0x05, 0x21, 0x9A, 0xFF, 0xA2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x16, 0xFF, 0xB5, 0x00, 0x00, 0x00, 0x00, 0x28, 0x55, 0x78,
    0xA3, 0xDF, 0xFF, 0xB8, 0x00, 0x00, 0x29, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xB8, 0x00, 0x04, 0xDE, 0xFF, 0xCE, 0x90, 0x6D, 0x4A, 0x2D,
    0xFF, 0xB8, 0x00, 0x39, 0xFF, 0xBB, 0x01, 0x00, 0x00, 0x00, 0x59, 0xFF,
    0xBC, 0x00, 0x2D, 0xFF, 0xE1, 0x35, 0x06, 0x1C, 0x7B, 0xF7, 0xFF, 0xC5,
    0x00, 0x03, 0xCB, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE7, 0x00,
    0x00, 0x18, 0xA0, 0xE4, 0xF7, 0xDC, 0xAD, 0x49, 0xBD, 0xFF, 0x27, 0xB0,
    0xFF, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xFF, 0x10,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xB0, 0xFF, 0x16, 0x93, 0xF0, 0xEE, 0xAA, 0x25, 0x00,
    0x00, 0xB0, 0xFF, 0xB0, 0xFF, 0xFF, 0xFF, 0xFF, 0xEC, 0x24, 0x00, 0xB0,
    0xFF, 0xF2, 0x60, 0x10, 0x2A, 0xB9, 0xFF, 0xB0, 0x00, 0xB0, 0xFF, 0x65,
    0x00, 0x00, 0x00, 0x0C, 0xE7, 0xFC, 0x0F, 0xB0, 0xFF, 0x0D, 0x00, 0x00,
    0x00, 0x00, 0xA1, 0xFF, 0x3B, 0xB0, 0xF2, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x89, 0xFF, 0x46, 0xB0, 0xFE, 0x06, 0x00, 0x00, 0x00, 0x00, 0xA4, 0xFF,
    0x34, 0xB0, 0xFF, 0x50, 0x00, 0x00, 0x00, 0x10, 0xEB, 0xF9, 0x09, 0xB0,
    0xFE, 0xE8, 0x4A, 0x09, 0x2F, 0xC1, 0xFF, 0xA0, 0x00, 0xB0, 0xF0, 0xAC,
    0xFF, 0xFF, 0xFF, 0xFF, 0xDD, 0x15, 0x00, 0xB0, 0xF0, 0x0B, 0xA0, 0xF3,
    0xEB, 0x9C, 0x16, 0x00, 0x00, 0x00, 0x00, 0x11, 0x8C, 0xDD, 0xF8, 0xDF,
    0x7F, 0x04, 0x00, 0x00, 0x14, 0xDC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x99,
    0x00, 0x00, 0x9A, 0xFF, 0xCA, 0x39, 0x0B, 0x38, 0xDC, 0xFF, 0x34, 0x04,
    0xEF, 0xF2, 0x18, 0x00, 0x00, 0x00, 0x43, 0xFF, 0x82, 0x22, 0xFF, 0xB9,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x33, 0xFF, 0xA0, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x27, 0xFF, 0xB8, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x04, 0xF5, 0xF1, 0x14, 0x00, 0x00, 0x00, 0x19, 0xFC,
    0xA8, 0x00, 0x9E, 0xFF, 0xC3, 0x33, 0x09, 0x2F, 0xC3, 0xFF, 0x55, 0x00,
    0x16, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0x00, 0x00, 0x00, 0x16,
    0x95, 0xE4, 0xFB, 0xE0, 0x83, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x10, 0xFF, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x10, 0xFF, 0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF,
    0xAC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xAC, 0x00,
    0x00, 0x25, 0xA8, 0xEB, 0xEE, 0x92, 0x16, 0xFF, 0xAC, 0x00, 0x26, 0xEB,
    0xFF, 0xFF, 0xFF, 0xFF, 0xB1, 0xFF, 0xAC, 0x00, 0xB1, 0xFF, 0xB0, 0x26,
    0x10, 0x5D, 0xF0, 0xFF, 0xAC, 0x0E, 0xFB, 0xE1, 0x07, 0x00, 0x00, 0x00,
    0x5C, 0xFF, 0xAC, 0x39, 0xFF, 0x9B, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFD,
    0xAC, 0x4A, 0xFF, 0x84, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF1, 0xAC, 0x39,
    0xFF, 0x9E, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFF, 0xAC, 0x0D, 0xF9, 0xE7,
    0x0D, 0x00, 0x00, 0x00, 0x59, 0xFF, 0xAC, 0x00, 0xA6, 0xFF, 0xBD, 0x2D,
    0x0E, 0x53, 0xEB, 0xFE, 0xAC, 0x00, 0x19, 0xE1, 0xFF, 0xFF, 0xFF, 0xFF,
    0xA9, 0xF4, 0xAC, 0x00, 0x00, 0x1A, 0x9D, 0xE8, 0xF1, 0xA0, 0x0A, 0xF4,
    0xAC, 0x00, 0x00, 0x0F, 0x8A, 0xDE, 0xF9, 0xE4, 0x95, 0x15, 0x00, 0x00,
    0x00, 0x10, 0xD5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0x17, 0x00, 0x00,
    0x99, 0xFF, 0xA5, 0x2B, 0x08, 0x22, 0x90, 0xFF, 0xA6, 0x00, 0x06, 0xF5,
    0xD0, 0x01, 0x00, 0x00, 0x00, 0x00, 0xBA, 0xFB, 0x0C, 0x2F, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x37, 0x3F, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x48, 0x33, 0xFF, 0xA8, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0A, 0xFA, 0xEC, 0x15, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA5, 0xFF, 0xCC, 0x3E, 0x0A, 0x11,
    0x56, 0xEA, 0xEF, 0x0E, 0x00, 0x17, 0xDE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFD, 0x5F, 0x00, 0x00, 0x00, 0x14, 0x8F, 0xDF, 0xFA, 0xE7, 0xB5, 0x41,
    0x00, 0x00, 0x00, 0x00, 0x51, 0xD6, 0xF8, 0xE1, 0x27, 0x00, 0x14, 0xF7,
    0xFF, 0xFF, 0xFF, 0x11, 0x00, 0x3D, 0xFF, 0xB6, 0x0E, 0x0A, 0x00, 0x00,
    0x44, 0xFF, 0x7D, 0x00, 0x00, 0x00, 0xD0, 0xFF, 0xFF, 0xFF, 0xFF, 0x84,
    0x00, 0xD0, 0xFF, 0xFF, 0xFF, 0xFF, 0x84, 0x00, 0x00, 0x44, 0xFF, 0x7C,
    0x00, 0x00, 0x00, 0x00, 0x44, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x44,
    0xFF, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x44, 0xFF, 0x7C, 0x00, 0x00, 0x00,
    0x00, 0x44, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x44, 0xFF, 0x7C, 0x00,
    0x00, 0x00, 0x00, 0x44, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x44, 0xFF,
    0x7C, 0x00, 0x00, 0x00, 0x00, 0x44, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x22, 0xA5, 0xE8, 0xF1, 0xA4, 0x10, 0xD4, 0xC8, 0x00, 0x22, 0xE8,
    0xFF, 0xFF, 0xFF, 0xFF, 0xC8, 0xD9, 0xC8, 0x00, 0xB1, 0xFF, 0xB6, 0x29,
    0x10, 0x5A, 0xEE, 0xFF, 0xC8, 0x12, 0xFC, 0xE0, 0x08, 0x00, 0x00, 0x00,
    0x59, 0xFF, 0xC8, 0x43, 0xFF, 0x94, 0x00, 0x00, 0x00, 0x00, 0x04, 0xFB,
    0xC8, 0x57, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE5, 0xC8, 0x49,
    0xFF, 0x96, 0x00, 0x00, 0x00, 0x00, 0x03, 0xFB, 0xC8, 0x18, 0xFE, 0xE0,
    0x07, 0x00, 0x00, 0x00, 0x51, 0xFF, 0xC8, 0x00, 0xB5, 0xFF, 0xB0, 0x28,
    0x0E, 0x51, 0xE9, 0xFF, 0xC8, 0x00, 0x25, 0xEE, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0xC5, 0x00, 0x00, 0x28, 0xB0, 0xF0, 0xF0, 0xC3, 0x4D, 0xFF,
    0xBB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x21, 0xFF, 0x9E, 0x00,
    0xF4, 0xEA, 0x41, 0x0A, 0x08, 0x34, 0xC4, 0xFF, 0x5D, 0x00, 0x99, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBD, 0x02, 0x00, 0x04, 0x6B, 0xCB, 0xEF,
    0xF5, 0xD3, 0x79, 0x06, 0x00, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0,
    0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xFF, 0x14, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xFF, 0x17, 0x7F, 0xE4, 0xF5, 0xC7,
    0x47, 0x00, 0xB0, 0xFF, 0xAE, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x35, 0xB0,
    0xFF, 0xF0, 0x5C, 0x0C, 0x1F, 0xB6, 0xFF, 0x95, 0xB0, 0xFF, 0x66, 0x00,
    0x00, 0x00, 0x24, 0xFF, 0xB7, 0xB0, 0xFF, 0x24, 0x00, 0x00, 0x00, 0x02,
    0xFD, 0xC3, 0xB0, 0xFF, 0x15, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xC4, 0xB0,
    0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xC4, 0xB0, 0xFF, 0x14, 0x00,
    0x00, 0x00, 0x00, 0xFC, 0xC4, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00,
    0xFC, 0xC4, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xC4, 0xB0,
    0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xC4, 0xAC, 0xFF, 0x18, 0xAC,
    0xFF, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAC, 0xFF, 0x18, 0xAC,
    0xFF, 0x18, 0xAC, 0xFF, 0x18, 0xAC, 0xFF, 0x18, 0xAC, 0xFF, 0x18, 0xAC,
    0xFF, 0x18, 0xAC, 0xFF, 0x18, 0xAC, 0xFF, 0x18, 0xAC, 0xFF, 0x18, 0xAC,
    0xFF, 0x18, 0xAC, 0xFF, 0x18, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00,
    0xB0, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00,
    0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00, 0xB0,
    0xFF, 0x10, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00, 0xB0, 0xFF, 0x10,
    0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00,
    0xB0, 0xFF, 0x10, 0x00, 0x00, 0xB0, 0xFF, 0x10, 0x00, 0x00, 0xB6, 0xFF,
    0x0D, 0x0C, 0x14, 0xE3, 0xFA, 0x02, 0xB4, 0xFF, 0xFF, 0xC4, 0x00, 0xBA,
    0xF4, 0xC4, 0x24, 0x00, 0xAC, 0xFF, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xAC, 0xFF, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAC, 0xFF,
    0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAC, 0xFF, 0x18, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xAC, 0xFF, 0x18, 0x00, 0x00, 0x44, 0xF7, 0xE4,
    0x23, 0xAC, 0xFF, 0x18, 0x00, 0x3F, 0xF5, 0xE8, 0x27, 0x00, 0xAC, 0xFF,
    0x18, 0x39, 0xF3, 0xEB, 0x2B, 0x00, 0x00, 0xAC, 0xFF, 0x4C, 0xF0, 0xEE,
    0x30, 0x00, 0x00, 0x00, 0xAC, 0xFF, 0xF6, 0xFF, 0xD1, 0x04, 0x00, 0x00,
    0x00, 0xAC, 0xFF, 0xF6, 0xBD, 0xFF, 0x74, 0x00, 0x00, 0x00, 0xAC, 0xFF,
    0x4B, 0x12, 0xEB, 0xF5, 0x20, 0x00, 0x00, 0xAC, 0xFF, 0x18, 0x00, 0x63,
    0xFF, 0xB7, 0x00, 0x00, 0xAC, 0xFF, 0x18, 0x00, 0x01, 0xC5, 0xFF, 0x58,
    0x00, 0xAC, 0xFF, 0x18, 0x00, 0x00, 0x2E, 0xFC, 0xE8, 0x11, 0xAC, 0xFF,
    0x18, 0x00, 0x00, 0x00, 0x8E, 0xFF, 0x9B, 0xB8, 0xFF, 0x08, 0xB8, 0xFF,
    0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF,
    0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF,
    0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF, 0x08, 0xB8, 0xFF,
    0x08, 0xB8, 0xFF, 0x08, 0xB0, 0xE4, 0x07, 0x8E, 0xEA, 0xEE, 0x9D, 0x0A,
    0x00, 0x73, 0xE2, 0xF0, 0xBA, 0x29, 0x00, 0xB0, 0xE4, 0xA9, 0xFF, 0xFF,
    0xFF, 0xFF, 0x9A, 0x7D, 0xFF, 0xFF, 0xFF, 0xFF, 0xDC, 0x06, 0xB0, 0xFD,
    0xED, 0x4D, 0x0A, 0x3A, 0xF0, 0xF8, 0xF1, 0x5F, 0x0E, 0x29, 0xDA, 0xFF,
    0x3A, 0xB0, 0xFF, 0x69, 0x00, 0x00, 0x00, 0x9E, 0xFF, 0x87, 0x00, 0x00,
    0x00, 0x75, 0xFF, 0x59, 0xB0, 0xFF, 0x28, 0x00, 0x00, 0x00, 0x85, 0xFF,
    0x4D, 0x00, 0x00, 0x00, 0x61, 0xFF, 0x60, 0xB0, 0xFF, 0x17, 0x00, 0x00,
    0x00, 0x84, 0xFF, 0x3C, 0x00, 0x00, 0x00, 0x60, 0xFF, 0x60, 0xB0, 0xFF,
    0x14, 0x00, 0x00, 0x00, 0x84, 0xFF, 0x3C, 0x00, 0x00, 0x00, 0x60, 0xFF,
    0x60, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x84, 0xFF, 0x3C, 0x00, 0x00,
    0x00, 0x60, 0xFF, 0x60, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x84, 0xFF,
    0x3C, 0x00, 0x00, 0x00, 0x60, 0xFF, 0x60, 0xB0, 0xFF, 0x14, 0x00, 0x00,
    0x00, 0x84, 0xFF, 0x3C, 0x00, 0x00, 0x00, 0x60, 0xFF, 0x60, 0xB0, 0xFF,
    0x14, 0x00, 0x00, 0x00, 0x84, 0xFF, 0x3C, 0x00, 0x00, 0x00, 0x60, 0xFF,
    0x60, 0xB0, 0xE8, 0x27, 0xAD, 0xEE, 0xF7, 0xC6, 0x49, 0x00, 0xB0, 0xF5,
    0xED, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0x32, 0xB0, 0xFF, 0xED, 0x5A, 0x0F,
    0x1F, 0xB5, 0xFF, 0x96, 0xB0, 0xFF, 0x63, 0x00, 0x00, 0x00, 0x25, 0xFF,
    0xB9, 0xB0, 0xFF, 0x24, 0x00, 0x00, 0x00, 0x08, 0xFF, 0xBF, 0xB0, 0xFF,
    0x14, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xC0, 0xB0, 0xFF, 0x14, 0x00, 0x00,
    0x00, 0x04, 0xFF, 0xC0, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x04, 0xFF,
    0xC0, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xC0, 0xB0, 0xFF,
    0x14, 0x00, 0x00, 0x00, 0x04, 0xFF, 0xC0, 0xB0, 0xFF, 0x14, 0x00, 0x00,
    0x00, 0x04, 0xFF, 0xC0, 0x00, 0x00, 0x16, 0x94, 0xE2, 0xFA, 0xE4, 0x98,
    0x19, 0x00, 0x00, 0x00, 0x1E, 0xE4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE6,
    0x22, 0x00, 0x00, 0xB3, 0xFF, 0xC3, 0x35, 0x0C, 0x32, 0xBE, 0xFF, 0xBD,
    0x00, 0x13, 0xFE, 0xE7, 0x0D, 0x00, 0x00, 0x00, 0x0A, 0xE0, 0xFF, 0x20,
    0x41, 0xFF, 0x9B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x4F, 0x4F,
    0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x75, 0xFF, 0x59, 0x42, 0xFF,
    0x9B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92, 0xFF, 0x46, 0x14, 0xFE, 0xE7,
    0x0D, 0x00, 0x00, 0x00, 0x0A, 0xE2, 0xFF, 0x1D, 0x00, 0xB4, 0xFF, 0xC2,
    0x35, 0x0B, 0x31, 0xBD, 0xFF, 0xBF, 0x00, 0x00, 0x1F, 0xE5, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xE7, 0x24, 0x00, 0x00, 0x00, 0x19, 0x97, 0xE3, 0xF9,
    0xE0, 0x93, 0x18, 0x00, 0x00, 0xB0, 0xEC, 0x08, 0x98, 0xEF, 0xEB, 0xAA,
    0x26, 0x00, 0x00, 0xB0, 0xEC, 0xA5, 0xFF, 0xFF, 0xFF, 0xFF, 0xEC, 0x27,
    0x00, 0xB0, 0xFD, 0xF5, 0x67, 0x11, 0x29, 0xB7, 0xFF, 0xB4, 0x00, 0xB0,
    0xFF, 0x6E, 0x00, 0x00, 0x00, 0x0A, 0xE3, 0xFC, 0x12, 0xB0, 0xFF, 0x0E,
    0x00, 0x00, 0x00, 0x00, 0x99, 0xFF, 0x3E, 0xB0, 0xF0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x80, 0xFF, 0x4D, 0xB0, 0xFE, 0x08, 0x00, 0x00, 0x00, 0x00,
    0x9C, 0xFF, 0x39, 0xB0, 0xFF, 0x56, 0x00, 0x00, 0x00, 0x0C, 0xE6, 0xF7,
    0x0B, 0xB0, 0xFF, 0xEA, 0x53, 0x0E, 0x2C, 0xBA, 0xFF, 0xA0, 0x00, 0xB0,
    0xFF, 0xC3, 0xFF, 0xFF, 0xFF, 0xFF, 0xDE, 0x18, 0x00, 0xB0, 0xFF, 0x1F,
    0x9E, 0xF2, 0xE5, 0x96, 0x16, 0x00, 0x00, 0xB0, 0xFF, 0x14, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xB0, 0xFF, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x23, 0xA7, 0xEB, 0xEF, 0x96, 0x08, 0xE4, 0xB0, 0x00, 0x25, 0xEC,
    0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xE4, 0xB0, 0x00, 0xB3, 0xFF, 0xB9, 0x2A,
    0x11, 0x63, 0xF4, 0xFC, 0xB0, 0x0F, 0xFB, 0xE8, 0x0C, 0x00, 0x00, 0x00,
    0x6C, 0xFF, 0xB0, 0x38, 0xFF, 0xA4, 0x00, 0x00, 0x00, 0x00, 0x0C, 0xFF,
    0xB0, 0x47, 0xFF, 0x8C, 0x00, 0x00, 0x00, 0x00, 0x00, 0xED, 0xB0, 0x36,
    0xFF, 0xA6, 0x00, 0x00, 0x00, 0x00, 0x05, 0xFC, 0xB0, 0x09, 0xF8, 0xEC,
    0x10, 0x00, 0x00, 0x00, 0x51, 0xFF, 0xB0, 0x00, 0x9D, 0xFF, 0xC2, 0x30,
    0x0D, 0x4F, 0xE8, 0xFF, 0xB0, 0x00, 0x13, 0xD9, 0xFF, 0xFF, 0xFF, 0xFF,
    0xC1, 0xFF, 0xB0, 0x00, 0x00, 0x13, 0x97, 0xE9, 0xF2, 0x9E, 0x1B, 0xFF,
    0xB0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xB0, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xB0, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xB0, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x10, 0xFF, 0xB0, 0xB4, 0xE0, 0x2B, 0xD7, 0xF3, 0xA1, 0xB4,
    0xE3, 0xD4, 0xFF, 0xFF, 0x88, 0xB4, 0xFF, 0xD2, 0x22, 0x04, 0x03, 0xB4,
    0xFF, 0x55, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x22, 0x00, 0x00, 0x00, 0xB4,
    0xFF, 0x11, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x10, 0x00, 0x00, 0x00, 0xB4,
    0xFF, 0x10, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x10, 0x00, 0x00, 0x00, 0xB4,
    0xFF, 0x10, 0x00, 0x00, 0x00, 0xB4, 0xFF, 0x10, 0x00, 0x00, 0x00, 0x00,
    0x01, 0x76, 0xD1, 0xF5, 0xEF, 0xBD, 0x49, 0x00, 0x00, 0x00, 0x85, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0x4A, 0x00, 0x06, 0xF8, 0xD9, 0x2F, 0x07,
    0x0D, 0x5A, 0xFC, 0xB7, 0x00, 0x0C, 0xFF, 0xDD, 0x39, 0x03, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xBF, 0xFF, 0xFF, 0xF5, 0xBA, 0x6B, 0x15, 0x00,
    0x00, 0x00, 0x18, 0xAF, 0xFD, 0xFF, 0xFF, 0xFF, 0xF6, 0x5F, 0x00, 0x00,
    0x00, 0x00, 0x19, 0x65, 0xA5, 0xE2, 0xFF, 0xF7, 0x10, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x01, 0xB8, 0xFF, 0x33, 0x35, 0xFF, 0xBE, 0x2D, 0x07,
    0x0A, 0x42, 0xE6, 0xF9, 0x12, 0x00, 0xB2, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0x85, 0x00, 0x00, 0x09, 0x7B, 0xD3, 0xF1, 0xF5, 0xCB, 0x62, 0x01,
    0x00, 0x00, 0x00, 0x1F, 0x32, 0x00, 0x00, 0x00, 0x3D, 0xF5, 0x64, 0x00,
    0x00, 0x00, 0x5C, 0xFF, 0x64, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x64, 0x00,
    0x00, 0xA4, 0xFF, 0xFF, 0xFF, 0xFF, 0x28, 0xA4, 0xFF, 0xFF, 0xFF, 0xFF,
    0x28, 0x00, 0x5C, 0xFF, 0x64, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x64, 0x00,
    0x00, 0x00, 0x5C, 0xFF, 0x64, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x64, 0x00,
    0x00, 0x00, 0x5C, 0xFF, 0x64, 0x00, 0x00, 0x00, 0x5C, 0xFF, 0x64, 0x00,
    0x00, 0x00, 0x58, 0xFF, 0x8E, 0x03, 0x00, 0x00, 0x3F, 0xFF, 0xFF, 0xF3,
    0x29, 0x00, 0x02, 0x97, 0xF1, 0xF0, 0x49, 0xB8, 0xFF, 0x08, 0x00, 0x00,
    0x00, 0x10, 0xFF, 0xB0, 0xB8, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x10, 0xFF,
    0xB0, 0xB8, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xB0, 0xB8, 0xFF,
    0x08, 0x00, 0x00, 0x00, 0x10, 0xFF, 0xB0, 0xB8, 0xFF, 0x08, 0x00, 0x00,
    0x00, 0x10, 0xFF, 0xB0, 0xB8, 0xFF, 0x08, 0x00, 0x00, 0x00, 0x12, 0xFF,
    0xB0, 0xB7, 0xFF, 0x0C, 0x00, 0x00, 0x00, 0x23, 0xFF, 0xB0, 0xB1, 0xFF,
    0x2B, 0x00, 0x00, 0x00, 0x66, 0xFF, 0xB0, 0x8F, 0xFF, 0xBA, 0x1F, 0x0B,
    0x59, 0xEE, 0xFB, 0xB0, 0x31, 0xFB, 0xFF, 0xFF, 0xFF, 0xFF, 0x9A, 0xE4,
    0xB0, 0x00, 0x42, 0xC4, 0xF6, 0xE6, 0x82, 0x03, 0xE4, 0xB0, 0x93, 0xFF,
    0x46, 0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0x95, 0x37, 0xFF, 0x9D, 0x00,
    0x00, 0x00, 0x00, 0x90, 0xFF, 0x3A, 0x00, 0xDA, 0xEE, 0x06, 0x00, 0x00,
    0x02, 0xE5, 0xDE, 0x00, 0x00, 0x7F, 0xFF, 0x4B, 0x00, 0x00, 0x3F, 0xFF,
    0x84, 0x00, 0x00, 0x23, 0xFF, 0xA2, 0x00, 0x00, 0x97, 0xFF, 0x28, 0x00,
    0x00, 0x00, 0xC7, 0xF1, 0x08, 0x04, 0xEA, 0xCD, 0x00, 0x00, 0x00, 0x00,
    0x6B, 0xFF, 0x4F, 0x46, 0xFF, 0x72, 0x00, 0x00, 0x00, 0x00, 0x13, 0xFA,
    0x9D, 0x9B, 0xFD, 0x1A, 0x00, 0x00, 0x00, 0x00, 0x00, 0xB3, 0xE7, 0xE8,
    0xBB, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x57, 0xFF, 0xFF, 0x60, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0xF1, 0xF7, 0x0E, 0x00, 0x00, 0x00,
    0xCC, 0xF7, 0x08, 0x00, 0x00, 0x00, 0xCC, 0xFF, 0x41, 0x00, 0x00, 0x00,
    0x8F, 0xFF, 0x21, 0x82, 0xFF, 0x40, 0x00, 0x00, 0x0E, 0xFC, 0xFF, 0x7D,
    0x00, 0x00, 0x00, 0xD3, 0xD6, 0x00, 0x38, 0xFF, 0x80, 0x00, 0x00, 0x4A,
    0xFF, 0xFF, 0xB9, 0x00, 0x00, 0x19, 0xFF, 0x8B, 0x00, 0x02, 0xEB, 0xC1,
    0x00, 0x00, 0x8A, 0xFC, 0xC8, 0xF1, 0x03, 0x00, 0x5D, 0xFF, 0x40, 0x00,
    0x00, 0xA4, 0xF8, 0x09, 0x00, 0xC9, 0xC8, 0x7E, 0xFF, 0x30, 0x00, 0xA2,
    0xF0, 0x04, 0x00, 0x00, 0x5A, 0xFF, 0x42, 0x0C, 0xFB, 0x84, 0x3E, 0xFF,
    0x6C, 0x00, 0xE6, 0xA9, 0x00, 0x00, 0x00, 0x13, 0xFD, 0x85, 0x48, 0xFF,
    0x40, 0x05, 0xF4, 0xAA, 0x2F, 0xFF, 0x5E, 0x00, 0x00, 0x00, 0x00, 0xC7,
    0xDE, 0x9C, 0xF6, 0x07, 0x00, 0xB6, 0xF6, 0xA5, 0xFD, 0x15, 0x00, 0x00,
    0x00, 0x00, 0x7D, 0xFF, 0xFB, 0xB9, 0x00, 0x00, 0x72, 0xFF, 0xFF, 0xC7,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x33, 0xFF, 0xFF, 0x75, 0x00, 0x00, 0x2E,
    0xFF, 0xFF, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xE7, 0xFF, 0x31,
    0x00, 0x00, 0x01, 0xE8, 0xFF, 0x31, 0x00, 0x00, 0x00, 0x3E, 0xFE, 0xDF,
    0x07, 0x00, 0x00, 0x02, 0xCD, 0xFE, 0x40, 0x00, 0x93, 0xFF, 0x75, 0x00,
    0x00, 0x69, 0xFF, 0x95, 0x00, 0x00, 0x0B, 0xDF, 0xF0, 0x14, 0x13, 0xED,
    0xDF, 0x0C, 0x00, 0x00, 0x00, 0x43, 0xFF, 0xB3, 0xC3, 0xFF, 0x43, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x99, 0xFF, 0xFF, 0x99, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x40, 0xFF, 0xFF, 0x4B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06,
    0xD4, 0xFF, 0xFF, 0xDC, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x86, 0xFF, 0x9B,
    0x9C, 0xFF, 0x8F, 0x00, 0x00, 0x00, 0x34, 0xFC, 0xE2, 0x0E, 0x0F, 0xE4,
    0xFD, 0x39, 0x00, 0x07, 0xD4, 0xFF, 0x47, 0x00, 0x00, 0x4A, 0xFF, 0xD7,
    0x07, 0x87, 0xFF, 0x9D, 0x00, 0x00, 0x00, 0x00, 0xA1, 0xFF, 0x87, 0x7D,
    0xFF, 0x64, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xFE, 0xA6, 0x1E, 0xFE, 0xBF,
    0x00, 0x00, 0x00, 0x00, 0x71, 0xFF, 0x4C, 0x00, 0xBD, 0xFD, 0x1C, 0x00,
    0x00, 0x00, 0xC6, 0xEC, 0x05, 0x00, 0x5D, 0xFF, 0x74, 0x00, 0x00, 0x1C,
    0xFE, 0x97, 0x00, 0x00, 0x0A, 0xF2, 0xCF, 0x00, 0x00, 0x71, 0xFF, 0x3D,
    0x00, 0x00, 0x00, 0x9D, 0xFF, 0x29, 0x00, 0xC7, 0xE1, 0x01, 0x00, 0x00,
    0x00, 0x3D, 0xFF, 0x7F, 0x1D, 0xFE, 0x88, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xDB, 0xCE, 0x78, 0xFF, 0x2E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7D, 0xFF,
    0xE7, 0xD4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0xFE, 0xFF, 0x79,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xD4, 0xFE, 0x20, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x1D, 0xFD, 0xBF, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x13, 0x17, 0xAE, 0xFF, 0x53, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE4, 0xFF,
    0xFF, 0xCE, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0xAA, 0xF6, 0xBF, 0x1E,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0xFF, 0xFF, 0x44, 0x38, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x3A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x76, 0xFF, 0x91, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x65, 0xFF, 0xAE, 0x02, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x55, 0xFD, 0xC7, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46, 0xF9,
    0xDB, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, 0x39, 0xF5, 0xEB, 0x24, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x2D, 0xEE, 0xF6, 0x39, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x23, 0xE7, 0xEC, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x9A,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x9C, 0xFF, 0xFF,
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x94, 0x00, 0x00, 0x00, 0x5B, 0xE0,
    0xFD, 0x38, 0x00, 0x00, 0x1E, 0xFB, 0xFF, 0xFF, 0x38, 0x00, 0x00, 0x59,
    0xFF, 0x8F, 0x0A, 0x00, 0x00, 0x00, 0x6B, 0xFF, 0x42, 0x00, 0x00, 0x00,
    0x00, 0x70, 0xFF, 0x3A, 0x00, 0x00, 0x00, 0x00, 0x78, 0xFF, 0x34, 0x00,
    0x00, 0x00, 0x00, 0x97, 0xFF, 0x21, 0x00, 0x00, 0x03, 0x41, 0xF1, 0xD7,
    0x00, 0x00, 0x00, 0x70, 0xFF, 0xD2, 0x2C, 0x00, 0x00, 0x00, 0x70, 0xFF,
    0xCA, 0x1F, 0x00, 0x00, 0x00, 0x04, 0x4C, 0xF7, 0xC1, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xA2, 0xFF, 0x13, 0x00, 0x00, 0x00, 0x00, 0x7B, 0xFF, 0x31,
    0x00, 0x00, 0x00, 0x00, 0x6F, 0xFF, 0x3B, 0x00, 0x00, 0x00, 0x00, 0x6A,
    0xFF, 0x3C, 0x00, 0x00, 0x00, 0x00, 0x62, 0xFF, 0x42, 0x00, 0x00, 0x00,
    0x00, 0x4E, 0xFF, 0x91, 0x09, 0x00, 0x00, 0x00, 0x14, 0xF6, 0xFF, 0xFF,
    0x38, 0x00, 0x00, 0x00, 0x51, 0xDF, 0xFD, 0x38, 0x28, 0xFF, 0x60, 0x28,
    0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28,
    0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28,
    0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28,
    0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28, 0xFF, 0x60, 0x28,
    0xFF, 0x60, 0x28, 0xFF, 0x60, 0x8C, 0xF9, 0xC8, 0x29, 0x00, 0x00, 0x00,
    0x8C, 0xFF, 0xFF, 0xC6, 0x00, 0x00, 0x00, 0x00, 0x17, 0xD0, 0xFD, 0x03,
    0x00, 0x00, 0x00, 0x00, 0x95, 0xFF, 0x11, 0x00, 0x00, 0x00, 0x00, 0x91,
    0xFF, 0x19, 0x00, 0x00, 0x00, 0x00, 0x8C, 0xFF, 0x23, 0x00, 0x00, 0x00,
    0x00, 0x76, 0xFF, 0x44, 0x00, 0x00, 0x00, 0x00, 0x32, 0xFD, 0xC3, 0x1F,
    0x00, 0x00, 0x00, 0x00, 0x5D, 0xEE, 0xFF, 0x1C, 0x00, 0x00, 0x00, 0x53,
    0xEE, 0xFF, 0x1C, 0x00, 0x00, 0x1B, 0xF8, 0xCE, 0x25, 0x00, 0x00, 0x00,
    0x65, 0xFF, 0x4D, 0x00, 0x00, 0x00, 0x00, 0x85, 0xFF, 0x25, 0x00, 0x00,
    0x00, 0x00, 0x8D, 0xFF, 0x1A, 0x00, 0x00, 0x00, 0x00, 0x90, 0xFF, 0x16,
    0x00, 0x00, 0x00, 0x00, 0x9B, 0xFF, 0x12, 0x00, 0x00, 0x00, 0x1E, 0xDB,
    0xF8, 0x02, 0x00, 0x00, 0x8C, 0xFF, 0xFF, 0xB1, 0x00, 0x00, 0x00, 0x8C,
    0xFA, 0xBA, 0x1B, 0x00, 0x00, 0x00, 0x00, 0x1C, 0xBA, 0xF6, 0xD1, 0x5F,
    0x01, 0x00, 0x00, 0x00, 0x5E, 0x04, 0xD1, 0xFF, 0xFF, 0xFF, 0xFF, 0xC6,
    0x38, 0x0F, 0x81, 0xD7, 0x28, 0xED, 0x46, 0x0E, 0x57, 0xDF, 0xFF, 0xFF,
    0xFF, 0xFF, 0x7E, 0x23, 0x3D, 0x00, 0x00, 0x00, 0x0A, 0x85, 0xE2, 0xF0,
    0x87, 0x01, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x80, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50,
    0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x50,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x50, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x50, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x50, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x50, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x50, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x50, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x50, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x50, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,
    0x80
};

/* This struct will be read by the CPU only */
static const nema_glyph_t arial15pt8bGlyphs0[] =
{
    {     0,   0,   6,    0,    1 },   // 0x20 ' '
    {     0,   3,   6,    1,  -14 },   // 0x21 '!'
    {    45,   7,   7,    0,  -14 },   // 0x22 '"'
    {    80,  11,  11,    0,  -14 },   // 0x23 '#'
    {   245,  11,  11,    0,  -15 },   // 0x24 '$'
    {   443,  16,  18,    1,  -14 },   // 0x25 '%'
    {   683,  13,  13,    0,  -14 },   // 0x26 '&'
    {   878,   3,   4,    0,  -14 },   // 0x27 '''
    {   893,   5,   7,    1,  -14 },   // 0x28 '('
    {   988,   5,   7,    1,  -14 },   // 0x29 ')'
    {  1083,   8,   8,    0,  -14 },   // 0x2A '*'
    {  1131,  10,  12,    1,  -11 },   // 0x2B '+'
    {  1231,   3,   6,    1,   -1 },   // 0x2C ','
    {  1246,   7,   7,    0,   -5 },   // 0x2D '-'
    {  1260,   3,   6,    1,   -1 },   // 0x2E '.'
    {  1266,   6,   6,    0,  -14 },   // 0x2F '/'
    {  1356,  11,  11,    0,  -14 },   // 0x30 '0'
    {  1521,   6,  11,    2,  -14 },   // 0x31 '1'
    {  1611,  11,  11,    0,  -14 },   // 0x32 '2'
    {  1776,  11,  11,    0,  -14 },   // 0x33 '3'
    {  1941,  11,  11,    0,  -14 },   // 0x34 '4'
    {  2106,  11,  11,    0,  -14 },   // 0x35 '5'
    {  2271,  11,  11,    0,  -14 },   // 0x36 '6'
    {  2436,  11,  11,    0,  -14 },   // 0x37 '7'
    {  2601,  11,  11,    0,  -14 },   // 0x38 '8'
    {  2766,  11,  11,    0,  -14 },   // 0x39 '9'
    {  2931,   3,   6,    1,  -10 },   // 0x3A ':'
    {  2964,   3,   6,    1,  -10 },   // 0x3B ';'
    {  3006,  10,  12,    1,  -11 },   // 0x3C '<'
    {  3096,  10,  12,    1,   -9 },   // 0x3D '='
    {  3156,  10,  12,    1,  -11 },   // 0x3E '>'
    {  3246,  11,  11,    0,  -14 },   // 0x3F '?'
    {  3411,  19,  20,    1,  -14 },   // 0x40 '@'
    {  3772,  15,  13,   -1,  -14 },   // 0x41 'A'
    {  3997,  12,  13,    1,  -14 },   // 0x42 'B'
    {  4177,  13,  14,    1,  -14 },   // 0x43 'C'
    {  4372,  13,  14,    1,  -14 },   // 0x44 'D'
    {  4567,  12,  13,    1,  -14 },   // 0x45 'E'
    {  4747,  11,  12,    1,  -14 },   // 0x46 'F'
    {  4912,  14,  16,    1,  -14 },   // 0x47 'G'
    {  5122,  12,  14,    1,  -14 },   // 0x48 'H'
    {  5302,   3,   6,    1,  -14 },   // 0x49 'I'
    {  5347,   9,  10,    0,  -14 },   // 0x4A 'J'
    {  5482,  13,  13,    1,  -14 },   // 0x4B 'K'
    {  5677,  10,  11,    1,  -14 },   // 0x4C 'L'
    {  5827,  15,  17,    1,  -14 },   // 0x4D 'M'
    {  6052,  12,  14,    1,  -14 },   // 0x4E 'N'
    {  6232,  15,  16,    0,  -14 },   // 0x4F 'O'
    {  6457,  12,  13,    1,  -14 },   // 0x50 'P'
    {  6637,  15,  16,    0,  -14 },   // 0x51 'Q'
    {  6877,  14,  14,    1,  -14 },   // 0x52 'R'
    {  7087,  13,  13,    0,  -14 },   // 0x53 'S'
    {  7282,  12,  12,    0,  -14 },   // 0x54 'T'
    {  7462,  12,  14,    1,  -14 },   // 0x55 'U'
    {  7642,  14,  13,    0,  -14 },   // 0x56 'V'
    {  7852,  19,  19,    0,  -14 },   // 0x57 'W'
    {  8137,  14,  13,    0,  -14 },   // 0x58 'X'
    {  8347,  14,  13,    0,  -14 },   // 0x59 'Y'
    {  8557,  12,  12,    0,  -14 },   // 0x5A 'Z'
    {  8737,   5,   6,    1,  -14 },   // 0x5B '['
    {  8832,   6,   6,    0,  -14 },   // 0x5C '\'
    {  8922,   5,   6,    0,  -14 },   // 0x5D ']'
    {  9017,   9,   9,    0,  -14 },   // 0x5E '^'
    {  9089,  13,  11,   -1,    3 },   // 0x5F '_'
    {  9115,   5,   7,    0,  -14 },   // 0x60 '`'
    {  9130,  11,  11,    0,  -10 },   // 0x61 'a'
    {  9251,  10,  11,    1,  -14 },   // 0x62 'b'
    {  9401,  10,  10,    0,  -10 },   // 0x63 'c'
    {  9511,  10,  11,    0,  -14 },   // 0x64 'd'
    {  9661,  11,  11,    0,  -10 },   // 0x65 'e'
    {  9782,   7,   6,    0,  -14 },   // 0x66 'f'
    {  9887,  10,  11,    0,  -10 },   // 0x67 'g'
    { 10037,   9,  11,    1,  -14 },   // 0x68 'h'
    { 10172,   3,   4,    1,  -14 },   // 0x69 'i'
    { 10217,   5,   4,   -1,  -14 },   // 0x6A 'j'
    { 10312,   9,  10,    1,  -14 },   // 0x6B 'k'
    { 10447,   3,   4,    1,  -14 },   // 0x6C 'l'
    { 10492,  15,  17,    1,  -10 },   // 0x6D 'm'
    { 10657,   9,  11,    1,  -10 },   // 0x6E 'n'
    { 10756,  11,  11,    0,  -10 },   // 0x6F 'o'
    { 10877,  10,  11,    1,  -10 },   // 0x70 'p'
    { 11027,  10,  11,    0,  -10 },   // 0x71 'q'
    { 11177,   6,   7,    1,  -10 },   // 0x72 'r'
    { 11243,  10,  10,    0,  -10 },   // 0x73 's'
    { 11353,   6,   6,    0,  -14 },   // 0x74 't'
    { 11443,   9,  11,    1,  -10 },   // 0x75 'u'
    { 11542,  10,  10,    0,  -10 },   // 0x76 'v'
    { 11652,  15,  14,    0,  -10 },   // 0x77 'w'
    { 11817,  10,  10,    0,  -10 },   // 0x78 'x'
    { 11927,  10,  10,    0,  -10 },   // 0x79 'y'
    { 12077,  10,  10,    0,  -10 },   // 0x7A 'z'
    { 12187,   7,   7,    0,  -14 },   // 0x7B '{'
    { 12320,   3,   5,    1,  -14 },   // 0x7C '|'
    { 12377,   7,   7,    0,  -14 },   // 0x7D '}'
    { 12510,  11,  12,    0,   -8 },   // 0x7E '~'
    { 12554,  11,  15,    2,  -12 },   // 0x7F
    { 12697,   0,   0,    0,    0 }
};

/* This struct will be read by the CPU only */
static const nema_font_range_t arial15pt8b_ranges[] =
{
    {0x00000020, 0x0000007f, arial15pt8bGlyphs0},
    {0, 0, NULL}
};

/* This struct will be read by the CPU only */
nema_font_t arial15pt8b =
{
    {
        .base_virt = (void *) arial15pt8bBitmaps,
        .base_phys = (uintptr_t) arial15pt8bBitmaps,
        .size      = (int) sizeof(arial15pt8bBitmaps)
    },
    arial15pt8b_ranges,
    (int)sizeof(arial15pt8bBitmaps),
    arial15pt8bBitmaps,
    0,
    6, 23, 16, 8
};
#endif // ARIAL15PT8B_C

